-module(mime_types). 
-compile(export_all). 
t("yaws") -> {yaws, "text/html"};
t("php") -> {php, "text/html"};
t("cgi") -> {cgi, "text/html"};
t("fcgi") -> {fcgi, "text/html"};
t("PHP") -> {php, "text/html"};
t("CGI") -> {cgi, "text/html"};
t("FCGI") -> {fcgi, "text/html"};
t("123") -> {regular, "application/vnd.lotus-1-2-3"};
t("3DML") -> {regular, "text/vnd.in3d.3dml"};
t("3G2") -> {regular, "video/3gpp2"};
t("3GP") -> {regular, "video/3gpp"};
t("3dml") -> {regular, "text/vnd.in3d.3dml"};
t("3g2") -> {regular, "video/3gpp2"};
t("3gp") -> {regular, "video/3gpp"};
t("7Z") -> {regular, "application/x-7z-compressed"};
t("7z") -> {regular, "application/x-7z-compressed"};
t("AAB") -> {regular, "application/x-authorware-bin"};
t("AAC") -> {regular, "audio/x-aac"};
t("AAM") -> {regular, "application/x-authorware-map"};
t("AAS") -> {regular, "application/x-authorware-seg"};
t("ABW") -> {regular, "application/x-abiword"};
t("AC") -> {regular, "application/pkix-attr-cert"};
t("ACC") -> {regular, "application/vnd.americandynamics.acc"};
t("ACE") -> {regular, "application/x-ace-compressed"};
t("ACU") -> {regular, "application/vnd.acucobol"};
t("ACUTC") -> {regular, "application/vnd.acucorp"};
t("ADP") -> {regular, "audio/adpcm"};
t("AEP") -> {regular, "application/vnd.audiograph"};
t("AFM") -> {regular, "application/x-font-type1"};
t("AFP") -> {regular, "application/vnd.ibm.modcap"};
t("AHEAD") -> {regular, "application/vnd.ahead.space"};
t("AI") -> {regular, "application/postscript"};
t("AIF") -> {regular, "audio/x-aiff"};
t("AIFC") -> {regular, "audio/x-aiff"};
t("AIFF") -> {regular, "audio/x-aiff"};
t("AIR") -> {regular, "application/vnd.adobe.air-application-installer-package+zip"};
t("AIT") -> {regular, "application/vnd.dvb.ait"};
t("AMI") -> {regular, "application/vnd.amiga.ami"};
t("APK") -> {regular, "application/vnd.android.package-archive"};
t("APPLICATION") -> {regular, "application/x-ms-application"};
t("APR") -> {regular, "application/vnd.lotus-approach"};
t("ASC") -> {regular, "application/pgp-signature"};
t("ASF") -> {regular, "video/x-ms-asf"};
t("ASM") -> {regular, "text/x-asm"};
t("ASO") -> {regular, "application/vnd.accpac.simply.aso"};
t("ASX") -> {regular, "video/x-ms-asf"};
t("ATC") -> {regular, "application/vnd.acucorp"};
t("ATOM") -> {regular, "application/atom+xml"};
t("ATOMCAT") -> {regular, "application/atomcat+xml"};
t("ATOMSVC") -> {regular, "application/atomsvc+xml"};
t("ATX") -> {regular, "application/vnd.antix.game-component"};
t("AU") -> {regular, "audio/basic"};
t("AVI") -> {regular, "video/x-msvideo"};
t("AW") -> {regular, "application/applixware"};
t("AZF") -> {regular, "application/vnd.airzip.filesecure.azf"};
t("AZS") -> {regular, "application/vnd.airzip.filesecure.azs"};
t("AZW") -> {regular, "application/vnd.amazon.ebook"};
t("BAT") -> {regular, "application/x-msdownload"};
t("BCPIO") -> {regular, "application/x-bcpio"};
t("BDF") -> {regular, "application/x-font-bdf"};
t("BDM") -> {regular, "application/vnd.syncml.dm+wbxml"};
t("BED") -> {regular, "application/vnd.realvnc.bed"};
t("BH2") -> {regular, "application/vnd.fujitsu.oasysprs"};
t("BIN") -> {regular, "application/octet-stream"};
t("BMI") -> {regular, "application/vnd.bmi"};
t("BMP") -> {regular, "image/bmp"};
t("BOOK") -> {regular, "application/vnd.framemaker"};
t("BOX") -> {regular, "application/vnd.previewsystems.box"};
t("BOZ") -> {regular, "application/x-bzip2"};
t("BPK") -> {regular, "application/octet-stream"};
t("BTIF") -> {regular, "image/prs.btif"};
t("BZ") -> {regular, "application/x-bzip"};
t("BZ2") -> {regular, "application/x-bzip2"};
t("C") -> {regular, "text/x-c"};
t("C11AMC") -> {regular, "application/vnd.cluetrust.cartomobile-config"};
t("C11AMZ") -> {regular, "application/vnd.cluetrust.cartomobile-config-pkg"};
t("C4D") -> {regular, "application/vnd.clonk.c4group"};
t("C4F") -> {regular, "application/vnd.clonk.c4group"};
t("C4G") -> {regular, "application/vnd.clonk.c4group"};
t("C4P") -> {regular, "application/vnd.clonk.c4group"};
t("C4U") -> {regular, "application/vnd.clonk.c4group"};
t("CAB") -> {regular, "application/vnd.ms-cab-compressed"};
t("CAR") -> {regular, "application/vnd.curl.car"};
t("CAT") -> {regular, "application/vnd.ms-pki.seccat"};
t("CC") -> {regular, "text/x-c"};
t("CCT") -> {regular, "application/x-director"};
t("CCXML") -> {regular, "application/ccxml+xml"};
t("CDBCMSG") -> {regular, "application/vnd.contact.cmsg"};
t("CDF") -> {regular, "application/x-netcdf"};
t("CDKEY") -> {regular, "application/vnd.mediastation.cdkey"};
t("CDMIA") -> {regular, "application/cdmi-capability"};
t("CDMIC") -> {regular, "application/cdmi-container"};
t("CDMID") -> {regular, "application/cdmi-domain"};
t("CDMIO") -> {regular, "application/cdmi-object"};
t("CDMIQ") -> {regular, "application/cdmi-queue"};
t("CDX") -> {regular, "chemical/x-cdx"};
t("CDXML") -> {regular, "application/vnd.chemdraw+xml"};
t("CDY") -> {regular, "application/vnd.cinderella"};
t("CER") -> {regular, "application/pkix-cert"};
t("CGM") -> {regular, "image/cgm"};
t("CHAT") -> {regular, "application/x-chat"};
t("CHM") -> {regular, "application/vnd.ms-htmlhelp"};
t("CHRT") -> {regular, "application/x-kchart"};
t("CIF") -> {regular, "chemical/x-cif"};
t("CII") -> {regular, "application/vnd.anser-web-certificate-issue-initiation"};
t("CIL") -> {regular, "application/vnd.ms-artgalry"};
t("CLA") -> {regular, "application/vnd.claymore"};
t("CLASS") -> {regular, "application/java-vm"};
t("CLKK") -> {regular, "application/vnd.crick.clicker.keyboard"};
t("CLKP") -> {regular, "application/vnd.crick.clicker.palette"};
t("CLKT") -> {regular, "application/vnd.crick.clicker.template"};
t("CLKW") -> {regular, "application/vnd.crick.clicker.wordbank"};
t("CLKX") -> {regular, "application/vnd.crick.clicker"};
t("CLP") -> {regular, "application/x-msclip"};
t("CMC") -> {regular, "application/vnd.cosmocaller"};
t("CMDF") -> {regular, "chemical/x-cmdf"};
t("CML") -> {regular, "chemical/x-cml"};
t("CMP") -> {regular, "application/vnd.yellowriver-custom-menu"};
t("CMX") -> {regular, "image/x-cmx"};
t("COD") -> {regular, "application/vnd.rim.cod"};
t("COM") -> {regular, "application/x-msdownload"};
t("CONF") -> {regular, "text/plain"};
t("CPIO") -> {regular, "application/x-cpio"};
t("CPP") -> {regular, "text/x-c"};
t("CPT") -> {regular, "application/mac-compactpro"};
t("CRD") -> {regular, "application/x-mscardfile"};
t("CRL") -> {regular, "application/pkix-crl"};
t("CRT") -> {regular, "application/x-x509-ca-cert"};
t("CRYPTONOTE") -> {regular, "application/vnd.rig.cryptonote"};
t("CSH") -> {regular, "application/x-csh"};
t("CSML") -> {regular, "chemical/x-csml"};
t("CSP") -> {regular, "application/vnd.commonspace"};
t("CSS") -> {regular, "text/css"};
t("CST") -> {regular, "application/x-director"};
t("CSV") -> {regular, "text/csv"};
t("CU") -> {regular, "application/cu-seeme"};
t("CURL") -> {regular, "text/vnd.curl"};
t("CWW") -> {regular, "application/prs.cww"};
t("CXT") -> {regular, "application/x-director"};
t("CXX") -> {regular, "text/x-c"};
t("DAE") -> {regular, "model/vnd.collada+xml"};
t("DAF") -> {regular, "application/vnd.mobius.daf"};
t("DATALESS") -> {regular, "application/vnd.fdsn.seed"};
t("DAVMOUNT") -> {regular, "application/davmount+xml"};
t("DCR") -> {regular, "application/x-director"};
t("DCURL") -> {regular, "text/vnd.curl.dcurl"};
t("DD2") -> {regular, "application/vnd.oma.dd2+xml"};
t("DDD") -> {regular, "application/vnd.fujixerox.ddd"};
t("DEB") -> {regular, "application/x-debian-package"};
t("DEF") -> {regular, "text/plain"};
t("DEPLOY") -> {regular, "application/octet-stream"};
t("DER") -> {regular, "application/x-x509-ca-cert"};
t("DFAC") -> {regular, "application/vnd.dreamfactory"};
t("DIC") -> {regular, "text/x-c"};
t("DIR") -> {regular, "application/x-director"};
t("DIS") -> {regular, "application/vnd.mobius.dis"};
t("DIST") -> {regular, "application/octet-stream"};
t("DISTZ") -> {regular, "application/octet-stream"};
t("DJV") -> {regular, "image/vnd.djvu"};
t("DJVU") -> {regular, "image/vnd.djvu"};
t("DLL") -> {regular, "application/x-msdownload"};
t("DMG") -> {regular, "application/octet-stream"};
t("DMS") -> {regular, "application/octet-stream"};
t("DNA") -> {regular, "application/vnd.dna"};
t("DOC") -> {regular, "application/msword"};
t("DOCM") -> {regular, "application/vnd.ms-word.document.macroenabled.12"};
t("DOCX") -> {regular, "application/vnd.openxmlformats-officedocument.wordprocessingml.document"};
t("DOT") -> {regular, "application/msword"};
t("DOTM") -> {regular, "application/vnd.ms-word.template.macroenabled.12"};
t("DOTX") -> {regular, "application/vnd.openxmlformats-officedocument.wordprocessingml.template"};
t("DP") -> {regular, "application/vnd.osgi.dp"};
t("DPG") -> {regular, "application/vnd.dpgraph"};
t("DRA") -> {regular, "audio/vnd.dra"};
t("DSC") -> {regular, "text/prs.lines.tag"};
t("DSSC") -> {regular, "application/dssc+der"};
t("DTB") -> {regular, "application/x-dtbook+xml"};
t("DTD") -> {regular, "application/xml-dtd"};
t("DTS") -> {regular, "audio/vnd.dts"};
t("DTSHD") -> {regular, "audio/vnd.dts.hd"};
t("DUMP") -> {regular, "application/octet-stream"};
t("DVI") -> {regular, "application/x-dvi"};
t("DWF") -> {regular, "model/vnd.dwf"};
t("DWG") -> {regular, "image/vnd.dwg"};
t("DXF") -> {regular, "image/vnd.dxf"};
t("DXP") -> {regular, "application/vnd.spotfire.dxp"};
t("DXR") -> {regular, "application/x-director"};
t("ECELP4800") -> {regular, "audio/vnd.nuera.ecelp4800"};
t("ECELP7470") -> {regular, "audio/vnd.nuera.ecelp7470"};
t("ECELP9600") -> {regular, "audio/vnd.nuera.ecelp9600"};
t("ECMA") -> {regular, "application/ecmascript"};
t("EDM") -> {regular, "application/vnd.novadigm.edm"};
t("EDX") -> {regular, "application/vnd.novadigm.edx"};
t("EFIF") -> {regular, "application/vnd.picsel"};
t("EI6") -> {regular, "application/vnd.pg.osasli"};
t("ELC") -> {regular, "application/octet-stream"};
t("EML") -> {regular, "message/rfc822"};
t("EMMA") -> {regular, "application/emma+xml"};
t("EOL") -> {regular, "audio/vnd.digital-winds"};
t("EOT") -> {regular, "application/vnd.ms-fontobject"};
t("EPS") -> {regular, "application/postscript"};
t("EPUB") -> {regular, "application/epub+zip"};
t("ES3") -> {regular, "application/vnd.eszigno3+xml"};
t("ESF") -> {regular, "application/vnd.epson.esf"};
t("ET3") -> {regular, "application/vnd.eszigno3+xml"};
t("ETX") -> {regular, "text/x-setext"};
t("EXE") -> {regular, "application/x-msdownload"};
t("EXI") -> {regular, "application/exi"};
t("EXT") -> {regular, "application/vnd.novadigm.ext"};
t("EZ") -> {regular, "application/andrew-inset"};
t("EZ2") -> {regular, "application/vnd.ezpix-album"};
t("EZ3") -> {regular, "application/vnd.ezpix-package"};
t("F") -> {regular, "text/x-fortran"};
t("F4V") -> {regular, "video/x-f4v"};
t("F77") -> {regular, "text/x-fortran"};
t("F90") -> {regular, "text/x-fortran"};
t("FBS") -> {regular, "image/vnd.fastbidsheet"};
t("FCS") -> {regular, "application/vnd.isac.fcs"};
t("FDF") -> {regular, "application/vnd.fdf"};
t("FE_LAUNCH") -> {regular, "application/vnd.denovo.fcselayout-link"};
t("FG5") -> {regular, "application/vnd.fujitsu.oasysgp"};
t("FGD") -> {regular, "application/x-director"};
t("FH") -> {regular, "image/x-freehand"};
t("FH4") -> {regular, "image/x-freehand"};
t("FH5") -> {regular, "image/x-freehand"};
t("FH7") -> {regular, "image/x-freehand"};
t("FHC") -> {regular, "image/x-freehand"};
t("FIG") -> {regular, "application/x-xfig"};
t("FLI") -> {regular, "video/x-fli"};
t("FLO") -> {regular, "application/vnd.micrografx.flo"};
t("FLV") -> {regular, "video/x-flv"};
t("FLW") -> {regular, "application/vnd.kde.kivio"};
t("FLX") -> {regular, "text/vnd.fmi.flexstor"};
t("FLY") -> {regular, "text/vnd.fly"};
t("FM") -> {regular, "application/vnd.framemaker"};
t("FNC") -> {regular, "application/vnd.frogans.fnc"};
t("FOR") -> {regular, "text/x-fortran"};
t("FPX") -> {regular, "image/vnd.fpx"};
t("FRAME") -> {regular, "application/vnd.framemaker"};
t("FSC") -> {regular, "application/vnd.fsc.weblaunch"};
t("FST") -> {regular, "image/vnd.fst"};
t("FTC") -> {regular, "application/vnd.fluxtime.clip"};
t("FTI") -> {regular, "application/vnd.anser-web-funds-transfer-initiation"};
t("FVT") -> {regular, "video/vnd.fvt"};
t("FXP") -> {regular, "application/vnd.adobe.fxp"};
t("FXPL") -> {regular, "application/vnd.adobe.fxp"};
t("FZS") -> {regular, "application/vnd.fuzzysheet"};
t("G2W") -> {regular, "application/vnd.geoplan"};
t("G3") -> {regular, "image/g3fax"};
t("G3W") -> {regular, "application/vnd.geospace"};
t("GAC") -> {regular, "application/vnd.groove-account"};
t("GDL") -> {regular, "model/vnd.gdl"};
t("GEO") -> {regular, "application/vnd.dynageo"};
t("GEX") -> {regular, "application/vnd.geometry-explorer"};
t("GGB") -> {regular, "application/vnd.geogebra.file"};
t("GGT") -> {regular, "application/vnd.geogebra.tool"};
t("GHF") -> {regular, "application/vnd.groove-help"};
t("GIF") -> {regular, "image/gif"};
t("GIM") -> {regular, "application/vnd.groove-identity-message"};
t("GMX") -> {regular, "application/vnd.gmx"};
t("GNUMERIC") -> {regular, "application/x-gnumeric"};
t("GPH") -> {regular, "application/vnd.flographit"};
t("GQF") -> {regular, "application/vnd.grafeq"};
t("GQS") -> {regular, "application/vnd.grafeq"};
t("GRAM") -> {regular, "application/srgs"};
t("GRE") -> {regular, "application/vnd.geometry-explorer"};
t("GRV") -> {regular, "application/vnd.groove-injector"};
t("GRXML") -> {regular, "application/srgs+xml"};
t("GSF") -> {regular, "application/x-font-ghostscript"};
t("GTAR") -> {regular, "application/x-gtar"};
t("GTM") -> {regular, "application/vnd.groove-tool-message"};
t("GTW") -> {regular, "model/vnd.gtw"};
t("GV") -> {regular, "text/vnd.graphviz"};
t("GXT") -> {regular, "application/vnd.geonext"};
t("GZ") -> {regular, "application/x-gzip"};
t("H") -> {regular, "text/x-c"};
t("H261") -> {regular, "video/h261"};
t("H263") -> {regular, "video/h263"};
t("H264") -> {regular, "video/h264"};
t("HAL") -> {regular, "application/vnd.hal+xml"};
t("HBCI") -> {regular, "application/vnd.hbci"};
t("HDF") -> {regular, "application/x-hdf"};
t("HH") -> {regular, "text/x-c"};
t("HLP") -> {regular, "application/winhlp"};
t("HPGL") -> {regular, "application/vnd.hp-hpgl"};
t("HPID") -> {regular, "application/vnd.hp-hpid"};
t("HPS") -> {regular, "application/vnd.hp-hps"};
t("HQX") -> {regular, "application/mac-binhex40"};
t("HTKE") -> {regular, "application/vnd.kenameaapp"};
t("HTM") -> {regular, "text/html"};
t("HTML") -> {regular, "text/html"};
t("HVD") -> {regular, "application/vnd.yamaha.hv-dic"};
t("HVP") -> {regular, "application/vnd.yamaha.hv-voice"};
t("HVS") -> {regular, "application/vnd.yamaha.hv-script"};
t("I2G") -> {regular, "application/vnd.intergeo"};
t("ICC") -> {regular, "application/vnd.iccprofile"};
t("ICE") -> {regular, "x-conference/x-cooltalk"};
t("ICM") -> {regular, "application/vnd.iccprofile"};
t("ICO") -> {regular, "image/x-icon"};
t("ICS") -> {regular, "text/calendar"};
t("IEF") -> {regular, "image/ief"};
t("IFB") -> {regular, "text/calendar"};
t("IFM") -> {regular, "application/vnd.shana.informed.formdata"};
t("IGES") -> {regular, "model/iges"};
t("IGL") -> {regular, "application/vnd.igloader"};
t("IGM") -> {regular, "application/vnd.insors.igm"};
t("IGS") -> {regular, "model/iges"};
t("IGX") -> {regular, "application/vnd.micrografx.igx"};
t("IIF") -> {regular, "application/vnd.shana.informed.interchange"};
t("IMP") -> {regular, "application/vnd.accpac.simply.imp"};
t("IMS") -> {regular, "application/vnd.ms-ims"};
t("IN") -> {regular, "text/plain"};
t("IPFIX") -> {regular, "application/ipfix"};
t("IPK") -> {regular, "application/vnd.shana.informed.package"};
t("IRM") -> {regular, "application/vnd.ibm.rights-management"};
t("IRP") -> {regular, "application/vnd.irepository.package+xml"};
t("ISO") -> {regular, "application/octet-stream"};
t("ITP") -> {regular, "application/vnd.shana.informed.formtemplate"};
t("IVP") -> {regular, "application/vnd.immervision-ivp"};
t("IVU") -> {regular, "application/vnd.immervision-ivu"};
t("JAD") -> {regular, "text/vnd.sun.j2me.app-descriptor"};
t("JAM") -> {regular, "application/vnd.jam"};
t("JAR") -> {regular, "application/java-archive"};
t("JAVA") -> {regular, "text/x-java-source"};
t("JISP") -> {regular, "application/vnd.jisp"};
t("JLT") -> {regular, "application/vnd.hp-jlyt"};
t("JNLP") -> {regular, "application/x-java-jnlp-file"};
t("JODA") -> {regular, "application/vnd.joost.joda-archive"};
t("JPE") -> {regular, "image/jpeg"};
t("JPEG") -> {regular, "image/jpeg"};
t("JPG") -> {regular, "image/jpeg"};
t("JPGM") -> {regular, "video/jpm"};
t("JPGV") -> {regular, "video/jpeg"};
t("JPM") -> {regular, "video/jpm"};
t("JS") -> {regular, "application/x-javascript"};
t("JSON") -> {regular, "application/json"};
t("KAR") -> {regular, "audio/midi"};
t("KARBON") -> {regular, "application/vnd.kde.karbon"};
t("KFO") -> {regular, "application/vnd.kde.kformula"};
t("KIA") -> {regular, "application/vnd.kidspiration"};
t("KIL") -> {regular, "application/x-killustrator"};
t("KML") -> {regular, "application/vnd.google-earth.kml+xml"};
t("KMZ") -> {regular, "application/vnd.google-earth.kmz"};
t("KNE") -> {regular, "application/vnd.kinar"};
t("KNP") -> {regular, "application/vnd.kinar"};
t("KON") -> {regular, "application/vnd.kde.kontour"};
t("KPR") -> {regular, "application/x-kpresenter"};
t("KPT") -> {regular, "application/x-kpresenter"};
t("KSP") -> {regular, "application/x-kspread"};
t("KTR") -> {regular, "application/vnd.kahootz"};
t("KTX") -> {regular, "image/ktx"};
t("KTZ") -> {regular, "application/vnd.kahootz"};
t("KWD") -> {regular, "application/x-kword"};
t("KWT") -> {regular, "application/x-kword"};
t("LASXML") -> {regular, "application/vnd.las.las+xml"};
t("LATEX") -> {regular, "application/x-latex"};
t("LBD") -> {regular, "application/vnd.llamagraphics.life-balance.desktop"};
t("LBE") -> {regular, "application/vnd.llamagraphics.life-balance.exchange+xml"};
t("LES") -> {regular, "application/vnd.hhe.lesson-player"};
t("LHA") -> {regular, "application/octet-stream"};
t("LINK66") -> {regular, "application/vnd.route66.link66+xml"};
t("LIST") -> {regular, "text/plain"};
t("LIST3820") -> {regular, "application/vnd.ibm.modcap"};
t("LISTAFP") -> {regular, "application/vnd.ibm.modcap"};
t("LOG") -> {regular, "text/plain"};
t("LOSTXML") -> {regular, "application/lost+xml"};
t("LRF") -> {regular, "application/octet-stream"};
t("LRM") -> {regular, "application/vnd.ms-lrm"};
t("LTF") -> {regular, "application/vnd.frogans.ltf"};
t("LVP") -> {regular, "audio/vnd.lucent.voice"};
t("LWP") -> {regular, "application/vnd.lotus-wordpro"};
t("LZH") -> {regular, "application/octet-stream"};
t("M13") -> {regular, "application/x-msmediaview"};
t("M14") -> {regular, "application/x-msmediaview"};
t("M1V") -> {regular, "video/mpeg"};
t("M21") -> {regular, "application/mp21"};
t("M2A") -> {regular, "audio/mpeg"};
t("M2V") -> {regular, "video/mpeg"};
t("M3A") -> {regular, "audio/mpeg"};
t("M3U") -> {regular, "audio/x-mpegurl"};
t("M3U8") -> {regular, "application/vnd.apple.mpegurl"};
t("M4U") -> {regular, "video/vnd.mpegurl"};
t("M4V") -> {regular, "video/x-m4v"};
t("MA") -> {regular, "application/mathematica"};
t("MADS") -> {regular, "application/mads+xml"};
t("MAG") -> {regular, "application/vnd.ecowin.chart"};
t("MAKER") -> {regular, "application/vnd.framemaker"};
t("MAN") -> {regular, "text/troff"};
t("MATHML") -> {regular, "application/mathml+xml"};
t("MB") -> {regular, "application/mathematica"};
t("MBK") -> {regular, "application/vnd.mobius.mbk"};
t("MBOX") -> {regular, "application/mbox"};
t("MC1") -> {regular, "application/vnd.medcalcdata"};
t("MCD") -> {regular, "application/vnd.mcd"};
t("MCURL") -> {regular, "text/vnd.curl.mcurl"};
t("MDB") -> {regular, "application/x-msaccess"};
t("MDI") -> {regular, "image/vnd.ms-modi"};
t("ME") -> {regular, "text/troff"};
t("MESH") -> {regular, "model/mesh"};
t("META4") -> {regular, "application/metalink4+xml"};
t("METS") -> {regular, "application/mets+xml"};
t("MFM") -> {regular, "application/vnd.mfmp"};
t("MGP") -> {regular, "application/vnd.osgeo.mapguide.package"};
t("MGZ") -> {regular, "application/vnd.proteus.magazine"};
t("MID") -> {regular, "audio/midi"};
t("MIDI") -> {regular, "audio/midi"};
t("MIF") -> {regular, "application/vnd.mif"};
t("MIME") -> {regular, "message/rfc822"};
t("MJ2") -> {regular, "video/mj2"};
t("MJP2") -> {regular, "video/mj2"};
t("MLP") -> {regular, "application/vnd.dolby.mlp"};
t("MMD") -> {regular, "application/vnd.chipnuts.karaoke-mmd"};
t("MMF") -> {regular, "application/vnd.smaf"};
t("MMR") -> {regular, "image/vnd.fujixerox.edmics-mmr"};
t("MNY") -> {regular, "application/x-msmoney"};
t("MOBI") -> {regular, "application/x-mobipocket-ebook"};
t("MODS") -> {regular, "application/mods+xml"};
t("MOV") -> {regular, "video/quicktime"};
t("MOVIE") -> {regular, "video/x-sgi-movie"};
t("MP2") -> {regular, "audio/mpeg"};
t("MP21") -> {regular, "application/mp21"};
t("MP2A") -> {regular, "audio/mpeg"};
t("MP3") -> {regular, "audio/mpeg"};
t("MP4") -> {regular, "video/mp4"};
t("MP4A") -> {regular, "audio/mp4"};
t("MP4S") -> {regular, "application/mp4"};
t("MP4V") -> {regular, "video/mp4"};
t("MPC") -> {regular, "application/vnd.mophun.certificate"};
t("MPE") -> {regular, "video/mpeg"};
t("MPEG") -> {regular, "video/mpeg"};
t("MPG") -> {regular, "video/mpeg"};
t("MPG4") -> {regular, "video/mp4"};
t("MPGA") -> {regular, "audio/mpeg"};
t("MPKG") -> {regular, "application/vnd.apple.installer+xml"};
t("MPM") -> {regular, "application/vnd.blueice.multipass"};
t("MPN") -> {regular, "application/vnd.mophun.application"};
t("MPP") -> {regular, "application/vnd.ms-project"};
t("MPT") -> {regular, "application/vnd.ms-project"};
t("MPY") -> {regular, "application/vnd.ibm.minipay"};
t("MQY") -> {regular, "application/vnd.mobius.mqy"};
t("MRC") -> {regular, "application/marc"};
t("MRCX") -> {regular, "application/marcxml+xml"};
t("MS") -> {regular, "text/troff"};
t("MSCML") -> {regular, "application/mediaservercontrol+xml"};
t("MSEED") -> {regular, "application/vnd.fdsn.mseed"};
t("MSEQ") -> {regular, "application/vnd.mseq"};
t("MSF") -> {regular, "application/vnd.epson.msf"};
t("MSH") -> {regular, "model/mesh"};
t("MSI") -> {regular, "application/x-msdownload"};
t("MSL") -> {regular, "application/vnd.mobius.msl"};
t("MSTY") -> {regular, "application/vnd.muvee.style"};
t("MTS") -> {regular, "model/vnd.mts"};
t("MUS") -> {regular, "application/vnd.musician"};
t("MUSICXML") -> {regular, "application/vnd.recordare.musicxml+xml"};
t("MVB") -> {regular, "application/x-msmediaview"};
t("MWF") -> {regular, "application/vnd.mfer"};
t("MXF") -> {regular, "application/mxf"};
t("MXL") -> {regular, "application/vnd.recordare.musicxml"};
t("MXML") -> {regular, "application/xv+xml"};
t("MXS") -> {regular, "application/vnd.triscape.mxs"};
t("MXU") -> {regular, "video/vnd.mpegurl"};
t("N-GAGE") -> {regular, "application/vnd.nokia.n-gage.symbian.install"};
t("N3") -> {regular, "text/n3"};
t("NB") -> {regular, "application/mathematica"};
t("NBP") -> {regular, "application/vnd.wolfram.player"};
t("NC") -> {regular, "application/x-netcdf"};
t("NCX") -> {regular, "application/x-dtbncx+xml"};
t("NGDAT") -> {regular, "application/vnd.nokia.n-gage.data"};
t("NLU") -> {regular, "application/vnd.neurolanguage.nlu"};
t("NML") -> {regular, "application/vnd.enliven"};
t("NND") -> {regular, "application/vnd.noblenet-directory"};
t("NNS") -> {regular, "application/vnd.noblenet-sealer"};
t("NNW") -> {regular, "application/vnd.noblenet-web"};
t("NPX") -> {regular, "image/vnd.net-fpx"};
t("NSF") -> {regular, "application/vnd.lotus-notes"};
t("OA2") -> {regular, "application/vnd.fujitsu.oasys2"};
t("OA3") -> {regular, "application/vnd.fujitsu.oasys3"};
t("OAS") -> {regular, "application/vnd.fujitsu.oasys"};
t("OBD") -> {regular, "application/x-msbinder"};
t("ODA") -> {regular, "application/oda"};
t("ODB") -> {regular, "application/vnd.oasis.opendocument.database"};
t("ODC") -> {regular, "application/vnd.oasis.opendocument.chart"};
t("ODF") -> {regular, "application/vnd.oasis.opendocument.formula"};
t("ODFT") -> {regular, "application/vnd.oasis.opendocument.formula-template"};
t("ODG") -> {regular, "application/vnd.oasis.opendocument.graphics"};
t("ODI") -> {regular, "application/vnd.oasis.opendocument.image"};
t("ODP") -> {regular, "application/vnd.oasis.opendocument.presentation"};
t("ODS") -> {regular, "application/vnd.oasis.opendocument.spreadsheet"};
t("ODT") -> {regular, "application/vnd.oasis.opendocument.text"};
t("OGA") -> {regular, "audio/ogg"};
t("OGG") -> {regular, "audio/ogg"};
t("OGV") -> {regular, "video/ogg"};
t("OGX") -> {regular, "application/ogg"};
t("ONEPKG") -> {regular, "application/onenote"};
t("ONETMP") -> {regular, "application/onenote"};
t("ONETOC") -> {regular, "application/onenote"};
t("ONETOC2") -> {regular, "application/onenote"};
t("OPF") -> {regular, "application/oebps-package+xml"};
t("OPRC") -> {regular, "application/vnd.palm"};
t("ORG") -> {regular, "application/vnd.lotus-organizer"};
t("OSF") -> {regular, "application/vnd.yamaha.openscoreformat"};
t("OSFPVG") -> {regular, "application/vnd.yamaha.openscoreformat.osfpvg+xml"};
t("OTC") -> {regular, "application/vnd.oasis.opendocument.chart-template"};
t("OTF") -> {regular, "application/x-font-otf"};
t("OTG") -> {regular, "application/vnd.oasis.opendocument.graphics-template"};
t("OTH") -> {regular, "application/vnd.oasis.opendocument.text-web"};
t("OTI") -> {regular, "application/vnd.oasis.opendocument.image-template"};
t("OTM") -> {regular, "application/vnd.oasis.opendocument.text-master"};
t("OTP") -> {regular, "application/vnd.oasis.opendocument.presentation-template"};
t("OTS") -> {regular, "application/vnd.oasis.opendocument.spreadsheet-template"};
t("OTT") -> {regular, "application/vnd.oasis.opendocument.text-template"};
t("OXT") -> {regular, "application/vnd.openofficeorg.extension"};
t("P") -> {regular, "text/x-pascal"};
t("P10") -> {regular, "application/pkcs10"};
t("P12") -> {regular, "application/x-pkcs12"};
t("P7B") -> {regular, "application/x-pkcs7-certificates"};
t("P7C") -> {regular, "application/pkcs7-mime"};
t("P7M") -> {regular, "application/pkcs7-mime"};
t("P7R") -> {regular, "application/x-pkcs7-certreqresp"};
t("P7S") -> {regular, "application/pkcs7-signature"};
t("P8") -> {regular, "application/pkcs8"};
t("PAC") -> {regular, "application/x-ns-proxy-autoconfig"};
t("PAS") -> {regular, "text/x-pascal"};
t("PAW") -> {regular, "application/vnd.pawaafile"};
t("PBD") -> {regular, "application/vnd.powerbuilder6"};
t("PBM") -> {regular, "image/x-portable-bitmap"};
t("PCF") -> {regular, "application/x-font-pcf"};
t("PCL") -> {regular, "application/vnd.hp-pcl"};
t("PCLXL") -> {regular, "application/vnd.hp-pclxl"};
t("PCT") -> {regular, "image/x-pict"};
t("PCURL") -> {regular, "application/vnd.curl.pcurl"};
t("PCX") -> {regular, "image/x-pcx"};
t("PDB") -> {regular, "application/vnd.palm"};
t("PDF") -> {regular, "application/pdf"};
t("PFA") -> {regular, "application/x-font-type1"};
t("PFB") -> {regular, "application/x-font-type1"};
t("PFM") -> {regular, "application/x-font-type1"};
t("PFR") -> {regular, "application/font-tdpfr"};
t("PFX") -> {regular, "application/x-pkcs12"};
t("PGM") -> {regular, "image/x-portable-graymap"};
t("PGN") -> {regular, "application/x-chess-pgn"};
t("PGP") -> {regular, "application/pgp-encrypted"};
t("PIC") -> {regular, "image/x-pict"};
t("PKG") -> {regular, "application/octet-stream"};
t("PKI") -> {regular, "application/pkixcmp"};
t("PKIPATH") -> {regular, "application/pkix-pkipath"};
t("PLB") -> {regular, "application/vnd.3gpp.pic-bw-large"};
t("PLC") -> {regular, "application/vnd.mobius.plc"};
t("PLF") -> {regular, "application/vnd.pocketlearn"};
t("PLS") -> {regular, "application/pls+xml"};
t("PML") -> {regular, "application/vnd.ctc-posml"};
t("PNG") -> {regular, "image/png"};
t("PNM") -> {regular, "image/x-portable-anymap"};
t("PORTPKG") -> {regular, "application/vnd.macports.portpkg"};
t("POT") -> {regular, "application/vnd.ms-powerpoint"};
t("POTM") -> {regular, "application/vnd.ms-powerpoint.template.macroenabled.12"};
t("POTX") -> {regular, "application/vnd.openxmlformats-officedocument.presentationml.template"};
t("PPAM") -> {regular, "application/vnd.ms-powerpoint.addin.macroenabled.12"};
t("PPD") -> {regular, "application/vnd.cups-ppd"};
t("PPM") -> {regular, "image/x-portable-pixmap"};
t("PPS") -> {regular, "application/vnd.ms-powerpoint"};
t("PPSM") -> {regular, "application/vnd.ms-powerpoint.slideshow.macroenabled.12"};
t("PPSX") -> {regular, "application/vnd.openxmlformats-officedocument.presentationml.slideshow"};
t("PPT") -> {regular, "application/vnd.ms-powerpoint"};
t("PPTM") -> {regular, "application/vnd.ms-powerpoint.presentation.macroenabled.12"};
t("PPTX") -> {regular, "application/vnd.openxmlformats-officedocument.presentationml.presentation"};
t("PQA") -> {regular, "application/vnd.palm"};
t("PRC") -> {regular, "application/x-mobipocket-ebook"};
t("PRE") -> {regular, "application/vnd.lotus-freelance"};
t("PRF") -> {regular, "application/pics-rules"};
t("PS") -> {regular, "application/postscript"};
t("PSB") -> {regular, "application/vnd.3gpp.pic-bw-small"};
t("PSD") -> {regular, "image/vnd.adobe.photoshop"};
t("PSF") -> {regular, "application/x-font-linux-psf"};
t("PSKCXML") -> {regular, "application/pskc+xml"};
t("PTID") -> {regular, "application/vnd.pvi.ptid1"};
t("PUB") -> {regular, "application/x-mspublisher"};
t("PVB") -> {regular, "application/vnd.3gpp.pic-bw-var"};
t("PWN") -> {regular, "application/vnd.3m.post-it-notes"};
t("PYA") -> {regular, "audio/vnd.ms-playready.media.pya"};
t("PYV") -> {regular, "video/vnd.ms-playready.media.pyv"};
t("QAM") -> {regular, "application/vnd.epson.quickanime"};
t("QBO") -> {regular, "application/vnd.intu.qbo"};
t("QFX") -> {regular, "application/vnd.intu.qfx"};
t("QPS") -> {regular, "application/vnd.publishare-delta-tree"};
t("QT") -> {regular, "video/quicktime"};
t("QWD") -> {regular, "application/vnd.quark.quarkxpress"};
t("QWT") -> {regular, "application/vnd.quark.quarkxpress"};
t("QXB") -> {regular, "application/vnd.quark.quarkxpress"};
t("QXD") -> {regular, "application/vnd.quark.quarkxpress"};
t("QXL") -> {regular, "application/vnd.quark.quarkxpress"};
t("QXT") -> {regular, "application/vnd.quark.quarkxpress"};
t("RA") -> {regular, "audio/x-realaudio"};
t("RAM") -> {regular, "audio/x-pn-realaudio"};
t("RAR") -> {regular, "application/x-rar-compressed"};
t("RAS") -> {regular, "image/x-cmu-raster"};
t("RCPROFILE") -> {regular, "application/vnd.ipunplugged.rcprofile"};
t("RDF") -> {regular, "application/rdf+xml"};
t("RDZ") -> {regular, "application/vnd.data-vision.rdz"};
t("REP") -> {regular, "application/vnd.businessobjects"};
t("RES") -> {regular, "application/x-dtbresource+xml"};
t("RGB") -> {regular, "image/x-rgb"};
t("RIF") -> {regular, "application/reginfo+xml"};
t("RIP") -> {regular, "audio/vnd.rip"};
t("RL") -> {regular, "application/resource-lists+xml"};
t("RLC") -> {regular, "image/vnd.fujixerox.edmics-rlc"};
t("RLD") -> {regular, "application/resource-lists-diff+xml"};
t("RM") -> {regular, "application/vnd.rn-realmedia"};
t("RMI") -> {regular, "audio/midi"};
t("RMP") -> {regular, "audio/x-pn-realaudio-plugin"};
t("RMS") -> {regular, "application/vnd.jcp.javame.midlet-rms"};
t("RNC") -> {regular, "application/relax-ng-compact-syntax"};
t("ROFF") -> {regular, "text/troff"};
t("RP9") -> {regular, "application/vnd.cloanto.rp9"};
t("RPM") -> {regular, "application/x-rpm"};
t("RPSS") -> {regular, "application/vnd.nokia.radio-presets"};
t("RPST") -> {regular, "application/vnd.nokia.radio-preset"};
t("RQ") -> {regular, "application/sparql-query"};
t("RS") -> {regular, "application/rls-services+xml"};
t("RSD") -> {regular, "application/rsd+xml"};
t("RSS") -> {regular, "application/rss+xml"};
t("RTF") -> {regular, "text/rtf"};
t("RTX") -> {regular, "text/richtext"};
t("S") -> {regular, "text/x-asm"};
t("SAF") -> {regular, "application/vnd.yamaha.smaf-audio"};
t("SBML") -> {regular, "application/sbml+xml"};
t("SC") -> {regular, "application/vnd.ibm.secure-container"};
t("SCD") -> {regular, "application/x-msschedule"};
t("SCM") -> {regular, "application/vnd.lotus-screencam"};
t("SCQ") -> {regular, "application/scvp-cv-request"};
t("SCS") -> {regular, "application/scvp-cv-response"};
t("SCURL") -> {regular, "text/vnd.curl.scurl"};
t("SDA") -> {regular, "application/vnd.stardivision.draw"};
t("SDC") -> {regular, "application/vnd.stardivision.calc"};
t("SDD") -> {regular, "application/vnd.stardivision.impress"};
t("SDKD") -> {regular, "application/vnd.solent.sdkm+xml"};
t("SDKM") -> {regular, "application/vnd.solent.sdkm+xml"};
t("SDP") -> {regular, "application/sdp"};
t("SDW") -> {regular, "application/vnd.stardivision.writer"};
t("SEE") -> {regular, "application/vnd.seemail"};
t("SEED") -> {regular, "application/vnd.fdsn.seed"};
t("SEMA") -> {regular, "application/vnd.sema"};
t("SEMD") -> {regular, "application/vnd.semd"};
t("SEMF") -> {regular, "application/vnd.semf"};
t("SER") -> {regular, "application/java-serialized-object"};
t("SETPAY") -> {regular, "application/set-payment-initiation"};
t("SETREG") -> {regular, "application/set-registration-initiation"};
t("SFD-HDSTX") -> {regular, "application/vnd.hydrostatix.sof-data"};
t("SFS") -> {regular, "application/vnd.spotfire.sfs"};
t("SGL") -> {regular, "application/vnd.stardivision.writer-global"};
t("SGM") -> {regular, "text/sgml"};
t("SGML") -> {regular, "text/sgml"};
t("SH") -> {regular, "application/x-sh"};
t("SHAR") -> {regular, "application/x-shar"};
t("SHF") -> {regular, "application/shf+xml"};
t("SI") -> {regular, "text/vnd.wap.si"};
t("SIC") -> {regular, "application/vnd.wap.sic"};
t("SIG") -> {regular, "application/pgp-signature"};
t("SILO") -> {regular, "model/mesh"};
t("SIS") -> {regular, "application/vnd.symbian.install"};
t("SISX") -> {regular, "application/vnd.symbian.install"};
t("SIT") -> {regular, "application/x-stuffit"};
t("SITX") -> {regular, "application/x-stuffitx"};
t("SKD") -> {regular, "application/x-koan"};
t("SKM") -> {regular, "application/x-koan"};
t("SKP") -> {regular, "application/x-koan"};
t("SKT") -> {regular, "application/x-koan"};
t("SL") -> {regular, "text/vnd.wap.sl"};
t("SLC") -> {regular, "application/vnd.wap.slc"};
t("SLDM") -> {regular, "application/vnd.ms-powerpoint.slide.macroenabled.12"};
t("SLDX") -> {regular, "application/vnd.openxmlformats-officedocument.presentationml.slide"};
t("SLT") -> {regular, "application/vnd.epson.salt"};
t("SM") -> {regular, "application/vnd.stepmania.stepchart"};
t("SMF") -> {regular, "application/vnd.stardivision.math"};
t("SMI") -> {regular, "application/smil+xml"};
t("SMIL") -> {regular, "application/smil+xml"};
t("SND") -> {regular, "audio/basic"};
t("SNF") -> {regular, "application/x-font-snf"};
t("SO") -> {regular, "application/octet-stream"};
t("SPC") -> {regular, "application/x-pkcs7-certificates"};
t("SPF") -> {regular, "application/vnd.yamaha.smaf-phrase"};
t("SPL") -> {regular, "application/x-futuresplash"};
t("SPOT") -> {regular, "text/vnd.in3d.spot"};
t("SPP") -> {regular, "application/scvp-vp-response"};
t("SPQ") -> {regular, "application/scvp-vp-request"};
t("SPX") -> {regular, "audio/ogg"};
t("SRC") -> {regular, "application/x-wais-source"};
t("SRU") -> {regular, "application/sru+xml"};
t("SRX") -> {regular, "application/sparql-results+xml"};
t("SSE") -> {regular, "application/vnd.kodak-descriptor"};
t("SSF") -> {regular, "application/vnd.epson.ssf"};
t("SSML") -> {regular, "application/ssml+xml"};
t("ST") -> {regular, "application/vnd.sailingtracker.track"};
t("STC") -> {regular, "application/vnd.sun.xml.calc.template"};
t("STD") -> {regular, "application/vnd.sun.xml.draw.template"};
t("STF") -> {regular, "application/vnd.wt.stf"};
t("STI") -> {regular, "application/vnd.sun.xml.impress.template"};
t("STK") -> {regular, "application/hyperstudio"};
t("STL") -> {regular, "application/vnd.ms-pki.stl"};
t("STR") -> {regular, "application/vnd.pg.format"};
t("STW") -> {regular, "application/vnd.sun.xml.writer.template"};
t("SUB") -> {regular, "image/vnd.dvb.subtitle"};
t("SUS") -> {regular, "application/vnd.sus-calendar"};
t("SUSP") -> {regular, "application/vnd.sus-calendar"};
t("SV4CPIO") -> {regular, "application/x-sv4cpio"};
t("SV4CRC") -> {regular, "application/x-sv4crc"};
t("SVC") -> {regular, "application/vnd.dvb.service"};
t("SVD") -> {regular, "application/vnd.svd"};
t("SVG") -> {regular, "image/svg+xml"};
t("SVGZ") -> {regular, "image/svg+xml"};
t("SWA") -> {regular, "application/x-director"};
t("SWF") -> {regular, "application/x-shockwave-flash"};
t("SWI") -> {regular, "application/vnd.aristanetworks.swi"};
t("SXC") -> {regular, "application/vnd.sun.xml.calc"};
t("SXD") -> {regular, "application/vnd.sun.xml.draw"};
t("SXG") -> {regular, "application/vnd.sun.xml.writer.global"};
t("SXI") -> {regular, "application/vnd.sun.xml.impress"};
t("SXM") -> {regular, "application/vnd.sun.xml.math"};
t("SXW") -> {regular, "application/vnd.sun.xml.writer"};
t("T") -> {regular, "text/troff"};
t("TAO") -> {regular, "application/vnd.tao.intent-module-archive"};
t("TAR") -> {regular, "application/x-tar"};
t("TCAP") -> {regular, "application/vnd.3gpp2.tcap"};
t("TCL") -> {regular, "application/x-tcl"};
t("TEACHER") -> {regular, "application/vnd.smart.teacher"};
t("TEI") -> {regular, "application/tei+xml"};
t("TEICORPUS") -> {regular, "application/tei+xml"};
t("TEX") -> {regular, "application/x-tex"};
t("TEXI") -> {regular, "application/x-texinfo"};
t("TEXINFO") -> {regular, "application/x-texinfo"};
t("TEXT") -> {regular, "text/plain"};
t("TFI") -> {regular, "application/thraud+xml"};
t("TFM") -> {regular, "application/x-tex-tfm"};
t("TGZ") -> {regular, "application/x-gzip"};
t("THMX") -> {regular, "application/vnd.ms-officetheme"};
t("TIF") -> {regular, "image/tiff"};
t("TIFF") -> {regular, "image/tiff"};
t("TMO") -> {regular, "application/vnd.tmobile-livetv"};
t("TORRENT") -> {regular, "application/x-bittorrent"};
t("TPL") -> {regular, "application/vnd.groove-tool-template"};
t("TPT") -> {regular, "application/vnd.trid.tpt"};
t("TR") -> {regular, "text/troff"};
t("TRA") -> {regular, "application/vnd.trueapp"};
t("TRM") -> {regular, "application/x-msterminal"};
t("TS") -> {regular, "video/mp2t"};
t("TSD") -> {regular, "application/timestamped-data"};
t("TSV") -> {regular, "text/tab-separated-values"};
t("TTC") -> {regular, "application/x-font-ttf"};
t("TTF") -> {regular, "application/x-font-ttf"};
t("TTL") -> {regular, "text/turtle"};
t("TWD") -> {regular, "application/vnd.simtech-mindmapper"};
t("TWDS") -> {regular, "application/vnd.simtech-mindmapper"};
t("TXD") -> {regular, "application/vnd.genomatix.tuxedo"};
t("TXF") -> {regular, "application/vnd.mobius.txf"};
t("TXT") -> {regular, "text/plain"};
t("U32") -> {regular, "application/x-authorware-bin"};
t("UDEB") -> {regular, "application/x-debian-package"};
t("UFD") -> {regular, "application/vnd.ufdl"};
t("UFDL") -> {regular, "application/vnd.ufdl"};
t("UMJ") -> {regular, "application/vnd.umajin"};
t("UNITYWEB") -> {regular, "application/vnd.unity"};
t("UOML") -> {regular, "application/vnd.uoml+xml"};
t("URI") -> {regular, "text/uri-list"};
t("URIS") -> {regular, "text/uri-list"};
t("URLS") -> {regular, "text/uri-list"};
t("USTAR") -> {regular, "application/x-ustar"};
t("UTZ") -> {regular, "application/vnd.uiq.theme"};
t("UU") -> {regular, "text/x-uuencode"};
t("UVA") -> {regular, "audio/vnd.dece.audio"};
t("UVD") -> {regular, "application/vnd.dece.data"};
t("UVF") -> {regular, "application/vnd.dece.data"};
t("UVG") -> {regular, "image/vnd.dece.graphic"};
t("UVH") -> {regular, "video/vnd.dece.hd"};
t("UVI") -> {regular, "image/vnd.dece.graphic"};
t("UVM") -> {regular, "video/vnd.dece.mobile"};
t("UVP") -> {regular, "video/vnd.dece.pd"};
t("UVS") -> {regular, "video/vnd.dece.sd"};
t("UVT") -> {regular, "application/vnd.dece.ttml+xml"};
t("UVU") -> {regular, "video/vnd.uvvu.mp4"};
t("UVV") -> {regular, "video/vnd.dece.video"};
t("UVVA") -> {regular, "audio/vnd.dece.audio"};
t("UVVD") -> {regular, "application/vnd.dece.data"};
t("UVVF") -> {regular, "application/vnd.dece.data"};
t("UVVG") -> {regular, "image/vnd.dece.graphic"};
t("UVVH") -> {regular, "video/vnd.dece.hd"};
t("UVVI") -> {regular, "image/vnd.dece.graphic"};
t("UVVM") -> {regular, "video/vnd.dece.mobile"};
t("UVVP") -> {regular, "video/vnd.dece.pd"};
t("UVVS") -> {regular, "video/vnd.dece.sd"};
t("UVVT") -> {regular, "application/vnd.dece.ttml+xml"};
t("UVVU") -> {regular, "video/vnd.uvvu.mp4"};
t("UVVV") -> {regular, "video/vnd.dece.video"};
t("UVVX") -> {regular, "application/vnd.dece.unspecified"};
t("UVX") -> {regular, "application/vnd.dece.unspecified"};
t("VCD") -> {regular, "application/x-cdlink"};
t("VCF") -> {regular, "text/x-vcard"};
t("VCG") -> {regular, "application/vnd.groove-vcard"};
t("VCS") -> {regular, "text/x-vcalendar"};
t("VCX") -> {regular, "application/vnd.vcx"};
t("VIS") -> {regular, "application/vnd.visionary"};
t("VIV") -> {regular, "video/vnd.vivo"};
t("VOR") -> {regular, "application/vnd.stardivision.writer"};
t("VOX") -> {regular, "application/x-authorware-bin"};
t("VRML") -> {regular, "model/vrml"};
t("VSD") -> {regular, "application/vnd.visio"};
t("VSF") -> {regular, "application/vnd.vsf"};
t("VSS") -> {regular, "application/vnd.visio"};
t("VST") -> {regular, "application/vnd.visio"};
t("VSW") -> {regular, "application/vnd.visio"};
t("VTU") -> {regular, "model/vnd.vtu"};
t("VXML") -> {regular, "application/voicexml+xml"};
t("W3D") -> {regular, "application/x-director"};
t("WAD") -> {regular, "application/x-doom"};
t("WAV") -> {regular, "audio/x-wav"};
t("WAX") -> {regular, "audio/x-ms-wax"};
t("WBMP") -> {regular, "image/vnd.wap.wbmp"};
t("WBS") -> {regular, "application/vnd.criticaltools.wbs+xml"};
t("WBXML") -> {regular, "application/vnd.wap.wbxml"};
t("WCM") -> {regular, "application/vnd.ms-works"};
t("WDB") -> {regular, "application/vnd.ms-works"};
t("WEBA") -> {regular, "audio/webm"};
t("WEBM") -> {regular, "video/webm"};
t("WEBP") -> {regular, "image/webp"};
t("WG") -> {regular, "application/vnd.pmi.widget"};
t("WGT") -> {regular, "application/widget"};
t("WKS") -> {regular, "application/vnd.ms-works"};
t("WM") -> {regular, "video/x-ms-wm"};
t("WMA") -> {regular, "audio/x-ms-wma"};
t("WMD") -> {regular, "application/x-ms-wmd"};
t("WMF") -> {regular, "application/x-msmetafile"};
t("WML") -> {regular, "text/vnd.wap.wml"};
t("WMLC") -> {regular, "application/vnd.wap.wmlc"};
t("WMLS") -> {regular, "text/vnd.wap.wmlscript"};
t("WMLSC") -> {regular, "application/vnd.wap.wmlscriptc"};
t("WMV") -> {regular, "video/x-ms-wmv"};
t("WMX") -> {regular, "video/x-ms-wmx"};
t("WMZ") -> {regular, "application/x-ms-wmz"};
t("WOFF") -> {regular, "application/x-font-woff"};
t("WPD") -> {regular, "application/vnd.wordperfect"};
t("WPL") -> {regular, "application/vnd.ms-wpl"};
t("WPS") -> {regular, "application/vnd.ms-works"};
t("WQD") -> {regular, "application/vnd.wqd"};
t("WRI") -> {regular, "application/x-mswrite"};
t("WRL") -> {regular, "model/vrml"};
t("WSDL") -> {regular, "application/wsdl+xml"};
t("WSPOLICY") -> {regular, "application/wspolicy+xml"};
t("WTB") -> {regular, "application/vnd.webturbo"};
t("WVX") -> {regular, "video/x-ms-wvx"};
t("X32") -> {regular, "application/x-authorware-bin"};
t("X3D") -> {regular, "application/vnd.hzn-3d-crossword"};
t("XAP") -> {regular, "application/x-silverlight-app"};
t("XAR") -> {regular, "application/vnd.xara"};
t("XBAP") -> {regular, "application/x-ms-xbap"};
t("XBD") -> {regular, "application/vnd.fujixerox.docuworks.binder"};
t("XBM") -> {regular, "image/x-xbitmap"};
t("XDF") -> {regular, "application/xcap-diff+xml"};
t("XDM") -> {regular, "application/vnd.syncml.dm+xml"};
t("XDP") -> {regular, "application/vnd.adobe.xdp+xml"};
t("XDSSC") -> {regular, "application/dssc+xml"};
t("XDW") -> {regular, "application/vnd.fujixerox.docuworks"};
t("XENC") -> {regular, "application/xenc+xml"};
t("XER") -> {regular, "application/patch-ops-error+xml"};
t("XFDF") -> {regular, "application/vnd.adobe.xfdf"};
t("XFDL") -> {regular, "application/vnd.xfdl"};
t("XHT") -> {regular, "application/xhtml+xml"};
t("XHTML") -> {regular, "application/xhtml+xml"};
t("XHVML") -> {regular, "application/xv+xml"};
t("XIF") -> {regular, "image/vnd.xiff"};
t("XLA") -> {regular, "application/vnd.ms-excel"};
t("XLAM") -> {regular, "application/vnd.ms-excel.addin.macroenabled.12"};
t("XLC") -> {regular, "application/vnd.ms-excel"};
t("XLM") -> {regular, "application/vnd.ms-excel"};
t("XLS") -> {regular, "application/vnd.ms-excel"};
t("XLSB") -> {regular, "application/vnd.ms-excel.sheet.binary.macroenabled.12"};
t("XLSM") -> {regular, "application/vnd.ms-excel.sheet.macroenabled.12"};
t("XLSX") -> {regular, "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"};
t("XLT") -> {regular, "application/vnd.ms-excel"};
t("XLTM") -> {regular, "application/vnd.ms-excel.template.macroenabled.12"};
t("XLTX") -> {regular, "application/vnd.openxmlformats-officedocument.spreadsheetml.template"};
t("XLW") -> {regular, "application/vnd.ms-excel"};
t("XML") -> {regular, "text/xml"};
t("XO") -> {regular, "application/vnd.olpc-sugar"};
t("XOP") -> {regular, "application/xop+xml"};
t("XPI") -> {regular, "application/x-xpinstall"};
t("XPM") -> {regular, "image/x-xpixmap"};
t("XPR") -> {regular, "application/vnd.is-xpr"};
t("XPS") -> {regular, "application/vnd.ms-xpsdocument"};
t("XPW") -> {regular, "application/vnd.intercon.formnet"};
t("XPX") -> {regular, "application/vnd.intercon.formnet"};
t("XSL") -> {regular, "text/xml"};
t("XSLT") -> {regular, "application/xslt+xml"};
t("XSM") -> {regular, "application/vnd.syncml+xml"};
t("XSPF") -> {regular, "application/xspf+xml"};
t("XUL") -> {regular, "application/vnd.mozilla.xul+xml"};
t("XVM") -> {regular, "application/xv+xml"};
t("XVML") -> {regular, "application/xv+xml"};
t("XWD") -> {regular, "image/x-xwindowdump"};
t("XYZ") -> {regular, "chemical/x-xyz"};
t("YANG") -> {regular, "application/yang"};
t("YIN") -> {regular, "application/yin+xml"};
t("ZAZ") -> {regular, "application/vnd.zzazz.deck+xml"};
t("ZIP") -> {regular, "application/zip"};
t("ZIR") -> {regular, "application/vnd.zul"};
t("ZIRZ") -> {regular, "application/vnd.zul"};
t("ZMM") -> {regular, "application/vnd.handheld-entertainment+xml"};
t("aab") -> {regular, "application/x-authorware-bin"};
t("aac") -> {regular, "audio/x-aac"};
t("aam") -> {regular, "application/x-authorware-map"};
t("aas") -> {regular, "application/x-authorware-seg"};
t("abw") -> {regular, "application/x-abiword"};
t("ac") -> {regular, "application/pkix-attr-cert"};
t("acc") -> {regular, "application/vnd.americandynamics.acc"};
t("ace") -> {regular, "application/x-ace-compressed"};
t("acu") -> {regular, "application/vnd.acucobol"};
t("acutc") -> {regular, "application/vnd.acucorp"};
t("adp") -> {regular, "audio/adpcm"};
t("aep") -> {regular, "application/vnd.audiograph"};
t("afm") -> {regular, "application/x-font-type1"};
t("afp") -> {regular, "application/vnd.ibm.modcap"};
t("ahead") -> {regular, "application/vnd.ahead.space"};
t("ai") -> {regular, "application/postscript"};
t("aif") -> {regular, "audio/x-aiff"};
t("aifc") -> {regular, "audio/x-aiff"};
t("aiff") -> {regular, "audio/x-aiff"};
t("air") -> {regular, "application/vnd.adobe.air-application-installer-package+zip"};
t("ait") -> {regular, "application/vnd.dvb.ait"};
t("ami") -> {regular, "application/vnd.amiga.ami"};
t("apk") -> {regular, "application/vnd.android.package-archive"};
t("application") -> {regular, "application/x-ms-application"};
t("apr") -> {regular, "application/vnd.lotus-approach"};
t("asc") -> {regular, "application/pgp-signature"};
t("asf") -> {regular, "video/x-ms-asf"};
t("asm") -> {regular, "text/x-asm"};
t("aso") -> {regular, "application/vnd.accpac.simply.aso"};
t("asx") -> {regular, "video/x-ms-asf"};
t("atc") -> {regular, "application/vnd.acucorp"};
t("atom") -> {regular, "application/atom+xml"};
t("atomcat") -> {regular, "application/atomcat+xml"};
t("atomsvc") -> {regular, "application/atomsvc+xml"};
t("atx") -> {regular, "application/vnd.antix.game-component"};
t("au") -> {regular, "audio/basic"};
t("avi") -> {regular, "video/x-msvideo"};
t("aw") -> {regular, "application/applixware"};
t("azf") -> {regular, "application/vnd.airzip.filesecure.azf"};
t("azs") -> {regular, "application/vnd.airzip.filesecure.azs"};
t("azw") -> {regular, "application/vnd.amazon.ebook"};
t("bat") -> {regular, "application/x-msdownload"};
t("bcpio") -> {regular, "application/x-bcpio"};
t("bdf") -> {regular, "application/x-font-bdf"};
t("bdm") -> {regular, "application/vnd.syncml.dm+wbxml"};
t("bed") -> {regular, "application/vnd.realvnc.bed"};
t("bh2") -> {regular, "application/vnd.fujitsu.oasysprs"};
t("bin") -> {regular, "application/octet-stream"};
t("bmi") -> {regular, "application/vnd.bmi"};
t("bmp") -> {regular, "image/bmp"};
t("book") -> {regular, "application/vnd.framemaker"};
t("box") -> {regular, "application/vnd.previewsystems.box"};
t("boz") -> {regular, "application/x-bzip2"};
t("bpk") -> {regular, "application/octet-stream"};
t("btif") -> {regular, "image/prs.btif"};
t("bz") -> {regular, "application/x-bzip"};
t("bz2") -> {regular, "application/x-bzip2"};
t("c") -> {regular, "text/x-c"};
t("c11amc") -> {regular, "application/vnd.cluetrust.cartomobile-config"};
t("c11amz") -> {regular, "application/vnd.cluetrust.cartomobile-config-pkg"};
t("c4d") -> {regular, "application/vnd.clonk.c4group"};
t("c4f") -> {regular, "application/vnd.clonk.c4group"};
t("c4g") -> {regular, "application/vnd.clonk.c4group"};
t("c4p") -> {regular, "application/vnd.clonk.c4group"};
t("c4u") -> {regular, "application/vnd.clonk.c4group"};
t("cab") -> {regular, "application/vnd.ms-cab-compressed"};
t("car") -> {regular, "application/vnd.curl.car"};
t("cat") -> {regular, "application/vnd.ms-pki.seccat"};
t("cc") -> {regular, "text/x-c"};
t("cct") -> {regular, "application/x-director"};
t("ccxml") -> {regular, "application/ccxml+xml"};
t("cdbcmsg") -> {regular, "application/vnd.contact.cmsg"};
t("cdf") -> {regular, "application/x-netcdf"};
t("cdkey") -> {regular, "application/vnd.mediastation.cdkey"};
t("cdmia") -> {regular, "application/cdmi-capability"};
t("cdmic") -> {regular, "application/cdmi-container"};
t("cdmid") -> {regular, "application/cdmi-domain"};
t("cdmio") -> {regular, "application/cdmi-object"};
t("cdmiq") -> {regular, "application/cdmi-queue"};
t("cdx") -> {regular, "chemical/x-cdx"};
t("cdxml") -> {regular, "application/vnd.chemdraw+xml"};
t("cdy") -> {regular, "application/vnd.cinderella"};
t("cer") -> {regular, "application/pkix-cert"};
t("cgm") -> {regular, "image/cgm"};
t("chat") -> {regular, "application/x-chat"};
t("chm") -> {regular, "application/vnd.ms-htmlhelp"};
t("chrt") -> {regular, "application/x-kchart"};
t("cif") -> {regular, "chemical/x-cif"};
t("cii") -> {regular, "application/vnd.anser-web-certificate-issue-initiation"};
t("cil") -> {regular, "application/vnd.ms-artgalry"};
t("cla") -> {regular, "application/vnd.claymore"};
t("class") -> {regular, "application/java-vm"};
t("clkk") -> {regular, "application/vnd.crick.clicker.keyboard"};
t("clkp") -> {regular, "application/vnd.crick.clicker.palette"};
t("clkt") -> {regular, "application/vnd.crick.clicker.template"};
t("clkw") -> {regular, "application/vnd.crick.clicker.wordbank"};
t("clkx") -> {regular, "application/vnd.crick.clicker"};
t("clp") -> {regular, "application/x-msclip"};
t("cmc") -> {regular, "application/vnd.cosmocaller"};
t("cmdf") -> {regular, "chemical/x-cmdf"};
t("cml") -> {regular, "chemical/x-cml"};
t("cmp") -> {regular, "application/vnd.yellowriver-custom-menu"};
t("cmx") -> {regular, "image/x-cmx"};
t("cod") -> {regular, "application/vnd.rim.cod"};
t("com") -> {regular, "application/x-msdownload"};
t("conf") -> {regular, "text/plain"};
t("cpio") -> {regular, "application/x-cpio"};
t("cpp") -> {regular, "text/x-c"};
t("cpt") -> {regular, "application/mac-compactpro"};
t("crd") -> {regular, "application/x-mscardfile"};
t("crl") -> {regular, "application/pkix-crl"};
t("crt") -> {regular, "application/x-x509-ca-cert"};
t("cryptonote") -> {regular, "application/vnd.rig.cryptonote"};
t("csh") -> {regular, "application/x-csh"};
t("csml") -> {regular, "chemical/x-csml"};
t("csp") -> {regular, "application/vnd.commonspace"};
t("css") -> {regular, "text/css"};
t("cst") -> {regular, "application/x-director"};
t("csv") -> {regular, "text/csv"};
t("cu") -> {regular, "application/cu-seeme"};
t("curl") -> {regular, "text/vnd.curl"};
t("cww") -> {regular, "application/prs.cww"};
t("cxt") -> {regular, "application/x-director"};
t("cxx") -> {regular, "text/x-c"};
t("dae") -> {regular, "model/vnd.collada+xml"};
t("daf") -> {regular, "application/vnd.mobius.daf"};
t("dataless") -> {regular, "application/vnd.fdsn.seed"};
t("davmount") -> {regular, "application/davmount+xml"};
t("dcr") -> {regular, "application/x-director"};
t("dcurl") -> {regular, "text/vnd.curl.dcurl"};
t("dd2") -> {regular, "application/vnd.oma.dd2+xml"};
t("ddd") -> {regular, "application/vnd.fujixerox.ddd"};
t("deb") -> {regular, "application/x-debian-package"};
t("def") -> {regular, "text/plain"};
t("deploy") -> {regular, "application/octet-stream"};
t("der") -> {regular, "application/x-x509-ca-cert"};
t("dfac") -> {regular, "application/vnd.dreamfactory"};
t("dic") -> {regular, "text/x-c"};
t("dir") -> {regular, "application/x-director"};
t("dis") -> {regular, "application/vnd.mobius.dis"};
t("dist") -> {regular, "application/octet-stream"};
t("distz") -> {regular, "application/octet-stream"};
t("djv") -> {regular, "image/vnd.djvu"};
t("djvu") -> {regular, "image/vnd.djvu"};
t("dll") -> {regular, "application/x-msdownload"};
t("dmg") -> {regular, "application/octet-stream"};
t("dms") -> {regular, "application/octet-stream"};
t("dna") -> {regular, "application/vnd.dna"};
t("doc") -> {regular, "application/msword"};
t("docm") -> {regular, "application/vnd.ms-word.document.macroenabled.12"};
t("docx") -> {regular, "application/vnd.openxmlformats-officedocument.wordprocessingml.document"};
t("dot") -> {regular, "application/msword"};
t("dotm") -> {regular, "application/vnd.ms-word.template.macroenabled.12"};
t("dotx") -> {regular, "application/vnd.openxmlformats-officedocument.wordprocessingml.template"};
t("dp") -> {regular, "application/vnd.osgi.dp"};
t("dpg") -> {regular, "application/vnd.dpgraph"};
t("dra") -> {regular, "audio/vnd.dra"};
t("dsc") -> {regular, "text/prs.lines.tag"};
t("dssc") -> {regular, "application/dssc+der"};
t("dtb") -> {regular, "application/x-dtbook+xml"};
t("dtd") -> {regular, "application/xml-dtd"};
t("dts") -> {regular, "audio/vnd.dts"};
t("dtshd") -> {regular, "audio/vnd.dts.hd"};
t("dump") -> {regular, "application/octet-stream"};
t("dvi") -> {regular, "application/x-dvi"};
t("dwf") -> {regular, "model/vnd.dwf"};
t("dwg") -> {regular, "image/vnd.dwg"};
t("dxf") -> {regular, "image/vnd.dxf"};
t("dxp") -> {regular, "application/vnd.spotfire.dxp"};
t("dxr") -> {regular, "application/x-director"};
t("ecelp4800") -> {regular, "audio/vnd.nuera.ecelp4800"};
t("ecelp7470") -> {regular, "audio/vnd.nuera.ecelp7470"};
t("ecelp9600") -> {regular, "audio/vnd.nuera.ecelp9600"};
t("ecma") -> {regular, "application/ecmascript"};
t("edm") -> {regular, "application/vnd.novadigm.edm"};
t("edx") -> {regular, "application/vnd.novadigm.edx"};
t("efif") -> {regular, "application/vnd.picsel"};
t("ei6") -> {regular, "application/vnd.pg.osasli"};
t("elc") -> {regular, "application/octet-stream"};
t("eml") -> {regular, "message/rfc822"};
t("emma") -> {regular, "application/emma+xml"};
t("eol") -> {regular, "audio/vnd.digital-winds"};
t("eot") -> {regular, "application/vnd.ms-fontobject"};
t("eps") -> {regular, "application/postscript"};
t("epub") -> {regular, "application/epub+zip"};
t("es3") -> {regular, "application/vnd.eszigno3+xml"};
t("esf") -> {regular, "application/vnd.epson.esf"};
t("et3") -> {regular, "application/vnd.eszigno3+xml"};
t("etx") -> {regular, "text/x-setext"};
t("exe") -> {regular, "application/x-msdownload"};
t("exi") -> {regular, "application/exi"};
t("ext") -> {regular, "application/vnd.novadigm.ext"};
t("ez") -> {regular, "application/andrew-inset"};
t("ez2") -> {regular, "application/vnd.ezpix-album"};
t("ez3") -> {regular, "application/vnd.ezpix-package"};
t("f") -> {regular, "text/x-fortran"};
t("f4v") -> {regular, "video/x-f4v"};
t("f77") -> {regular, "text/x-fortran"};
t("f90") -> {regular, "text/x-fortran"};
t("fbs") -> {regular, "image/vnd.fastbidsheet"};
t("fcs") -> {regular, "application/vnd.isac.fcs"};
t("fdf") -> {regular, "application/vnd.fdf"};
t("fe_launch") -> {regular, "application/vnd.denovo.fcselayout-link"};
t("fg5") -> {regular, "application/vnd.fujitsu.oasysgp"};
t("fgd") -> {regular, "application/x-director"};
t("fh") -> {regular, "image/x-freehand"};
t("fh4") -> {regular, "image/x-freehand"};
t("fh5") -> {regular, "image/x-freehand"};
t("fh7") -> {regular, "image/x-freehand"};
t("fhc") -> {regular, "image/x-freehand"};
t("fig") -> {regular, "application/x-xfig"};
t("fli") -> {regular, "video/x-fli"};
t("flo") -> {regular, "application/vnd.micrografx.flo"};
t("flv") -> {regular, "video/x-flv"};
t("flw") -> {regular, "application/vnd.kde.kivio"};
t("flx") -> {regular, "text/vnd.fmi.flexstor"};
t("fly") -> {regular, "text/vnd.fly"};
t("fm") -> {regular, "application/vnd.framemaker"};
t("fnc") -> {regular, "application/vnd.frogans.fnc"};
t("for") -> {regular, "text/x-fortran"};
t("fpx") -> {regular, "image/vnd.fpx"};
t("frame") -> {regular, "application/vnd.framemaker"};
t("fsc") -> {regular, "application/vnd.fsc.weblaunch"};
t("fst") -> {regular, "image/vnd.fst"};
t("ftc") -> {regular, "application/vnd.fluxtime.clip"};
t("fti") -> {regular, "application/vnd.anser-web-funds-transfer-initiation"};
t("fvt") -> {regular, "video/vnd.fvt"};
t("fxp") -> {regular, "application/vnd.adobe.fxp"};
t("fxpl") -> {regular, "application/vnd.adobe.fxp"};
t("fzs") -> {regular, "application/vnd.fuzzysheet"};
t("g2w") -> {regular, "application/vnd.geoplan"};
t("g3") -> {regular, "image/g3fax"};
t("g3w") -> {regular, "application/vnd.geospace"};
t("gac") -> {regular, "application/vnd.groove-account"};
t("gdl") -> {regular, "model/vnd.gdl"};
t("geo") -> {regular, "application/vnd.dynageo"};
t("gex") -> {regular, "application/vnd.geometry-explorer"};
t("ggb") -> {regular, "application/vnd.geogebra.file"};
t("ggt") -> {regular, "application/vnd.geogebra.tool"};
t("ghf") -> {regular, "application/vnd.groove-help"};
t("gif") -> {regular, "image/gif"};
t("gim") -> {regular, "application/vnd.groove-identity-message"};
t("gmx") -> {regular, "application/vnd.gmx"};
t("gnumeric") -> {regular, "application/x-gnumeric"};
t("gph") -> {regular, "application/vnd.flographit"};
t("gqf") -> {regular, "application/vnd.grafeq"};
t("gqs") -> {regular, "application/vnd.grafeq"};
t("gram") -> {regular, "application/srgs"};
t("gre") -> {regular, "application/vnd.geometry-explorer"};
t("grv") -> {regular, "application/vnd.groove-injector"};
t("grxml") -> {regular, "application/srgs+xml"};
t("gsf") -> {regular, "application/x-font-ghostscript"};
t("gtar") -> {regular, "application/x-gtar"};
t("gtm") -> {regular, "application/vnd.groove-tool-message"};
t("gtw") -> {regular, "model/vnd.gtw"};
t("gv") -> {regular, "text/vnd.graphviz"};
t("gxt") -> {regular, "application/vnd.geonext"};
t("gz") -> {regular, "application/x-gzip"};
t("h") -> {regular, "text/x-c"};
t("h261") -> {regular, "video/h261"};
t("h263") -> {regular, "video/h263"};
t("h264") -> {regular, "video/h264"};
t("hal") -> {regular, "application/vnd.hal+xml"};
t("hbci") -> {regular, "application/vnd.hbci"};
t("hdf") -> {regular, "application/x-hdf"};
t("hh") -> {regular, "text/x-c"};
t("hlp") -> {regular, "application/winhlp"};
t("hpgl") -> {regular, "application/vnd.hp-hpgl"};
t("hpid") -> {regular, "application/vnd.hp-hpid"};
t("hps") -> {regular, "application/vnd.hp-hps"};
t("hqx") -> {regular, "application/mac-binhex40"};
t("htke") -> {regular, "application/vnd.kenameaapp"};
t("htm") -> {regular, "text/html"};
t("html") -> {regular, "text/html"};
t("hvd") -> {regular, "application/vnd.yamaha.hv-dic"};
t("hvp") -> {regular, "application/vnd.yamaha.hv-voice"};
t("hvs") -> {regular, "application/vnd.yamaha.hv-script"};
t("i2g") -> {regular, "application/vnd.intergeo"};
t("icc") -> {regular, "application/vnd.iccprofile"};
t("ice") -> {regular, "x-conference/x-cooltalk"};
t("icm") -> {regular, "application/vnd.iccprofile"};
t("ico") -> {regular, "image/x-icon"};
t("ics") -> {regular, "text/calendar"};
t("ief") -> {regular, "image/ief"};
t("ifb") -> {regular, "text/calendar"};
t("ifm") -> {regular, "application/vnd.shana.informed.formdata"};
t("iges") -> {regular, "model/iges"};
t("igl") -> {regular, "application/vnd.igloader"};
t("igm") -> {regular, "application/vnd.insors.igm"};
t("igs") -> {regular, "model/iges"};
t("igx") -> {regular, "application/vnd.micrografx.igx"};
t("iif") -> {regular, "application/vnd.shana.informed.interchange"};
t("imp") -> {regular, "application/vnd.accpac.simply.imp"};
t("ims") -> {regular, "application/vnd.ms-ims"};
t("in") -> {regular, "text/plain"};
t("ipfix") -> {regular, "application/ipfix"};
t("ipk") -> {regular, "application/vnd.shana.informed.package"};
t("irm") -> {regular, "application/vnd.ibm.rights-management"};
t("irp") -> {regular, "application/vnd.irepository.package+xml"};
t("iso") -> {regular, "application/octet-stream"};
t("itp") -> {regular, "application/vnd.shana.informed.formtemplate"};
t("ivp") -> {regular, "application/vnd.immervision-ivp"};
t("ivu") -> {regular, "application/vnd.immervision-ivu"};
t("jad") -> {regular, "text/vnd.sun.j2me.app-descriptor"};
t("jam") -> {regular, "application/vnd.jam"};
t("jar") -> {regular, "application/java-archive"};
t("java") -> {regular, "text/x-java-source"};
t("jisp") -> {regular, "application/vnd.jisp"};
t("jlt") -> {regular, "application/vnd.hp-jlyt"};
t("jnlp") -> {regular, "application/x-java-jnlp-file"};
t("joda") -> {regular, "application/vnd.joost.joda-archive"};
t("jpe") -> {regular, "image/jpeg"};
t("jpeg") -> {regular, "image/jpeg"};
t("jpg") -> {regular, "image/jpeg"};
t("jpgm") -> {regular, "video/jpm"};
t("jpgv") -> {regular, "video/jpeg"};
t("jpm") -> {regular, "video/jpm"};
t("js") -> {regular, "application/x-javascript"};
t("json") -> {regular, "application/json"};
t("kar") -> {regular, "audio/midi"};
t("karbon") -> {regular, "application/vnd.kde.karbon"};
t("kfo") -> {regular, "application/vnd.kde.kformula"};
t("kia") -> {regular, "application/vnd.kidspiration"};
t("kil") -> {regular, "application/x-killustrator"};
t("kml") -> {regular, "application/vnd.google-earth.kml+xml"};
t("kmz") -> {regular, "application/vnd.google-earth.kmz"};
t("kne") -> {regular, "application/vnd.kinar"};
t("knp") -> {regular, "application/vnd.kinar"};
t("kon") -> {regular, "application/vnd.kde.kontour"};
t("kpr") -> {regular, "application/x-kpresenter"};
t("kpt") -> {regular, "application/x-kpresenter"};
t("ksp") -> {regular, "application/x-kspread"};
t("ktr") -> {regular, "application/vnd.kahootz"};
t("ktx") -> {regular, "image/ktx"};
t("ktz") -> {regular, "application/vnd.kahootz"};
t("kwd") -> {regular, "application/x-kword"};
t("kwt") -> {regular, "application/x-kword"};
t("lasxml") -> {regular, "application/vnd.las.las+xml"};
t("latex") -> {regular, "application/x-latex"};
t("lbd") -> {regular, "application/vnd.llamagraphics.life-balance.desktop"};
t("lbe") -> {regular, "application/vnd.llamagraphics.life-balance.exchange+xml"};
t("les") -> {regular, "application/vnd.hhe.lesson-player"};
t("lha") -> {regular, "application/octet-stream"};
t("link66") -> {regular, "application/vnd.route66.link66+xml"};
t("list") -> {regular, "text/plain"};
t("list3820") -> {regular, "application/vnd.ibm.modcap"};
t("listafp") -> {regular, "application/vnd.ibm.modcap"};
t("log") -> {regular, "text/plain"};
t("lostxml") -> {regular, "application/lost+xml"};
t("lrf") -> {regular, "application/octet-stream"};
t("lrm") -> {regular, "application/vnd.ms-lrm"};
t("ltf") -> {regular, "application/vnd.frogans.ltf"};
t("lvp") -> {regular, "audio/vnd.lucent.voice"};
t("lwp") -> {regular, "application/vnd.lotus-wordpro"};
t("lzh") -> {regular, "application/octet-stream"};
t("m13") -> {regular, "application/x-msmediaview"};
t("m14") -> {regular, "application/x-msmediaview"};
t("m1v") -> {regular, "video/mpeg"};
t("m21") -> {regular, "application/mp21"};
t("m2a") -> {regular, "audio/mpeg"};
t("m2v") -> {regular, "video/mpeg"};
t("m3a") -> {regular, "audio/mpeg"};
t("m3u") -> {regular, "audio/x-mpegurl"};
t("m3u8") -> {regular, "application/vnd.apple.mpegurl"};
t("m4u") -> {regular, "video/vnd.mpegurl"};
t("m4v") -> {regular, "video/x-m4v"};
t("ma") -> {regular, "application/mathematica"};
t("mads") -> {regular, "application/mads+xml"};
t("mag") -> {regular, "application/vnd.ecowin.chart"};
t("maker") -> {regular, "application/vnd.framemaker"};
t("man") -> {regular, "text/troff"};
t("mathml") -> {regular, "application/mathml+xml"};
t("mb") -> {regular, "application/mathematica"};
t("mbk") -> {regular, "application/vnd.mobius.mbk"};
t("mbox") -> {regular, "application/mbox"};
t("mc1") -> {regular, "application/vnd.medcalcdata"};
t("mcd") -> {regular, "application/vnd.mcd"};
t("mcurl") -> {regular, "text/vnd.curl.mcurl"};
t("mdb") -> {regular, "application/x-msaccess"};
t("mdi") -> {regular, "image/vnd.ms-modi"};
t("me") -> {regular, "text/troff"};
t("mesh") -> {regular, "model/mesh"};
t("meta4") -> {regular, "application/metalink4+xml"};
t("mets") -> {regular, "application/mets+xml"};
t("mfm") -> {regular, "application/vnd.mfmp"};
t("mgp") -> {regular, "application/vnd.osgeo.mapguide.package"};
t("mgz") -> {regular, "application/vnd.proteus.magazine"};
t("mid") -> {regular, "audio/midi"};
t("midi") -> {regular, "audio/midi"};
t("mif") -> {regular, "application/vnd.mif"};
t("mime") -> {regular, "message/rfc822"};
t("mj2") -> {regular, "video/mj2"};
t("mjp2") -> {regular, "video/mj2"};
t("mlp") -> {regular, "application/vnd.dolby.mlp"};
t("mmd") -> {regular, "application/vnd.chipnuts.karaoke-mmd"};
t("mmf") -> {regular, "application/vnd.smaf"};
t("mmr") -> {regular, "image/vnd.fujixerox.edmics-mmr"};
t("mny") -> {regular, "application/x-msmoney"};
t("mobi") -> {regular, "application/x-mobipocket-ebook"};
t("mods") -> {regular, "application/mods+xml"};
t("mov") -> {regular, "video/quicktime"};
t("movie") -> {regular, "video/x-sgi-movie"};
t("mp2") -> {regular, "audio/mpeg"};
t("mp21") -> {regular, "application/mp21"};
t("mp2a") -> {regular, "audio/mpeg"};
t("mp3") -> {regular, "audio/mpeg"};
t("mp4") -> {regular, "video/mp4"};
t("mp4a") -> {regular, "audio/mp4"};
t("mp4s") -> {regular, "application/mp4"};
t("mp4v") -> {regular, "video/mp4"};
t("mpc") -> {regular, "application/vnd.mophun.certificate"};
t("mpe") -> {regular, "video/mpeg"};
t("mpeg") -> {regular, "video/mpeg"};
t("mpg") -> {regular, "video/mpeg"};
t("mpg4") -> {regular, "video/mp4"};
t("mpga") -> {regular, "audio/mpeg"};
t("mpkg") -> {regular, "application/vnd.apple.installer+xml"};
t("mpm") -> {regular, "application/vnd.blueice.multipass"};
t("mpn") -> {regular, "application/vnd.mophun.application"};
t("mpp") -> {regular, "application/vnd.ms-project"};
t("mpt") -> {regular, "application/vnd.ms-project"};
t("mpy") -> {regular, "application/vnd.ibm.minipay"};
t("mqy") -> {regular, "application/vnd.mobius.mqy"};
t("mrc") -> {regular, "application/marc"};
t("mrcx") -> {regular, "application/marcxml+xml"};
t("ms") -> {regular, "text/troff"};
t("mscml") -> {regular, "application/mediaservercontrol+xml"};
t("mseed") -> {regular, "application/vnd.fdsn.mseed"};
t("mseq") -> {regular, "application/vnd.mseq"};
t("msf") -> {regular, "application/vnd.epson.msf"};
t("msh") -> {regular, "model/mesh"};
t("msi") -> {regular, "application/x-msdownload"};
t("msl") -> {regular, "application/vnd.mobius.msl"};
t("msty") -> {regular, "application/vnd.muvee.style"};
t("mts") -> {regular, "model/vnd.mts"};
t("mus") -> {regular, "application/vnd.musician"};
t("musicxml") -> {regular, "application/vnd.recordare.musicxml+xml"};
t("mvb") -> {regular, "application/x-msmediaview"};
t("mwf") -> {regular, "application/vnd.mfer"};
t("mxf") -> {regular, "application/mxf"};
t("mxl") -> {regular, "application/vnd.recordare.musicxml"};
t("mxml") -> {regular, "application/xv+xml"};
t("mxs") -> {regular, "application/vnd.triscape.mxs"};
t("mxu") -> {regular, "video/vnd.mpegurl"};
t("n-gage") -> {regular, "application/vnd.nokia.n-gage.symbian.install"};
t("n3") -> {regular, "text/n3"};
t("nb") -> {regular, "application/mathematica"};
t("nbp") -> {regular, "application/vnd.wolfram.player"};
t("nc") -> {regular, "application/x-netcdf"};
t("ncx") -> {regular, "application/x-dtbncx+xml"};
t("ngdat") -> {regular, "application/vnd.nokia.n-gage.data"};
t("nlu") -> {regular, "application/vnd.neurolanguage.nlu"};
t("nml") -> {regular, "application/vnd.enliven"};
t("nnd") -> {regular, "application/vnd.noblenet-directory"};
t("nns") -> {regular, "application/vnd.noblenet-sealer"};
t("nnw") -> {regular, "application/vnd.noblenet-web"};
t("npx") -> {regular, "image/vnd.net-fpx"};
t("nsf") -> {regular, "application/vnd.lotus-notes"};
t("oa2") -> {regular, "application/vnd.fujitsu.oasys2"};
t("oa3") -> {regular, "application/vnd.fujitsu.oasys3"};
t("oas") -> {regular, "application/vnd.fujitsu.oasys"};
t("obd") -> {regular, "application/x-msbinder"};
t("oda") -> {regular, "application/oda"};
t("odb") -> {regular, "application/vnd.oasis.opendocument.database"};
t("odc") -> {regular, "application/vnd.oasis.opendocument.chart"};
t("odf") -> {regular, "application/vnd.oasis.opendocument.formula"};
t("odft") -> {regular, "application/vnd.oasis.opendocument.formula-template"};
t("odg") -> {regular, "application/vnd.oasis.opendocument.graphics"};
t("odi") -> {regular, "application/vnd.oasis.opendocument.image"};
t("odp") -> {regular, "application/vnd.oasis.opendocument.presentation"};
t("ods") -> {regular, "application/vnd.oasis.opendocument.spreadsheet"};
t("odt") -> {regular, "application/vnd.oasis.opendocument.text"};
t("oga") -> {regular, "audio/ogg"};
t("ogg") -> {regular, "audio/ogg"};
t("ogv") -> {regular, "video/ogg"};
t("ogx") -> {regular, "application/ogg"};
t("onepkg") -> {regular, "application/onenote"};
t("onetmp") -> {regular, "application/onenote"};
t("onetoc") -> {regular, "application/onenote"};
t("onetoc2") -> {regular, "application/onenote"};
t("opf") -> {regular, "application/oebps-package+xml"};
t("oprc") -> {regular, "application/vnd.palm"};
t("org") -> {regular, "application/vnd.lotus-organizer"};
t("osf") -> {regular, "application/vnd.yamaha.openscoreformat"};
t("osfpvg") -> {regular, "application/vnd.yamaha.openscoreformat.osfpvg+xml"};
t("otc") -> {regular, "application/vnd.oasis.opendocument.chart-template"};
t("otf") -> {regular, "application/x-font-otf"};
t("otg") -> {regular, "application/vnd.oasis.opendocument.graphics-template"};
t("oth") -> {regular, "application/vnd.oasis.opendocument.text-web"};
t("oti") -> {regular, "application/vnd.oasis.opendocument.image-template"};
t("otm") -> {regular, "application/vnd.oasis.opendocument.text-master"};
t("otp") -> {regular, "application/vnd.oasis.opendocument.presentation-template"};
t("ots") -> {regular, "application/vnd.oasis.opendocument.spreadsheet-template"};
t("ott") -> {regular, "application/vnd.oasis.opendocument.text-template"};
t("oxt") -> {regular, "application/vnd.openofficeorg.extension"};
t("p") -> {regular, "text/x-pascal"};
t("p10") -> {regular, "application/pkcs10"};
t("p12") -> {regular, "application/x-pkcs12"};
t("p7b") -> {regular, "application/x-pkcs7-certificates"};
t("p7c") -> {regular, "application/pkcs7-mime"};
t("p7m") -> {regular, "application/pkcs7-mime"};
t("p7r") -> {regular, "application/x-pkcs7-certreqresp"};
t("p7s") -> {regular, "application/pkcs7-signature"};
t("p8") -> {regular, "application/pkcs8"};
t("pac") -> {regular, "application/x-ns-proxy-autoconfig"};
t("pas") -> {regular, "text/x-pascal"};
t("paw") -> {regular, "application/vnd.pawaafile"};
t("pbd") -> {regular, "application/vnd.powerbuilder6"};
t("pbm") -> {regular, "image/x-portable-bitmap"};
t("pcf") -> {regular, "application/x-font-pcf"};
t("pcl") -> {regular, "application/vnd.hp-pcl"};
t("pclxl") -> {regular, "application/vnd.hp-pclxl"};
t("pct") -> {regular, "image/x-pict"};
t("pcurl") -> {regular, "application/vnd.curl.pcurl"};
t("pcx") -> {regular, "image/x-pcx"};
t("pdb") -> {regular, "application/vnd.palm"};
t("pdf") -> {regular, "application/pdf"};
t("pfa") -> {regular, "application/x-font-type1"};
t("pfb") -> {regular, "application/x-font-type1"};
t("pfm") -> {regular, "application/x-font-type1"};
t("pfr") -> {regular, "application/font-tdpfr"};
t("pfx") -> {regular, "application/x-pkcs12"};
t("pgm") -> {regular, "image/x-portable-graymap"};
t("pgn") -> {regular, "application/x-chess-pgn"};
t("pgp") -> {regular, "application/pgp-encrypted"};
t("pic") -> {regular, "image/x-pict"};
t("pkg") -> {regular, "application/octet-stream"};
t("pki") -> {regular, "application/pkixcmp"};
t("pkipath") -> {regular, "application/pkix-pkipath"};
t("plb") -> {regular, "application/vnd.3gpp.pic-bw-large"};
t("plc") -> {regular, "application/vnd.mobius.plc"};
t("plf") -> {regular, "application/vnd.pocketlearn"};
t("pls") -> {regular, "application/pls+xml"};
t("pml") -> {regular, "application/vnd.ctc-posml"};
t("png") -> {regular, "image/png"};
t("pnm") -> {regular, "image/x-portable-anymap"};
t("portpkg") -> {regular, "application/vnd.macports.portpkg"};
t("pot") -> {regular, "application/vnd.ms-powerpoint"};
t("potm") -> {regular, "application/vnd.ms-powerpoint.template.macroenabled.12"};
t("potx") -> {regular, "application/vnd.openxmlformats-officedocument.presentationml.template"};
t("ppam") -> {regular, "application/vnd.ms-powerpoint.addin.macroenabled.12"};
t("ppd") -> {regular, "application/vnd.cups-ppd"};
t("ppm") -> {regular, "image/x-portable-pixmap"};
t("pps") -> {regular, "application/vnd.ms-powerpoint"};
t("ppsm") -> {regular, "application/vnd.ms-powerpoint.slideshow.macroenabled.12"};
t("ppsx") -> {regular, "application/vnd.openxmlformats-officedocument.presentationml.slideshow"};
t("ppt") -> {regular, "application/vnd.ms-powerpoint"};
t("pptm") -> {regular, "application/vnd.ms-powerpoint.presentation.macroenabled.12"};
t("pptx") -> {regular, "application/vnd.openxmlformats-officedocument.presentationml.presentation"};
t("pqa") -> {regular, "application/vnd.palm"};
t("prc") -> {regular, "application/x-mobipocket-ebook"};
t("pre") -> {regular, "application/vnd.lotus-freelance"};
t("prf") -> {regular, "application/pics-rules"};
t("ps") -> {regular, "application/postscript"};
t("psb") -> {regular, "application/vnd.3gpp.pic-bw-small"};
t("psd") -> {regular, "image/vnd.adobe.photoshop"};
t("psf") -> {regular, "application/x-font-linux-psf"};
t("pskcxml") -> {regular, "application/pskc+xml"};
t("ptid") -> {regular, "application/vnd.pvi.ptid1"};
t("pub") -> {regular, "application/x-mspublisher"};
t("pvb") -> {regular, "application/vnd.3gpp.pic-bw-var"};
t("pwn") -> {regular, "application/vnd.3m.post-it-notes"};
t("pya") -> {regular, "audio/vnd.ms-playready.media.pya"};
t("pyv") -> {regular, "video/vnd.ms-playready.media.pyv"};
t("qam") -> {regular, "application/vnd.epson.quickanime"};
t("qbo") -> {regular, "application/vnd.intu.qbo"};
t("qfx") -> {regular, "application/vnd.intu.qfx"};
t("qps") -> {regular, "application/vnd.publishare-delta-tree"};
t("qt") -> {regular, "video/quicktime"};
t("qwd") -> {regular, "application/vnd.quark.quarkxpress"};
t("qwt") -> {regular, "application/vnd.quark.quarkxpress"};
t("qxb") -> {regular, "application/vnd.quark.quarkxpress"};
t("qxd") -> {regular, "application/vnd.quark.quarkxpress"};
t("qxl") -> {regular, "application/vnd.quark.quarkxpress"};
t("qxt") -> {regular, "application/vnd.quark.quarkxpress"};
t("ra") -> {regular, "audio/x-realaudio"};
t("ram") -> {regular, "audio/x-pn-realaudio"};
t("rar") -> {regular, "application/x-rar-compressed"};
t("ras") -> {regular, "image/x-cmu-raster"};
t("rcprofile") -> {regular, "application/vnd.ipunplugged.rcprofile"};
t("rdf") -> {regular, "application/rdf+xml"};
t("rdz") -> {regular, "application/vnd.data-vision.rdz"};
t("rep") -> {regular, "application/vnd.businessobjects"};
t("res") -> {regular, "application/x-dtbresource+xml"};
t("rgb") -> {regular, "image/x-rgb"};
t("rif") -> {regular, "application/reginfo+xml"};
t("rip") -> {regular, "audio/vnd.rip"};
t("rl") -> {regular, "application/resource-lists+xml"};
t("rlc") -> {regular, "image/vnd.fujixerox.edmics-rlc"};
t("rld") -> {regular, "application/resource-lists-diff+xml"};
t("rm") -> {regular, "application/vnd.rn-realmedia"};
t("rmi") -> {regular, "audio/midi"};
t("rmp") -> {regular, "audio/x-pn-realaudio-plugin"};
t("rms") -> {regular, "application/vnd.jcp.javame.midlet-rms"};
t("rnc") -> {regular, "application/relax-ng-compact-syntax"};
t("roff") -> {regular, "text/troff"};
t("rp9") -> {regular, "application/vnd.cloanto.rp9"};
t("rpm") -> {regular, "application/x-rpm"};
t("rpss") -> {regular, "application/vnd.nokia.radio-presets"};
t("rpst") -> {regular, "application/vnd.nokia.radio-preset"};
t("rq") -> {regular, "application/sparql-query"};
t("rs") -> {regular, "application/rls-services+xml"};
t("rsd") -> {regular, "application/rsd+xml"};
t("rss") -> {regular, "application/rss+xml"};
t("rtf") -> {regular, "text/rtf"};
t("rtx") -> {regular, "text/richtext"};
t("s") -> {regular, "text/x-asm"};
t("saf") -> {regular, "application/vnd.yamaha.smaf-audio"};
t("sbml") -> {regular, "application/sbml+xml"};
t("sc") -> {regular, "application/vnd.ibm.secure-container"};
t("scd") -> {regular, "application/x-msschedule"};
t("scm") -> {regular, "application/vnd.lotus-screencam"};
t("scq") -> {regular, "application/scvp-cv-request"};
t("scs") -> {regular, "application/scvp-cv-response"};
t("scurl") -> {regular, "text/vnd.curl.scurl"};
t("sda") -> {regular, "application/vnd.stardivision.draw"};
t("sdc") -> {regular, "application/vnd.stardivision.calc"};
t("sdd") -> {regular, "application/vnd.stardivision.impress"};
t("sdkd") -> {regular, "application/vnd.solent.sdkm+xml"};
t("sdkm") -> {regular, "application/vnd.solent.sdkm+xml"};
t("sdp") -> {regular, "application/sdp"};
t("sdw") -> {regular, "application/vnd.stardivision.writer"};
t("see") -> {regular, "application/vnd.seemail"};
t("seed") -> {regular, "application/vnd.fdsn.seed"};
t("sema") -> {regular, "application/vnd.sema"};
t("semd") -> {regular, "application/vnd.semd"};
t("semf") -> {regular, "application/vnd.semf"};
t("ser") -> {regular, "application/java-serialized-object"};
t("setpay") -> {regular, "application/set-payment-initiation"};
t("setreg") -> {regular, "application/set-registration-initiation"};
t("sfd-hdstx") -> {regular, "application/vnd.hydrostatix.sof-data"};
t("sfs") -> {regular, "application/vnd.spotfire.sfs"};
t("sgl") -> {regular, "application/vnd.stardivision.writer-global"};
t("sgm") -> {regular, "text/sgml"};
t("sgml") -> {regular, "text/sgml"};
t("sh") -> {regular, "application/x-sh"};
t("shar") -> {regular, "application/x-shar"};
t("shf") -> {regular, "application/shf+xml"};
t("si") -> {regular, "text/vnd.wap.si"};
t("sic") -> {regular, "application/vnd.wap.sic"};
t("sig") -> {regular, "application/pgp-signature"};
t("silo") -> {regular, "model/mesh"};
t("sis") -> {regular, "application/vnd.symbian.install"};
t("sisx") -> {regular, "application/vnd.symbian.install"};
t("sit") -> {regular, "application/x-stuffit"};
t("sitx") -> {regular, "application/x-stuffitx"};
t("skd") -> {regular, "application/x-koan"};
t("skm") -> {regular, "application/x-koan"};
t("skp") -> {regular, "application/x-koan"};
t("skt") -> {regular, "application/x-koan"};
t("sl") -> {regular, "text/vnd.wap.sl"};
t("slc") -> {regular, "application/vnd.wap.slc"};
t("sldm") -> {regular, "application/vnd.ms-powerpoint.slide.macroenabled.12"};
t("sldx") -> {regular, "application/vnd.openxmlformats-officedocument.presentationml.slide"};
t("slt") -> {regular, "application/vnd.epson.salt"};
t("sm") -> {regular, "application/vnd.stepmania.stepchart"};
t("smf") -> {regular, "application/vnd.stardivision.math"};
t("smi") -> {regular, "application/smil+xml"};
t("smil") -> {regular, "application/smil+xml"};
t("snd") -> {regular, "audio/basic"};
t("snf") -> {regular, "application/x-font-snf"};
t("so") -> {regular, "application/octet-stream"};
t("spc") -> {regular, "application/x-pkcs7-certificates"};
t("spf") -> {regular, "application/vnd.yamaha.smaf-phrase"};
t("spl") -> {regular, "application/x-futuresplash"};
t("spot") -> {regular, "text/vnd.in3d.spot"};
t("spp") -> {regular, "application/scvp-vp-response"};
t("spq") -> {regular, "application/scvp-vp-request"};
t("spx") -> {regular, "audio/ogg"};
t("src") -> {regular, "application/x-wais-source"};
t("sru") -> {regular, "application/sru+xml"};
t("srx") -> {regular, "application/sparql-results+xml"};
t("sse") -> {regular, "application/vnd.kodak-descriptor"};
t("ssf") -> {regular, "application/vnd.epson.ssf"};
t("ssml") -> {regular, "application/ssml+xml"};
t("st") -> {regular, "application/vnd.sailingtracker.track"};
t("stc") -> {regular, "application/vnd.sun.xml.calc.template"};
t("std") -> {regular, "application/vnd.sun.xml.draw.template"};
t("stf") -> {regular, "application/vnd.wt.stf"};
t("sti") -> {regular, "application/vnd.sun.xml.impress.template"};
t("stk") -> {regular, "application/hyperstudio"};
t("stl") -> {regular, "application/vnd.ms-pki.stl"};
t("str") -> {regular, "application/vnd.pg.format"};
t("stw") -> {regular, "application/vnd.sun.xml.writer.template"};
t("sub") -> {regular, "image/vnd.dvb.subtitle"};
t("sus") -> {regular, "application/vnd.sus-calendar"};
t("susp") -> {regular, "application/vnd.sus-calendar"};
t("sv4cpio") -> {regular, "application/x-sv4cpio"};
t("sv4crc") -> {regular, "application/x-sv4crc"};
t("svc") -> {regular, "application/vnd.dvb.service"};
t("svd") -> {regular, "application/vnd.svd"};
t("svg") -> {regular, "image/svg+xml"};
t("svgz") -> {regular, "image/svg+xml"};
t("swa") -> {regular, "application/x-director"};
t("swf") -> {regular, "application/x-shockwave-flash"};
t("swi") -> {regular, "application/vnd.aristanetworks.swi"};
t("sxc") -> {regular, "application/vnd.sun.xml.calc"};
t("sxd") -> {regular, "application/vnd.sun.xml.draw"};
t("sxg") -> {regular, "application/vnd.sun.xml.writer.global"};
t("sxi") -> {regular, "application/vnd.sun.xml.impress"};
t("sxm") -> {regular, "application/vnd.sun.xml.math"};
t("sxw") -> {regular, "application/vnd.sun.xml.writer"};
t("t") -> {regular, "text/troff"};
t("tao") -> {regular, "application/vnd.tao.intent-module-archive"};
t("tar") -> {regular, "application/x-tar"};
t("tcap") -> {regular, "application/vnd.3gpp2.tcap"};
t("tcl") -> {regular, "application/x-tcl"};
t("teacher") -> {regular, "application/vnd.smart.teacher"};
t("tei") -> {regular, "application/tei+xml"};
t("teicorpus") -> {regular, "application/tei+xml"};
t("tex") -> {regular, "application/x-tex"};
t("texi") -> {regular, "application/x-texinfo"};
t("texinfo") -> {regular, "application/x-texinfo"};
t("text") -> {regular, "text/plain"};
t("tfi") -> {regular, "application/thraud+xml"};
t("tfm") -> {regular, "application/x-tex-tfm"};
t("tgz") -> {regular, "application/x-gzip"};
t("thmx") -> {regular, "application/vnd.ms-officetheme"};
t("tif") -> {regular, "image/tiff"};
t("tiff") -> {regular, "image/tiff"};
t("tmo") -> {regular, "application/vnd.tmobile-livetv"};
t("torrent") -> {regular, "application/x-bittorrent"};
t("tpl") -> {regular, "application/vnd.groove-tool-template"};
t("tpt") -> {regular, "application/vnd.trid.tpt"};
t("tr") -> {regular, "text/troff"};
t("tra") -> {regular, "application/vnd.trueapp"};
t("trm") -> {regular, "application/x-msterminal"};
t("ts") -> {regular, "video/mp2t"};
t("tsd") -> {regular, "application/timestamped-data"};
t("tsv") -> {regular, "text/tab-separated-values"};
t("ttc") -> {regular, "application/x-font-ttf"};
t("ttf") -> {regular, "application/x-font-ttf"};
t("ttl") -> {regular, "text/turtle"};
t("twd") -> {regular, "application/vnd.simtech-mindmapper"};
t("twds") -> {regular, "application/vnd.simtech-mindmapper"};
t("txd") -> {regular, "application/vnd.genomatix.tuxedo"};
t("txf") -> {regular, "application/vnd.mobius.txf"};
t("txt") -> {regular, "text/plain"};
t("u32") -> {regular, "application/x-authorware-bin"};
t("udeb") -> {regular, "application/x-debian-package"};
t("ufd") -> {regular, "application/vnd.ufdl"};
t("ufdl") -> {regular, "application/vnd.ufdl"};
t("umj") -> {regular, "application/vnd.umajin"};
t("unityweb") -> {regular, "application/vnd.unity"};
t("uoml") -> {regular, "application/vnd.uoml+xml"};
t("uri") -> {regular, "text/uri-list"};
t("uris") -> {regular, "text/uri-list"};
t("urls") -> {regular, "text/uri-list"};
t("ustar") -> {regular, "application/x-ustar"};
t("utz") -> {regular, "application/vnd.uiq.theme"};
t("uu") -> {regular, "text/x-uuencode"};
t("uva") -> {regular, "audio/vnd.dece.audio"};
t("uvd") -> {regular, "application/vnd.dece.data"};
t("uvf") -> {regular, "application/vnd.dece.data"};
t("uvg") -> {regular, "image/vnd.dece.graphic"};
t("uvh") -> {regular, "video/vnd.dece.hd"};
t("uvi") -> {regular, "image/vnd.dece.graphic"};
t("uvm") -> {regular, "video/vnd.dece.mobile"};
t("uvp") -> {regular, "video/vnd.dece.pd"};
t("uvs") -> {regular, "video/vnd.dece.sd"};
t("uvt") -> {regular, "application/vnd.dece.ttml+xml"};
t("uvu") -> {regular, "video/vnd.uvvu.mp4"};
t("uvv") -> {regular, "video/vnd.dece.video"};
t("uvva") -> {regular, "audio/vnd.dece.audio"};
t("uvvd") -> {regular, "application/vnd.dece.data"};
t("uvvf") -> {regular, "application/vnd.dece.data"};
t("uvvg") -> {regular, "image/vnd.dece.graphic"};
t("uvvh") -> {regular, "video/vnd.dece.hd"};
t("uvvi") -> {regular, "image/vnd.dece.graphic"};
t("uvvm") -> {regular, "video/vnd.dece.mobile"};
t("uvvp") -> {regular, "video/vnd.dece.pd"};
t("uvvs") -> {regular, "video/vnd.dece.sd"};
t("uvvt") -> {regular, "application/vnd.dece.ttml+xml"};
t("uvvu") -> {regular, "video/vnd.uvvu.mp4"};
t("uvvv") -> {regular, "video/vnd.dece.video"};
t("uvvx") -> {regular, "application/vnd.dece.unspecified"};
t("uvx") -> {regular, "application/vnd.dece.unspecified"};
t("vcd") -> {regular, "application/x-cdlink"};
t("vcf") -> {regular, "text/x-vcard"};
t("vcg") -> {regular, "application/vnd.groove-vcard"};
t("vcs") -> {regular, "text/x-vcalendar"};
t("vcx") -> {regular, "application/vnd.vcx"};
t("vis") -> {regular, "application/vnd.visionary"};
t("viv") -> {regular, "video/vnd.vivo"};
t("vor") -> {regular, "application/vnd.stardivision.writer"};
t("vox") -> {regular, "application/x-authorware-bin"};
t("vrml") -> {regular, "model/vrml"};
t("vsd") -> {regular, "application/vnd.visio"};
t("vsf") -> {regular, "application/vnd.vsf"};
t("vss") -> {regular, "application/vnd.visio"};
t("vst") -> {regular, "application/vnd.visio"};
t("vsw") -> {regular, "application/vnd.visio"};
t("vtu") -> {regular, "model/vnd.vtu"};
t("vxml") -> {regular, "application/voicexml+xml"};
t("w3d") -> {regular, "application/x-director"};
t("wad") -> {regular, "application/x-doom"};
t("wav") -> {regular, "audio/x-wav"};
t("wax") -> {regular, "audio/x-ms-wax"};
t("wbmp") -> {regular, "image/vnd.wap.wbmp"};
t("wbs") -> {regular, "application/vnd.criticaltools.wbs+xml"};
t("wbxml") -> {regular, "application/vnd.wap.wbxml"};
t("wcm") -> {regular, "application/vnd.ms-works"};
t("wdb") -> {regular, "application/vnd.ms-works"};
t("weba") -> {regular, "audio/webm"};
t("webm") -> {regular, "video/webm"};
t("webp") -> {regular, "image/webp"};
t("wg") -> {regular, "application/vnd.pmi.widget"};
t("wgt") -> {regular, "application/widget"};
t("wks") -> {regular, "application/vnd.ms-works"};
t("wm") -> {regular, "video/x-ms-wm"};
t("wma") -> {regular, "audio/x-ms-wma"};
t("wmd") -> {regular, "application/x-ms-wmd"};
t("wmf") -> {regular, "application/x-msmetafile"};
t("wml") -> {regular, "text/vnd.wap.wml"};
t("wmlc") -> {regular, "application/vnd.wap.wmlc"};
t("wmls") -> {regular, "text/vnd.wap.wmlscript"};
t("wmlsc") -> {regular, "application/vnd.wap.wmlscriptc"};
t("wmv") -> {regular, "video/x-ms-wmv"};
t("wmx") -> {regular, "video/x-ms-wmx"};
t("wmz") -> {regular, "application/x-ms-wmz"};
t("woff") -> {regular, "application/x-font-woff"};
t("wpd") -> {regular, "application/vnd.wordperfect"};
t("wpl") -> {regular, "application/vnd.ms-wpl"};
t("wps") -> {regular, "application/vnd.ms-works"};
t("wqd") -> {regular, "application/vnd.wqd"};
t("wri") -> {regular, "application/x-mswrite"};
t("wrl") -> {regular, "model/vrml"};
t("wsdl") -> {regular, "application/wsdl+xml"};
t("wspolicy") -> {regular, "application/wspolicy+xml"};
t("wtb") -> {regular, "application/vnd.webturbo"};
t("wvx") -> {regular, "video/x-ms-wvx"};
t("x32") -> {regular, "application/x-authorware-bin"};
t("x3d") -> {regular, "application/vnd.hzn-3d-crossword"};
t("xap") -> {regular, "application/x-silverlight-app"};
t("xar") -> {regular, "application/vnd.xara"};
t("xbap") -> {regular, "application/x-ms-xbap"};
t("xbd") -> {regular, "application/vnd.fujixerox.docuworks.binder"};
t("xbm") -> {regular, "image/x-xbitmap"};
t("xdf") -> {regular, "application/xcap-diff+xml"};
t("xdm") -> {regular, "application/vnd.syncml.dm+xml"};
t("xdp") -> {regular, "application/vnd.adobe.xdp+xml"};
t("xdssc") -> {regular, "application/dssc+xml"};
t("xdw") -> {regular, "application/vnd.fujixerox.docuworks"};
t("xenc") -> {regular, "application/xenc+xml"};
t("xer") -> {regular, "application/patch-ops-error+xml"};
t("xfdf") -> {regular, "application/vnd.adobe.xfdf"};
t("xfdl") -> {regular, "application/vnd.xfdl"};
t("xht") -> {regular, "application/xhtml+xml"};
t("xhtml") -> {regular, "application/xhtml+xml"};
t("xhvml") -> {regular, "application/xv+xml"};
t("xif") -> {regular, "image/vnd.xiff"};
t("xla") -> {regular, "application/vnd.ms-excel"};
t("xlam") -> {regular, "application/vnd.ms-excel.addin.macroenabled.12"};
t("xlc") -> {regular, "application/vnd.ms-excel"};
t("xlm") -> {regular, "application/vnd.ms-excel"};
t("xls") -> {regular, "application/vnd.ms-excel"};
t("xlsb") -> {regular, "application/vnd.ms-excel.sheet.binary.macroenabled.12"};
t("xlsm") -> {regular, "application/vnd.ms-excel.sheet.macroenabled.12"};
t("xlsx") -> {regular, "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"};
t("xlt") -> {regular, "application/vnd.ms-excel"};
t("xltm") -> {regular, "application/vnd.ms-excel.template.macroenabled.12"};
t("xltx") -> {regular, "application/vnd.openxmlformats-officedocument.spreadsheetml.template"};
t("xlw") -> {regular, "application/vnd.ms-excel"};
t("xml") -> {regular, "text/xml"};
t("xo") -> {regular, "application/vnd.olpc-sugar"};
t("xop") -> {regular, "application/xop+xml"};
t("xpi") -> {regular, "application/x-xpinstall"};
t("xpm") -> {regular, "image/x-xpixmap"};
t("xpr") -> {regular, "application/vnd.is-xpr"};
t("xps") -> {regular, "application/vnd.ms-xpsdocument"};
t("xpw") -> {regular, "application/vnd.intercon.formnet"};
t("xpx") -> {regular, "application/vnd.intercon.formnet"};
t("xsl") -> {regular, "text/xml"};
t("xslt") -> {regular, "application/xslt+xml"};
t("xsm") -> {regular, "application/vnd.syncml+xml"};
t("xspf") -> {regular, "application/xspf+xml"};
t("xul") -> {regular, "application/vnd.mozilla.xul+xml"};
t("xvm") -> {regular, "application/xv+xml"};
t("xvml") -> {regular, "application/xv+xml"};
t("xwd") -> {regular, "image/x-xwindowdump"};
t("xyz") -> {regular, "chemical/x-xyz"};
t("yang") -> {regular, "application/yang"};
t("yin") -> {regular, "application/yin+xml"};
t("zaz") -> {regular, "application/vnd.zzazz.deck+xml"};
t("zip") -> {regular, "application/zip"};
t("zir") -> {regular, "application/vnd.zul"};
t("zirz") -> {regular, "application/vnd.zul"};
t("zmm") -> {regular, "application/vnd.handheld-entertainment+xml"};
t(_) -> {regular, "text/plain"}.


revt("sway") -> {yaws, "yaws", "text/html"};
revt("php") -> {php, "php", "text/html"};
revt("igc") -> {cgi, "cgi", "text/html"};
revt("igcf") -> {fcgi, "fcgi", "text/html"};
revt("PHP") -> {php, "PHP", "text/html"};
revt("IGC") -> {cgi, "CGI", "text/html"};
revt("IGCF") -> {fcgi, "FCGI", "text/html"};
revt("321") -> {regular, "123", "application/vnd.lotus-1-2-3"};
revt("LMD3") -> {regular, "3DML", "text/vnd.in3d.3dml"};
revt("2G3") -> {regular, "3G2", "video/3gpp2"};
revt("PG3") -> {regular, "3GP", "video/3gpp"};
revt("lmd3") -> {regular, "3dml", "text/vnd.in3d.3dml"};
revt("2g3") -> {regular, "3g2", "video/3gpp2"};
revt("pg3") -> {regular, "3gp", "video/3gpp"};
revt("Z7") -> {regular, "7Z", "application/x-7z-compressed"};
revt("z7") -> {regular, "7z", "application/x-7z-compressed"};
revt("BAA") -> {regular, "AAB", "application/x-authorware-bin"};
revt("CAA") -> {regular, "AAC", "audio/x-aac"};
revt("MAA") -> {regular, "AAM", "application/x-authorware-map"};
revt("SAA") -> {regular, "AAS", "application/x-authorware-seg"};
revt("WBA") -> {regular, "ABW", "application/x-abiword"};
revt("CA") -> {regular, "AC", "application/pkix-attr-cert"};
revt("CCA") -> {regular, "ACC", "application/vnd.americandynamics.acc"};
revt("ECA") -> {regular, "ACE", "application/x-ace-compressed"};
revt("UCA") -> {regular, "ACU", "application/vnd.acucobol"};
revt("CTUCA") -> {regular, "ACUTC", "application/vnd.acucorp"};
revt("PDA") -> {regular, "ADP", "audio/adpcm"};
revt("PEA") -> {regular, "AEP", "application/vnd.audiograph"};
revt("MFA") -> {regular, "AFM", "application/x-font-type1"};
revt("PFA") -> {regular, "AFP", "application/vnd.ibm.modcap"};
revt("DAEHA") -> {regular, "AHEAD", "application/vnd.ahead.space"};
revt("IA") -> {regular, "AI", "application/postscript"};
revt("FIA") -> {regular, "AIF", "audio/x-aiff"};
revt("CFIA") -> {regular, "AIFC", "audio/x-aiff"};
revt("FFIA") -> {regular, "AIFF", "audio/x-aiff"};
revt("RIA") -> {regular, "AIR", "application/vnd.adobe.air-application-installer-package+zip"};
revt("TIA") -> {regular, "AIT", "application/vnd.dvb.ait"};
revt("IMA") -> {regular, "AMI", "application/vnd.amiga.ami"};
revt("KPA") -> {regular, "APK", "application/vnd.android.package-archive"};
revt("NOITACILPPA") -> {regular, "APPLICATION", "application/x-ms-application"};
revt("RPA") -> {regular, "APR", "application/vnd.lotus-approach"};
revt("CSA") -> {regular, "ASC", "application/pgp-signature"};
revt("FSA") -> {regular, "ASF", "video/x-ms-asf"};
revt("MSA") -> {regular, "ASM", "text/x-asm"};
revt("OSA") -> {regular, "ASO", "application/vnd.accpac.simply.aso"};
revt("XSA") -> {regular, "ASX", "video/x-ms-asf"};
revt("CTA") -> {regular, "ATC", "application/vnd.acucorp"};
revt("MOTA") -> {regular, "ATOM", "application/atom+xml"};
revt("TACMOTA") -> {regular, "ATOMCAT", "application/atomcat+xml"};
revt("CVSMOTA") -> {regular, "ATOMSVC", "application/atomsvc+xml"};
revt("XTA") -> {regular, "ATX", "application/vnd.antix.game-component"};
revt("UA") -> {regular, "AU", "audio/basic"};
revt("IVA") -> {regular, "AVI", "video/x-msvideo"};
revt("WA") -> {regular, "AW", "application/applixware"};
revt("FZA") -> {regular, "AZF", "application/vnd.airzip.filesecure.azf"};
revt("SZA") -> {regular, "AZS", "application/vnd.airzip.filesecure.azs"};
revt("WZA") -> {regular, "AZW", "application/vnd.amazon.ebook"};
revt("TAB") -> {regular, "BAT", "application/x-msdownload"};
revt("OIPCB") -> {regular, "BCPIO", "application/x-bcpio"};
revt("FDB") -> {regular, "BDF", "application/x-font-bdf"};
revt("MDB") -> {regular, "BDM", "application/vnd.syncml.dm+wbxml"};
revt("DEB") -> {regular, "BED", "application/vnd.realvnc.bed"};
revt("2HB") -> {regular, "BH2", "application/vnd.fujitsu.oasysprs"};
revt("NIB") -> {regular, "BIN", "application/octet-stream"};
revt("IMB") -> {regular, "BMI", "application/vnd.bmi"};
revt("PMB") -> {regular, "BMP", "image/bmp"};
revt("KOOB") -> {regular, "BOOK", "application/vnd.framemaker"};
revt("XOB") -> {regular, "BOX", "application/vnd.previewsystems.box"};
revt("ZOB") -> {regular, "BOZ", "application/x-bzip2"};
revt("KPB") -> {regular, "BPK", "application/octet-stream"};
revt("FITB") -> {regular, "BTIF", "image/prs.btif"};
revt("ZB") -> {regular, "BZ", "application/x-bzip"};
revt("2ZB") -> {regular, "BZ2", "application/x-bzip2"};
revt("C") -> {regular, "C", "text/x-c"};
revt("CMA11C") -> {regular, "C11AMC", "application/vnd.cluetrust.cartomobile-config"};
revt("ZMA11C") -> {regular, "C11AMZ", "application/vnd.cluetrust.cartomobile-config-pkg"};
revt("D4C") -> {regular, "C4D", "application/vnd.clonk.c4group"};
revt("F4C") -> {regular, "C4F", "application/vnd.clonk.c4group"};
revt("G4C") -> {regular, "C4G", "application/vnd.clonk.c4group"};
revt("P4C") -> {regular, "C4P", "application/vnd.clonk.c4group"};
revt("U4C") -> {regular, "C4U", "application/vnd.clonk.c4group"};
revt("BAC") -> {regular, "CAB", "application/vnd.ms-cab-compressed"};
revt("RAC") -> {regular, "CAR", "application/vnd.curl.car"};
revt("TAC") -> {regular, "CAT", "application/vnd.ms-pki.seccat"};
revt("CC") -> {regular, "CC", "text/x-c"};
revt("TCC") -> {regular, "CCT", "application/x-director"};
revt("LMXCC") -> {regular, "CCXML", "application/ccxml+xml"};
revt("GSMCBDC") -> {regular, "CDBCMSG", "application/vnd.contact.cmsg"};
revt("FDC") -> {regular, "CDF", "application/x-netcdf"};
revt("YEKDC") -> {regular, "CDKEY", "application/vnd.mediastation.cdkey"};
revt("AIMDC") -> {regular, "CDMIA", "application/cdmi-capability"};
revt("CIMDC") -> {regular, "CDMIC", "application/cdmi-container"};
revt("DIMDC") -> {regular, "CDMID", "application/cdmi-domain"};
revt("OIMDC") -> {regular, "CDMIO", "application/cdmi-object"};
revt("QIMDC") -> {regular, "CDMIQ", "application/cdmi-queue"};
revt("XDC") -> {regular, "CDX", "chemical/x-cdx"};
revt("LMXDC") -> {regular, "CDXML", "application/vnd.chemdraw+xml"};
revt("YDC") -> {regular, "CDY", "application/vnd.cinderella"};
revt("REC") -> {regular, "CER", "application/pkix-cert"};
revt("MGC") -> {regular, "CGM", "image/cgm"};
revt("TAHC") -> {regular, "CHAT", "application/x-chat"};
revt("MHC") -> {regular, "CHM", "application/vnd.ms-htmlhelp"};
revt("TRHC") -> {regular, "CHRT", "application/x-kchart"};
revt("FIC") -> {regular, "CIF", "chemical/x-cif"};
revt("IIC") -> {regular, "CII", "application/vnd.anser-web-certificate-issue-initiation"};
revt("LIC") -> {regular, "CIL", "application/vnd.ms-artgalry"};
revt("ALC") -> {regular, "CLA", "application/vnd.claymore"};
revt("SSALC") -> {regular, "CLASS", "application/java-vm"};
revt("KKLC") -> {regular, "CLKK", "application/vnd.crick.clicker.keyboard"};
revt("PKLC") -> {regular, "CLKP", "application/vnd.crick.clicker.palette"};
revt("TKLC") -> {regular, "CLKT", "application/vnd.crick.clicker.template"};
revt("WKLC") -> {regular, "CLKW", "application/vnd.crick.clicker.wordbank"};
revt("XKLC") -> {regular, "CLKX", "application/vnd.crick.clicker"};
revt("PLC") -> {regular, "CLP", "application/x-msclip"};
revt("CMC") -> {regular, "CMC", "application/vnd.cosmocaller"};
revt("FDMC") -> {regular, "CMDF", "chemical/x-cmdf"};
revt("LMC") -> {regular, "CML", "chemical/x-cml"};
revt("PMC") -> {regular, "CMP", "application/vnd.yellowriver-custom-menu"};
revt("XMC") -> {regular, "CMX", "image/x-cmx"};
revt("DOC") -> {regular, "COD", "application/vnd.rim.cod"};
revt("MOC") -> {regular, "COM", "application/x-msdownload"};
revt("FNOC") -> {regular, "CONF", "text/plain"};
revt("OIPC") -> {regular, "CPIO", "application/x-cpio"};
revt("PPC") -> {regular, "CPP", "text/x-c"};
revt("TPC") -> {regular, "CPT", "application/mac-compactpro"};
revt("DRC") -> {regular, "CRD", "application/x-mscardfile"};
revt("LRC") -> {regular, "CRL", "application/pkix-crl"};
revt("TRC") -> {regular, "CRT", "application/x-x509-ca-cert"};
revt("ETONOTPYRC") -> {regular, "CRYPTONOTE", "application/vnd.rig.cryptonote"};
revt("HSC") -> {regular, "CSH", "application/x-csh"};
revt("LMSC") -> {regular, "CSML", "chemical/x-csml"};
revt("PSC") -> {regular, "CSP", "application/vnd.commonspace"};
revt("SSC") -> {regular, "CSS", "text/css"};
revt("TSC") -> {regular, "CST", "application/x-director"};
revt("VSC") -> {regular, "CSV", "text/csv"};
revt("UC") -> {regular, "CU", "application/cu-seeme"};
revt("LRUC") -> {regular, "CURL", "text/vnd.curl"};
revt("WWC") -> {regular, "CWW", "application/prs.cww"};
revt("TXC") -> {regular, "CXT", "application/x-director"};
revt("XXC") -> {regular, "CXX", "text/x-c"};
revt("EAD") -> {regular, "DAE", "model/vnd.collada+xml"};
revt("FAD") -> {regular, "DAF", "application/vnd.mobius.daf"};
revt("SSELATAD") -> {regular, "DATALESS", "application/vnd.fdsn.seed"};
revt("TNUOMVAD") -> {regular, "DAVMOUNT", "application/davmount+xml"};
revt("RCD") -> {regular, "DCR", "application/x-director"};
revt("LRUCD") -> {regular, "DCURL", "text/vnd.curl.dcurl"};
revt("2DD") -> {regular, "DD2", "application/vnd.oma.dd2+xml"};
revt("DDD") -> {regular, "DDD", "application/vnd.fujixerox.ddd"};
revt("BED") -> {regular, "DEB", "application/x-debian-package"};
revt("FED") -> {regular, "DEF", "text/plain"};
revt("YOLPED") -> {regular, "DEPLOY", "application/octet-stream"};
revt("RED") -> {regular, "DER", "application/x-x509-ca-cert"};
revt("CAFD") -> {regular, "DFAC", "application/vnd.dreamfactory"};
revt("CID") -> {regular, "DIC", "text/x-c"};
revt("RID") -> {regular, "DIR", "application/x-director"};
revt("SID") -> {regular, "DIS", "application/vnd.mobius.dis"};
revt("TSID") -> {regular, "DIST", "application/octet-stream"};
revt("ZTSID") -> {regular, "DISTZ", "application/octet-stream"};
revt("VJD") -> {regular, "DJV", "image/vnd.djvu"};
revt("UVJD") -> {regular, "DJVU", "image/vnd.djvu"};
revt("LLD") -> {regular, "DLL", "application/x-msdownload"};
revt("GMD") -> {regular, "DMG", "application/octet-stream"};
revt("SMD") -> {regular, "DMS", "application/octet-stream"};
revt("AND") -> {regular, "DNA", "application/vnd.dna"};
revt("COD") -> {regular, "DOC", "application/msword"};
revt("MCOD") -> {regular, "DOCM", "application/vnd.ms-word.document.macroenabled.12"};
revt("XCOD") -> {regular, "DOCX", "application/vnd.openxmlformats-officedocument.wordprocessingml.document"};
revt("TOD") -> {regular, "DOT", "application/msword"};
revt("MTOD") -> {regular, "DOTM", "application/vnd.ms-word.template.macroenabled.12"};
revt("XTOD") -> {regular, "DOTX", "application/vnd.openxmlformats-officedocument.wordprocessingml.template"};
revt("PD") -> {regular, "DP", "application/vnd.osgi.dp"};
revt("GPD") -> {regular, "DPG", "application/vnd.dpgraph"};
revt("ARD") -> {regular, "DRA", "audio/vnd.dra"};
revt("CSD") -> {regular, "DSC", "text/prs.lines.tag"};
revt("CSSD") -> {regular, "DSSC", "application/dssc+der"};
revt("BTD") -> {regular, "DTB", "application/x-dtbook+xml"};
revt("DTD") -> {regular, "DTD", "application/xml-dtd"};
revt("STD") -> {regular, "DTS", "audio/vnd.dts"};
revt("DHSTD") -> {regular, "DTSHD", "audio/vnd.dts.hd"};
revt("PMUD") -> {regular, "DUMP", "application/octet-stream"};
revt("IVD") -> {regular, "DVI", "application/x-dvi"};
revt("FWD") -> {regular, "DWF", "model/vnd.dwf"};
revt("GWD") -> {regular, "DWG", "image/vnd.dwg"};
revt("FXD") -> {regular, "DXF", "image/vnd.dxf"};
revt("PXD") -> {regular, "DXP", "application/vnd.spotfire.dxp"};
revt("RXD") -> {regular, "DXR", "application/x-director"};
revt("0084PLECE") -> {regular, "ECELP4800", "audio/vnd.nuera.ecelp4800"};
revt("0747PLECE") -> {regular, "ECELP7470", "audio/vnd.nuera.ecelp7470"};
revt("0069PLECE") -> {regular, "ECELP9600", "audio/vnd.nuera.ecelp9600"};
revt("AMCE") -> {regular, "ECMA", "application/ecmascript"};
revt("MDE") -> {regular, "EDM", "application/vnd.novadigm.edm"};
revt("XDE") -> {regular, "EDX", "application/vnd.novadigm.edx"};
revt("FIFE") -> {regular, "EFIF", "application/vnd.picsel"};
revt("6IE") -> {regular, "EI6", "application/vnd.pg.osasli"};
revt("CLE") -> {regular, "ELC", "application/octet-stream"};
revt("LME") -> {regular, "EML", "message/rfc822"};
revt("AMME") -> {regular, "EMMA", "application/emma+xml"};
revt("LOE") -> {regular, "EOL", "audio/vnd.digital-winds"};
revt("TOE") -> {regular, "EOT", "application/vnd.ms-fontobject"};
revt("SPE") -> {regular, "EPS", "application/postscript"};
revt("BUPE") -> {regular, "EPUB", "application/epub+zip"};
revt("3SE") -> {regular, "ES3", "application/vnd.eszigno3+xml"};
revt("FSE") -> {regular, "ESF", "application/vnd.epson.esf"};
revt("3TE") -> {regular, "ET3", "application/vnd.eszigno3+xml"};
revt("XTE") -> {regular, "ETX", "text/x-setext"};
revt("EXE") -> {regular, "EXE", "application/x-msdownload"};
revt("IXE") -> {regular, "EXI", "application/exi"};
revt("TXE") -> {regular, "EXT", "application/vnd.novadigm.ext"};
revt("ZE") -> {regular, "EZ", "application/andrew-inset"};
revt("2ZE") -> {regular, "EZ2", "application/vnd.ezpix-album"};
revt("3ZE") -> {regular, "EZ3", "application/vnd.ezpix-package"};
revt("F") -> {regular, "F", "text/x-fortran"};
revt("V4F") -> {regular, "F4V", "video/x-f4v"};
revt("77F") -> {regular, "F77", "text/x-fortran"};
revt("09F") -> {regular, "F90", "text/x-fortran"};
revt("SBF") -> {regular, "FBS", "image/vnd.fastbidsheet"};
revt("SCF") -> {regular, "FCS", "application/vnd.isac.fcs"};
revt("FDF") -> {regular, "FDF", "application/vnd.fdf"};
revt("HCNUAL_EF") -> {regular, "FE_LAUNCH", "application/vnd.denovo.fcselayout-link"};
revt("5GF") -> {regular, "FG5", "application/vnd.fujitsu.oasysgp"};
revt("DGF") -> {regular, "FGD", "application/x-director"};
revt("HF") -> {regular, "FH", "image/x-freehand"};
revt("4HF") -> {regular, "FH4", "image/x-freehand"};
revt("5HF") -> {regular, "FH5", "image/x-freehand"};
revt("7HF") -> {regular, "FH7", "image/x-freehand"};
revt("CHF") -> {regular, "FHC", "image/x-freehand"};
revt("GIF") -> {regular, "FIG", "application/x-xfig"};
revt("ILF") -> {regular, "FLI", "video/x-fli"};
revt("OLF") -> {regular, "FLO", "application/vnd.micrografx.flo"};
revt("VLF") -> {regular, "FLV", "video/x-flv"};
revt("WLF") -> {regular, "FLW", "application/vnd.kde.kivio"};
revt("XLF") -> {regular, "FLX", "text/vnd.fmi.flexstor"};
revt("YLF") -> {regular, "FLY", "text/vnd.fly"};
revt("MF") -> {regular, "FM", "application/vnd.framemaker"};
revt("CNF") -> {regular, "FNC", "application/vnd.frogans.fnc"};
revt("ROF") -> {regular, "FOR", "text/x-fortran"};
revt("XPF") -> {regular, "FPX", "image/vnd.fpx"};
revt("EMARF") -> {regular, "FRAME", "application/vnd.framemaker"};
revt("CSF") -> {regular, "FSC", "application/vnd.fsc.weblaunch"};
revt("TSF") -> {regular, "FST", "image/vnd.fst"};
revt("CTF") -> {regular, "FTC", "application/vnd.fluxtime.clip"};
revt("ITF") -> {regular, "FTI", "application/vnd.anser-web-funds-transfer-initiation"};
revt("TVF") -> {regular, "FVT", "video/vnd.fvt"};
revt("PXF") -> {regular, "FXP", "application/vnd.adobe.fxp"};
revt("LPXF") -> {regular, "FXPL", "application/vnd.adobe.fxp"};
revt("SZF") -> {regular, "FZS", "application/vnd.fuzzysheet"};
revt("W2G") -> {regular, "G2W", "application/vnd.geoplan"};
revt("3G") -> {regular, "G3", "image/g3fax"};
revt("W3G") -> {regular, "G3W", "application/vnd.geospace"};
revt("CAG") -> {regular, "GAC", "application/vnd.groove-account"};
revt("LDG") -> {regular, "GDL", "model/vnd.gdl"};
revt("OEG") -> {regular, "GEO", "application/vnd.dynageo"};
revt("XEG") -> {regular, "GEX", "application/vnd.geometry-explorer"};
revt("BGG") -> {regular, "GGB", "application/vnd.geogebra.file"};
revt("TGG") -> {regular, "GGT", "application/vnd.geogebra.tool"};
revt("FHG") -> {regular, "GHF", "application/vnd.groove-help"};
revt("FIG") -> {regular, "GIF", "image/gif"};
revt("MIG") -> {regular, "GIM", "application/vnd.groove-identity-message"};
revt("XMG") -> {regular, "GMX", "application/vnd.gmx"};
revt("CIREMUNG") -> {regular, "GNUMERIC", "application/x-gnumeric"};
revt("HPG") -> {regular, "GPH", "application/vnd.flographit"};
revt("FQG") -> {regular, "GQF", "application/vnd.grafeq"};
revt("SQG") -> {regular, "GQS", "application/vnd.grafeq"};
revt("MARG") -> {regular, "GRAM", "application/srgs"};
revt("ERG") -> {regular, "GRE", "application/vnd.geometry-explorer"};
revt("VRG") -> {regular, "GRV", "application/vnd.groove-injector"};
revt("LMXRG") -> {regular, "GRXML", "application/srgs+xml"};
revt("FSG") -> {regular, "GSF", "application/x-font-ghostscript"};
revt("RATG") -> {regular, "GTAR", "application/x-gtar"};
revt("MTG") -> {regular, "GTM", "application/vnd.groove-tool-message"};
revt("WTG") -> {regular, "GTW", "model/vnd.gtw"};
revt("VG") -> {regular, "GV", "text/vnd.graphviz"};
revt("TXG") -> {regular, "GXT", "application/vnd.geonext"};
revt("ZG") -> {regular, "GZ", "application/x-gzip"};
revt("H") -> {regular, "H", "text/x-c"};
revt("162H") -> {regular, "H261", "video/h261"};
revt("362H") -> {regular, "H263", "video/h263"};
revt("462H") -> {regular, "H264", "video/h264"};
revt("LAH") -> {regular, "HAL", "application/vnd.hal+xml"};
revt("ICBH") -> {regular, "HBCI", "application/vnd.hbci"};
revt("FDH") -> {regular, "HDF", "application/x-hdf"};
revt("HH") -> {regular, "HH", "text/x-c"};
revt("PLH") -> {regular, "HLP", "application/winhlp"};
revt("LGPH") -> {regular, "HPGL", "application/vnd.hp-hpgl"};
revt("DIPH") -> {regular, "HPID", "application/vnd.hp-hpid"};
revt("SPH") -> {regular, "HPS", "application/vnd.hp-hps"};
revt("XQH") -> {regular, "HQX", "application/mac-binhex40"};
revt("EKTH") -> {regular, "HTKE", "application/vnd.kenameaapp"};
revt("MTH") -> {regular, "HTM", "text/html"};
revt("LMTH") -> {regular, "HTML", "text/html"};
revt("DVH") -> {regular, "HVD", "application/vnd.yamaha.hv-dic"};
revt("PVH") -> {regular, "HVP", "application/vnd.yamaha.hv-voice"};
revt("SVH") -> {regular, "HVS", "application/vnd.yamaha.hv-script"};
revt("G2I") -> {regular, "I2G", "application/vnd.intergeo"};
revt("CCI") -> {regular, "ICC", "application/vnd.iccprofile"};
revt("ECI") -> {regular, "ICE", "x-conference/x-cooltalk"};
revt("MCI") -> {regular, "ICM", "application/vnd.iccprofile"};
revt("OCI") -> {regular, "ICO", "image/x-icon"};
revt("SCI") -> {regular, "ICS", "text/calendar"};
revt("FEI") -> {regular, "IEF", "image/ief"};
revt("BFI") -> {regular, "IFB", "text/calendar"};
revt("MFI") -> {regular, "IFM", "application/vnd.shana.informed.formdata"};
revt("SEGI") -> {regular, "IGES", "model/iges"};
revt("LGI") -> {regular, "IGL", "application/vnd.igloader"};
revt("MGI") -> {regular, "IGM", "application/vnd.insors.igm"};
revt("SGI") -> {regular, "IGS", "model/iges"};
revt("XGI") -> {regular, "IGX", "application/vnd.micrografx.igx"};
revt("FII") -> {regular, "IIF", "application/vnd.shana.informed.interchange"};
revt("PMI") -> {regular, "IMP", "application/vnd.accpac.simply.imp"};
revt("SMI") -> {regular, "IMS", "application/vnd.ms-ims"};
revt("NI") -> {regular, "IN", "text/plain"};
revt("XIFPI") -> {regular, "IPFIX", "application/ipfix"};
revt("KPI") -> {regular, "IPK", "application/vnd.shana.informed.package"};
revt("MRI") -> {regular, "IRM", "application/vnd.ibm.rights-management"};
revt("PRI") -> {regular, "IRP", "application/vnd.irepository.package+xml"};
revt("OSI") -> {regular, "ISO", "application/octet-stream"};
revt("PTI") -> {regular, "ITP", "application/vnd.shana.informed.formtemplate"};
revt("PVI") -> {regular, "IVP", "application/vnd.immervision-ivp"};
revt("UVI") -> {regular, "IVU", "application/vnd.immervision-ivu"};
revt("DAJ") -> {regular, "JAD", "text/vnd.sun.j2me.app-descriptor"};
revt("MAJ") -> {regular, "JAM", "application/vnd.jam"};
revt("RAJ") -> {regular, "JAR", "application/java-archive"};
revt("AVAJ") -> {regular, "JAVA", "text/x-java-source"};
revt("PSIJ") -> {regular, "JISP", "application/vnd.jisp"};
revt("TLJ") -> {regular, "JLT", "application/vnd.hp-jlyt"};
revt("PLNJ") -> {regular, "JNLP", "application/x-java-jnlp-file"};
revt("ADOJ") -> {regular, "JODA", "application/vnd.joost.joda-archive"};
revt("EPJ") -> {regular, "JPE", "image/jpeg"};
revt("GEPJ") -> {regular, "JPEG", "image/jpeg"};
revt("GPJ") -> {regular, "JPG", "image/jpeg"};
revt("MGPJ") -> {regular, "JPGM", "video/jpm"};
revt("VGPJ") -> {regular, "JPGV", "video/jpeg"};
revt("MPJ") -> {regular, "JPM", "video/jpm"};
revt("SJ") -> {regular, "JS", "application/x-javascript"};
revt("NOSJ") -> {regular, "JSON", "application/json"};
revt("RAK") -> {regular, "KAR", "audio/midi"};
revt("NOBRAK") -> {regular, "KARBON", "application/vnd.kde.karbon"};
revt("OFK") -> {regular, "KFO", "application/vnd.kde.kformula"};
revt("AIK") -> {regular, "KIA", "application/vnd.kidspiration"};
revt("LIK") -> {regular, "KIL", "application/x-killustrator"};
revt("LMK") -> {regular, "KML", "application/vnd.google-earth.kml+xml"};
revt("ZMK") -> {regular, "KMZ", "application/vnd.google-earth.kmz"};
revt("ENK") -> {regular, "KNE", "application/vnd.kinar"};
revt("PNK") -> {regular, "KNP", "application/vnd.kinar"};
revt("NOK") -> {regular, "KON", "application/vnd.kde.kontour"};
revt("RPK") -> {regular, "KPR", "application/x-kpresenter"};
revt("TPK") -> {regular, "KPT", "application/x-kpresenter"};
revt("PSK") -> {regular, "KSP", "application/x-kspread"};
revt("RTK") -> {regular, "KTR", "application/vnd.kahootz"};
revt("XTK") -> {regular, "KTX", "image/ktx"};
revt("ZTK") -> {regular, "KTZ", "application/vnd.kahootz"};
revt("DWK") -> {regular, "KWD", "application/x-kword"};
revt("TWK") -> {regular, "KWT", "application/x-kword"};
revt("LMXSAL") -> {regular, "LASXML", "application/vnd.las.las+xml"};
revt("XETAL") -> {regular, "LATEX", "application/x-latex"};
revt("DBL") -> {regular, "LBD", "application/vnd.llamagraphics.life-balance.desktop"};
revt("EBL") -> {regular, "LBE", "application/vnd.llamagraphics.life-balance.exchange+xml"};
revt("SEL") -> {regular, "LES", "application/vnd.hhe.lesson-player"};
revt("AHL") -> {regular, "LHA", "application/octet-stream"};
revt("66KNIL") -> {regular, "LINK66", "application/vnd.route66.link66+xml"};
revt("TSIL") -> {regular, "LIST", "text/plain"};
revt("0283TSIL") -> {regular, "LIST3820", "application/vnd.ibm.modcap"};
revt("PFATSIL") -> {regular, "LISTAFP", "application/vnd.ibm.modcap"};
revt("GOL") -> {regular, "LOG", "text/plain"};
revt("LMXTSOL") -> {regular, "LOSTXML", "application/lost+xml"};
revt("FRL") -> {regular, "LRF", "application/octet-stream"};
revt("MRL") -> {regular, "LRM", "application/vnd.ms-lrm"};
revt("FTL") -> {regular, "LTF", "application/vnd.frogans.ltf"};
revt("PVL") -> {regular, "LVP", "audio/vnd.lucent.voice"};
revt("PWL") -> {regular, "LWP", "application/vnd.lotus-wordpro"};
revt("HZL") -> {regular, "LZH", "application/octet-stream"};
revt("31M") -> {regular, "M13", "application/x-msmediaview"};
revt("41M") -> {regular, "M14", "application/x-msmediaview"};
revt("V1M") -> {regular, "M1V", "video/mpeg"};
revt("12M") -> {regular, "M21", "application/mp21"};
revt("A2M") -> {regular, "M2A", "audio/mpeg"};
revt("V2M") -> {regular, "M2V", "video/mpeg"};
revt("A3M") -> {regular, "M3A", "audio/mpeg"};
revt("U3M") -> {regular, "M3U", "audio/x-mpegurl"};
revt("8U3M") -> {regular, "M3U8", "application/vnd.apple.mpegurl"};
revt("U4M") -> {regular, "M4U", "video/vnd.mpegurl"};
revt("V4M") -> {regular, "M4V", "video/x-m4v"};
revt("AM") -> {regular, "MA", "application/mathematica"};
revt("SDAM") -> {regular, "MADS", "application/mads+xml"};
revt("GAM") -> {regular, "MAG", "application/vnd.ecowin.chart"};
revt("REKAM") -> {regular, "MAKER", "application/vnd.framemaker"};
revt("NAM") -> {regular, "MAN", "text/troff"};
revt("LMHTAM") -> {regular, "MATHML", "application/mathml+xml"};
revt("BM") -> {regular, "MB", "application/mathematica"};
revt("KBM") -> {regular, "MBK", "application/vnd.mobius.mbk"};
revt("XOBM") -> {regular, "MBOX", "application/mbox"};
revt("1CM") -> {regular, "MC1", "application/vnd.medcalcdata"};
revt("DCM") -> {regular, "MCD", "application/vnd.mcd"};
revt("LRUCM") -> {regular, "MCURL", "text/vnd.curl.mcurl"};
revt("BDM") -> {regular, "MDB", "application/x-msaccess"};
revt("IDM") -> {regular, "MDI", "image/vnd.ms-modi"};
revt("EM") -> {regular, "ME", "text/troff"};
revt("HSEM") -> {regular, "MESH", "model/mesh"};
revt("4ATEM") -> {regular, "META4", "application/metalink4+xml"};
revt("STEM") -> {regular, "METS", "application/mets+xml"};
revt("MFM") -> {regular, "MFM", "application/vnd.mfmp"};
revt("PGM") -> {regular, "MGP", "application/vnd.osgeo.mapguide.package"};
revt("ZGM") -> {regular, "MGZ", "application/vnd.proteus.magazine"};
revt("DIM") -> {regular, "MID", "audio/midi"};
revt("IDIM") -> {regular, "MIDI", "audio/midi"};
revt("FIM") -> {regular, "MIF", "application/vnd.mif"};
revt("EMIM") -> {regular, "MIME", "message/rfc822"};
revt("2JM") -> {regular, "MJ2", "video/mj2"};
revt("2PJM") -> {regular, "MJP2", "video/mj2"};
revt("PLM") -> {regular, "MLP", "application/vnd.dolby.mlp"};
revt("DMM") -> {regular, "MMD", "application/vnd.chipnuts.karaoke-mmd"};
revt("FMM") -> {regular, "MMF", "application/vnd.smaf"};
revt("RMM") -> {regular, "MMR", "image/vnd.fujixerox.edmics-mmr"};
revt("YNM") -> {regular, "MNY", "application/x-msmoney"};
revt("IBOM") -> {regular, "MOBI", "application/x-mobipocket-ebook"};
revt("SDOM") -> {regular, "MODS", "application/mods+xml"};
revt("VOM") -> {regular, "MOV", "video/quicktime"};
revt("EIVOM") -> {regular, "MOVIE", "video/x-sgi-movie"};
revt("2PM") -> {regular, "MP2", "audio/mpeg"};
revt("12PM") -> {regular, "MP21", "application/mp21"};
revt("A2PM") -> {regular, "MP2A", "audio/mpeg"};
revt("3PM") -> {regular, "MP3", "audio/mpeg"};
revt("4PM") -> {regular, "MP4", "video/mp4"};
revt("A4PM") -> {regular, "MP4A", "audio/mp4"};
revt("S4PM") -> {regular, "MP4S", "application/mp4"};
revt("V4PM") -> {regular, "MP4V", "video/mp4"};
revt("CPM") -> {regular, "MPC", "application/vnd.mophun.certificate"};
revt("EPM") -> {regular, "MPE", "video/mpeg"};
revt("GEPM") -> {regular, "MPEG", "video/mpeg"};
revt("GPM") -> {regular, "MPG", "video/mpeg"};
revt("4GPM") -> {regular, "MPG4", "video/mp4"};
revt("AGPM") -> {regular, "MPGA", "audio/mpeg"};
revt("GKPM") -> {regular, "MPKG", "application/vnd.apple.installer+xml"};
revt("MPM") -> {regular, "MPM", "application/vnd.blueice.multipass"};
revt("NPM") -> {regular, "MPN", "application/vnd.mophun.application"};
revt("PPM") -> {regular, "MPP", "application/vnd.ms-project"};
revt("TPM") -> {regular, "MPT", "application/vnd.ms-project"};
revt("YPM") -> {regular, "MPY", "application/vnd.ibm.minipay"};
revt("YQM") -> {regular, "MQY", "application/vnd.mobius.mqy"};
revt("CRM") -> {regular, "MRC", "application/marc"};
revt("XCRM") -> {regular, "MRCX", "application/marcxml+xml"};
revt("SM") -> {regular, "MS", "text/troff"};
revt("LMCSM") -> {regular, "MSCML", "application/mediaservercontrol+xml"};
revt("DEESM") -> {regular, "MSEED", "application/vnd.fdsn.mseed"};
revt("QESM") -> {regular, "MSEQ", "application/vnd.mseq"};
revt("FSM") -> {regular, "MSF", "application/vnd.epson.msf"};
revt("HSM") -> {regular, "MSH", "model/mesh"};
revt("ISM") -> {regular, "MSI", "application/x-msdownload"};
revt("LSM") -> {regular, "MSL", "application/vnd.mobius.msl"};
revt("YTSM") -> {regular, "MSTY", "application/vnd.muvee.style"};
revt("STM") -> {regular, "MTS", "model/vnd.mts"};
revt("SUM") -> {regular, "MUS", "application/vnd.musician"};
revt("LMXCISUM") -> {regular, "MUSICXML", "application/vnd.recordare.musicxml+xml"};
revt("BVM") -> {regular, "MVB", "application/x-msmediaview"};
revt("FWM") -> {regular, "MWF", "application/vnd.mfer"};
revt("FXM") -> {regular, "MXF", "application/mxf"};
revt("LXM") -> {regular, "MXL", "application/vnd.recordare.musicxml"};
revt("LMXM") -> {regular, "MXML", "application/xv+xml"};
revt("SXM") -> {regular, "MXS", "application/vnd.triscape.mxs"};
revt("UXM") -> {regular, "MXU", "video/vnd.mpegurl"};
revt("EGAG-N") -> {regular, "N-GAGE", "application/vnd.nokia.n-gage.symbian.install"};
revt("3N") -> {regular, "N3", "text/n3"};
revt("BN") -> {regular, "NB", "application/mathematica"};
revt("PBN") -> {regular, "NBP", "application/vnd.wolfram.player"};
revt("CN") -> {regular, "NC", "application/x-netcdf"};
revt("XCN") -> {regular, "NCX", "application/x-dtbncx+xml"};
revt("TADGN") -> {regular, "NGDAT", "application/vnd.nokia.n-gage.data"};
revt("ULN") -> {regular, "NLU", "application/vnd.neurolanguage.nlu"};
revt("LMN") -> {regular, "NML", "application/vnd.enliven"};
revt("DNN") -> {regular, "NND", "application/vnd.noblenet-directory"};
revt("SNN") -> {regular, "NNS", "application/vnd.noblenet-sealer"};
revt("WNN") -> {regular, "NNW", "application/vnd.noblenet-web"};
revt("XPN") -> {regular, "NPX", "image/vnd.net-fpx"};
revt("FSN") -> {regular, "NSF", "application/vnd.lotus-notes"};
revt("2AO") -> {regular, "OA2", "application/vnd.fujitsu.oasys2"};
revt("3AO") -> {regular, "OA3", "application/vnd.fujitsu.oasys3"};
revt("SAO") -> {regular, "OAS", "application/vnd.fujitsu.oasys"};
revt("DBO") -> {regular, "OBD", "application/x-msbinder"};
revt("ADO") -> {regular, "ODA", "application/oda"};
revt("BDO") -> {regular, "ODB", "application/vnd.oasis.opendocument.database"};
revt("CDO") -> {regular, "ODC", "application/vnd.oasis.opendocument.chart"};
revt("FDO") -> {regular, "ODF", "application/vnd.oasis.opendocument.formula"};
revt("TFDO") -> {regular, "ODFT", "application/vnd.oasis.opendocument.formula-template"};
revt("GDO") -> {regular, "ODG", "application/vnd.oasis.opendocument.graphics"};
revt("IDO") -> {regular, "ODI", "application/vnd.oasis.opendocument.image"};
revt("PDO") -> {regular, "ODP", "application/vnd.oasis.opendocument.presentation"};
revt("SDO") -> {regular, "ODS", "application/vnd.oasis.opendocument.spreadsheet"};
revt("TDO") -> {regular, "ODT", "application/vnd.oasis.opendocument.text"};
revt("AGO") -> {regular, "OGA", "audio/ogg"};
revt("GGO") -> {regular, "OGG", "audio/ogg"};
revt("VGO") -> {regular, "OGV", "video/ogg"};
revt("XGO") -> {regular, "OGX", "application/ogg"};
revt("GKPENO") -> {regular, "ONEPKG", "application/onenote"};
revt("PMTENO") -> {regular, "ONETMP", "application/onenote"};
revt("COTENO") -> {regular, "ONETOC", "application/onenote"};
revt("2COTENO") -> {regular, "ONETOC2", "application/onenote"};
revt("FPO") -> {regular, "OPF", "application/oebps-package+xml"};
revt("CRPO") -> {regular, "OPRC", "application/vnd.palm"};
revt("GRO") -> {regular, "ORG", "application/vnd.lotus-organizer"};
revt("FSO") -> {regular, "OSF", "application/vnd.yamaha.openscoreformat"};
revt("GVPFSO") -> {regular, "OSFPVG", "application/vnd.yamaha.openscoreformat.osfpvg+xml"};
revt("CTO") -> {regular, "OTC", "application/vnd.oasis.opendocument.chart-template"};
revt("FTO") -> {regular, "OTF", "application/x-font-otf"};
revt("GTO") -> {regular, "OTG", "application/vnd.oasis.opendocument.graphics-template"};
revt("HTO") -> {regular, "OTH", "application/vnd.oasis.opendocument.text-web"};
revt("ITO") -> {regular, "OTI", "application/vnd.oasis.opendocument.image-template"};
revt("MTO") -> {regular, "OTM", "application/vnd.oasis.opendocument.text-master"};
revt("PTO") -> {regular, "OTP", "application/vnd.oasis.opendocument.presentation-template"};
revt("STO") -> {regular, "OTS", "application/vnd.oasis.opendocument.spreadsheet-template"};
revt("TTO") -> {regular, "OTT", "application/vnd.oasis.opendocument.text-template"};
revt("TXO") -> {regular, "OXT", "application/vnd.openofficeorg.extension"};
revt("P") -> {regular, "P", "text/x-pascal"};
revt("01P") -> {regular, "P10", "application/pkcs10"};
revt("21P") -> {regular, "P12", "application/x-pkcs12"};
revt("B7P") -> {regular, "P7B", "application/x-pkcs7-certificates"};
revt("C7P") -> {regular, "P7C", "application/pkcs7-mime"};
revt("M7P") -> {regular, "P7M", "application/pkcs7-mime"};
revt("R7P") -> {regular, "P7R", "application/x-pkcs7-certreqresp"};
revt("S7P") -> {regular, "P7S", "application/pkcs7-signature"};
revt("8P") -> {regular, "P8", "application/pkcs8"};
revt("CAP") -> {regular, "PAC", "application/x-ns-proxy-autoconfig"};
revt("SAP") -> {regular, "PAS", "text/x-pascal"};
revt("WAP") -> {regular, "PAW", "application/vnd.pawaafile"};
revt("DBP") -> {regular, "PBD", "application/vnd.powerbuilder6"};
revt("MBP") -> {regular, "PBM", "image/x-portable-bitmap"};
revt("FCP") -> {regular, "PCF", "application/x-font-pcf"};
revt("LCP") -> {regular, "PCL", "application/vnd.hp-pcl"};
revt("LXLCP") -> {regular, "PCLXL", "application/vnd.hp-pclxl"};
revt("TCP") -> {regular, "PCT", "image/x-pict"};
revt("LRUCP") -> {regular, "PCURL", "application/vnd.curl.pcurl"};
revt("XCP") -> {regular, "PCX", "image/x-pcx"};
revt("BDP") -> {regular, "PDB", "application/vnd.palm"};
revt("FDP") -> {regular, "PDF", "application/pdf"};
revt("AFP") -> {regular, "PFA", "application/x-font-type1"};
revt("BFP") -> {regular, "PFB", "application/x-font-type1"};
revt("MFP") -> {regular, "PFM", "application/x-font-type1"};
revt("RFP") -> {regular, "PFR", "application/font-tdpfr"};
revt("XFP") -> {regular, "PFX", "application/x-pkcs12"};
revt("MGP") -> {regular, "PGM", "image/x-portable-graymap"};
revt("NGP") -> {regular, "PGN", "application/x-chess-pgn"};
revt("PGP") -> {regular, "PGP", "application/pgp-encrypted"};
revt("CIP") -> {regular, "PIC", "image/x-pict"};
revt("GKP") -> {regular, "PKG", "application/octet-stream"};
revt("IKP") -> {regular, "PKI", "application/pkixcmp"};
revt("HTAPIKP") -> {regular, "PKIPATH", "application/pkix-pkipath"};
revt("BLP") -> {regular, "PLB", "application/vnd.3gpp.pic-bw-large"};
revt("CLP") -> {regular, "PLC", "application/vnd.mobius.plc"};
revt("FLP") -> {regular, "PLF", "application/vnd.pocketlearn"};
revt("SLP") -> {regular, "PLS", "application/pls+xml"};
revt("LMP") -> {regular, "PML", "application/vnd.ctc-posml"};
revt("GNP") -> {regular, "PNG", "image/png"};
revt("MNP") -> {regular, "PNM", "image/x-portable-anymap"};
revt("GKPTROP") -> {regular, "PORTPKG", "application/vnd.macports.portpkg"};
revt("TOP") -> {regular, "POT", "application/vnd.ms-powerpoint"};
revt("MTOP") -> {regular, "POTM", "application/vnd.ms-powerpoint.template.macroenabled.12"};
revt("XTOP") -> {regular, "POTX", "application/vnd.openxmlformats-officedocument.presentationml.template"};
revt("MAPP") -> {regular, "PPAM", "application/vnd.ms-powerpoint.addin.macroenabled.12"};
revt("DPP") -> {regular, "PPD", "application/vnd.cups-ppd"};
revt("MPP") -> {regular, "PPM", "image/x-portable-pixmap"};
revt("SPP") -> {regular, "PPS", "application/vnd.ms-powerpoint"};
revt("MSPP") -> {regular, "PPSM", "application/vnd.ms-powerpoint.slideshow.macroenabled.12"};
revt("XSPP") -> {regular, "PPSX", "application/vnd.openxmlformats-officedocument.presentationml.slideshow"};
revt("TPP") -> {regular, "PPT", "application/vnd.ms-powerpoint"};
revt("MTPP") -> {regular, "PPTM", "application/vnd.ms-powerpoint.presentation.macroenabled.12"};
revt("XTPP") -> {regular, "PPTX", "application/vnd.openxmlformats-officedocument.presentationml.presentation"};
revt("AQP") -> {regular, "PQA", "application/vnd.palm"};
revt("CRP") -> {regular, "PRC", "application/x-mobipocket-ebook"};
revt("ERP") -> {regular, "PRE", "application/vnd.lotus-freelance"};
revt("FRP") -> {regular, "PRF", "application/pics-rules"};
revt("SP") -> {regular, "PS", "application/postscript"};
revt("BSP") -> {regular, "PSB", "application/vnd.3gpp.pic-bw-small"};
revt("DSP") -> {regular, "PSD", "image/vnd.adobe.photoshop"};
revt("FSP") -> {regular, "PSF", "application/x-font-linux-psf"};
revt("LMXCKSP") -> {regular, "PSKCXML", "application/pskc+xml"};
revt("DITP") -> {regular, "PTID", "application/vnd.pvi.ptid1"};
revt("BUP") -> {regular, "PUB", "application/x-mspublisher"};
revt("BVP") -> {regular, "PVB", "application/vnd.3gpp.pic-bw-var"};
revt("NWP") -> {regular, "PWN", "application/vnd.3m.post-it-notes"};
revt("AYP") -> {regular, "PYA", "audio/vnd.ms-playready.media.pya"};
revt("VYP") -> {regular, "PYV", "video/vnd.ms-playready.media.pyv"};
revt("MAQ") -> {regular, "QAM", "application/vnd.epson.quickanime"};
revt("OBQ") -> {regular, "QBO", "application/vnd.intu.qbo"};
revt("XFQ") -> {regular, "QFX", "application/vnd.intu.qfx"};
revt("SPQ") -> {regular, "QPS", "application/vnd.publishare-delta-tree"};
revt("TQ") -> {regular, "QT", "video/quicktime"};
revt("DWQ") -> {regular, "QWD", "application/vnd.quark.quarkxpress"};
revt("TWQ") -> {regular, "QWT", "application/vnd.quark.quarkxpress"};
revt("BXQ") -> {regular, "QXB", "application/vnd.quark.quarkxpress"};
revt("DXQ") -> {regular, "QXD", "application/vnd.quark.quarkxpress"};
revt("LXQ") -> {regular, "QXL", "application/vnd.quark.quarkxpress"};
revt("TXQ") -> {regular, "QXT", "application/vnd.quark.quarkxpress"};
revt("AR") -> {regular, "RA", "audio/x-realaudio"};
revt("MAR") -> {regular, "RAM", "audio/x-pn-realaudio"};
revt("RAR") -> {regular, "RAR", "application/x-rar-compressed"};
revt("SAR") -> {regular, "RAS", "image/x-cmu-raster"};
revt("ELIFORPCR") -> {regular, "RCPROFILE", "application/vnd.ipunplugged.rcprofile"};
revt("FDR") -> {regular, "RDF", "application/rdf+xml"};
revt("ZDR") -> {regular, "RDZ", "application/vnd.data-vision.rdz"};
revt("PER") -> {regular, "REP", "application/vnd.businessobjects"};
revt("SER") -> {regular, "RES", "application/x-dtbresource+xml"};
revt("BGR") -> {regular, "RGB", "image/x-rgb"};
revt("FIR") -> {regular, "RIF", "application/reginfo+xml"};
revt("PIR") -> {regular, "RIP", "audio/vnd.rip"};
revt("LR") -> {regular, "RL", "application/resource-lists+xml"};
revt("CLR") -> {regular, "RLC", "image/vnd.fujixerox.edmics-rlc"};
revt("DLR") -> {regular, "RLD", "application/resource-lists-diff+xml"};
revt("MR") -> {regular, "RM", "application/vnd.rn-realmedia"};
revt("IMR") -> {regular, "RMI", "audio/midi"};
revt("PMR") -> {regular, "RMP", "audio/x-pn-realaudio-plugin"};
revt("SMR") -> {regular, "RMS", "application/vnd.jcp.javame.midlet-rms"};
revt("CNR") -> {regular, "RNC", "application/relax-ng-compact-syntax"};
revt("FFOR") -> {regular, "ROFF", "text/troff"};
revt("9PR") -> {regular, "RP9", "application/vnd.cloanto.rp9"};
revt("MPR") -> {regular, "RPM", "application/x-rpm"};
revt("SSPR") -> {regular, "RPSS", "application/vnd.nokia.radio-presets"};
revt("TSPR") -> {regular, "RPST", "application/vnd.nokia.radio-preset"};
revt("QR") -> {regular, "RQ", "application/sparql-query"};
revt("SR") -> {regular, "RS", "application/rls-services+xml"};
revt("DSR") -> {regular, "RSD", "application/rsd+xml"};
revt("SSR") -> {regular, "RSS", "application/rss+xml"};
revt("FTR") -> {regular, "RTF", "text/rtf"};
revt("XTR") -> {regular, "RTX", "text/richtext"};
revt("S") -> {regular, "S", "text/x-asm"};
revt("FAS") -> {regular, "SAF", "application/vnd.yamaha.smaf-audio"};
revt("LMBS") -> {regular, "SBML", "application/sbml+xml"};
revt("CS") -> {regular, "SC", "application/vnd.ibm.secure-container"};
revt("DCS") -> {regular, "SCD", "application/x-msschedule"};
revt("MCS") -> {regular, "SCM", "application/vnd.lotus-screencam"};
revt("QCS") -> {regular, "SCQ", "application/scvp-cv-request"};
revt("SCS") -> {regular, "SCS", "application/scvp-cv-response"};
revt("LRUCS") -> {regular, "SCURL", "text/vnd.curl.scurl"};
revt("ADS") -> {regular, "SDA", "application/vnd.stardivision.draw"};
revt("CDS") -> {regular, "SDC", "application/vnd.stardivision.calc"};
revt("DDS") -> {regular, "SDD", "application/vnd.stardivision.impress"};
revt("DKDS") -> {regular, "SDKD", "application/vnd.solent.sdkm+xml"};
revt("MKDS") -> {regular, "SDKM", "application/vnd.solent.sdkm+xml"};
revt("PDS") -> {regular, "SDP", "application/sdp"};
revt("WDS") -> {regular, "SDW", "application/vnd.stardivision.writer"};
revt("EES") -> {regular, "SEE", "application/vnd.seemail"};
revt("DEES") -> {regular, "SEED", "application/vnd.fdsn.seed"};
revt("AMES") -> {regular, "SEMA", "application/vnd.sema"};
revt("DMES") -> {regular, "SEMD", "application/vnd.semd"};
revt("FMES") -> {regular, "SEMF", "application/vnd.semf"};
revt("RES") -> {regular, "SER", "application/java-serialized-object"};
revt("YAPTES") -> {regular, "SETPAY", "application/set-payment-initiation"};
revt("GERTES") -> {regular, "SETREG", "application/set-registration-initiation"};
revt("XTSDH-DFS") -> {regular, "SFD-HDSTX", "application/vnd.hydrostatix.sof-data"};
revt("SFS") -> {regular, "SFS", "application/vnd.spotfire.sfs"};
revt("LGS") -> {regular, "SGL", "application/vnd.stardivision.writer-global"};
revt("MGS") -> {regular, "SGM", "text/sgml"};
revt("LMGS") -> {regular, "SGML", "text/sgml"};
revt("HS") -> {regular, "SH", "application/x-sh"};
revt("RAHS") -> {regular, "SHAR", "application/x-shar"};
revt("FHS") -> {regular, "SHF", "application/shf+xml"};
revt("IS") -> {regular, "SI", "text/vnd.wap.si"};
revt("CIS") -> {regular, "SIC", "application/vnd.wap.sic"};
revt("GIS") -> {regular, "SIG", "application/pgp-signature"};
revt("OLIS") -> {regular, "SILO", "model/mesh"};
revt("SIS") -> {regular, "SIS", "application/vnd.symbian.install"};
revt("XSIS") -> {regular, "SISX", "application/vnd.symbian.install"};
revt("TIS") -> {regular, "SIT", "application/x-stuffit"};
revt("XTIS") -> {regular, "SITX", "application/x-stuffitx"};
revt("DKS") -> {regular, "SKD", "application/x-koan"};
revt("MKS") -> {regular, "SKM", "application/x-koan"};
revt("PKS") -> {regular, "SKP", "application/x-koan"};
revt("TKS") -> {regular, "SKT", "application/x-koan"};
revt("LS") -> {regular, "SL", "text/vnd.wap.sl"};
revt("CLS") -> {regular, "SLC", "application/vnd.wap.slc"};
revt("MDLS") -> {regular, "SLDM", "application/vnd.ms-powerpoint.slide.macroenabled.12"};
revt("XDLS") -> {regular, "SLDX", "application/vnd.openxmlformats-officedocument.presentationml.slide"};
revt("TLS") -> {regular, "SLT", "application/vnd.epson.salt"};
revt("MS") -> {regular, "SM", "application/vnd.stepmania.stepchart"};
revt("FMS") -> {regular, "SMF", "application/vnd.stardivision.math"};
revt("IMS") -> {regular, "SMI", "application/smil+xml"};
revt("LIMS") -> {regular, "SMIL", "application/smil+xml"};
revt("DNS") -> {regular, "SND", "audio/basic"};
revt("FNS") -> {regular, "SNF", "application/x-font-snf"};
revt("OS") -> {regular, "SO", "application/octet-stream"};
revt("CPS") -> {regular, "SPC", "application/x-pkcs7-certificates"};
revt("FPS") -> {regular, "SPF", "application/vnd.yamaha.smaf-phrase"};
revt("LPS") -> {regular, "SPL", "application/x-futuresplash"};
revt("TOPS") -> {regular, "SPOT", "text/vnd.in3d.spot"};
revt("PPS") -> {regular, "SPP", "application/scvp-vp-response"};
revt("QPS") -> {regular, "SPQ", "application/scvp-vp-request"};
revt("XPS") -> {regular, "SPX", "audio/ogg"};
revt("CRS") -> {regular, "SRC", "application/x-wais-source"};
revt("URS") -> {regular, "SRU", "application/sru+xml"};
revt("XRS") -> {regular, "SRX", "application/sparql-results+xml"};
revt("ESS") -> {regular, "SSE", "application/vnd.kodak-descriptor"};
revt("FSS") -> {regular, "SSF", "application/vnd.epson.ssf"};
revt("LMSS") -> {regular, "SSML", "application/ssml+xml"};
revt("TS") -> {regular, "ST", "application/vnd.sailingtracker.track"};
revt("CTS") -> {regular, "STC", "application/vnd.sun.xml.calc.template"};
revt("DTS") -> {regular, "STD", "application/vnd.sun.xml.draw.template"};
revt("FTS") -> {regular, "STF", "application/vnd.wt.stf"};
revt("ITS") -> {regular, "STI", "application/vnd.sun.xml.impress.template"};
revt("KTS") -> {regular, "STK", "application/hyperstudio"};
revt("LTS") -> {regular, "STL", "application/vnd.ms-pki.stl"};
revt("RTS") -> {regular, "STR", "application/vnd.pg.format"};
revt("WTS") -> {regular, "STW", "application/vnd.sun.xml.writer.template"};
revt("BUS") -> {regular, "SUB", "image/vnd.dvb.subtitle"};
revt("SUS") -> {regular, "SUS", "application/vnd.sus-calendar"};
revt("PSUS") -> {regular, "SUSP", "application/vnd.sus-calendar"};
revt("OIPC4VS") -> {regular, "SV4CPIO", "application/x-sv4cpio"};
revt("CRC4VS") -> {regular, "SV4CRC", "application/x-sv4crc"};
revt("CVS") -> {regular, "SVC", "application/vnd.dvb.service"};
revt("DVS") -> {regular, "SVD", "application/vnd.svd"};
revt("GVS") -> {regular, "SVG", "image/svg+xml"};
revt("ZGVS") -> {regular, "SVGZ", "image/svg+xml"};
revt("AWS") -> {regular, "SWA", "application/x-director"};
revt("FWS") -> {regular, "SWF", "application/x-shockwave-flash"};
revt("IWS") -> {regular, "SWI", "application/vnd.aristanetworks.swi"};
revt("CXS") -> {regular, "SXC", "application/vnd.sun.xml.calc"};
revt("DXS") -> {regular, "SXD", "application/vnd.sun.xml.draw"};
revt("GXS") -> {regular, "SXG", "application/vnd.sun.xml.writer.global"};
revt("IXS") -> {regular, "SXI", "application/vnd.sun.xml.impress"};
revt("MXS") -> {regular, "SXM", "application/vnd.sun.xml.math"};
revt("WXS") -> {regular, "SXW", "application/vnd.sun.xml.writer"};
revt("T") -> {regular, "T", "text/troff"};
revt("OAT") -> {regular, "TAO", "application/vnd.tao.intent-module-archive"};
revt("RAT") -> {regular, "TAR", "application/x-tar"};
revt("PACT") -> {regular, "TCAP", "application/vnd.3gpp2.tcap"};
revt("LCT") -> {regular, "TCL", "application/x-tcl"};
revt("REHCAET") -> {regular, "TEACHER", "application/vnd.smart.teacher"};
revt("IET") -> {regular, "TEI", "application/tei+xml"};
revt("SUPROCIET") -> {regular, "TEICORPUS", "application/tei+xml"};
revt("XET") -> {regular, "TEX", "application/x-tex"};
revt("IXET") -> {regular, "TEXI", "application/x-texinfo"};
revt("OFNIXET") -> {regular, "TEXINFO", "application/x-texinfo"};
revt("TXET") -> {regular, "TEXT", "text/plain"};
revt("IFT") -> {regular, "TFI", "application/thraud+xml"};
revt("MFT") -> {regular, "TFM", "application/x-tex-tfm"};
revt("ZGT") -> {regular, "TGZ", "application/x-gzip"};
revt("XMHT") -> {regular, "THMX", "application/vnd.ms-officetheme"};
revt("FIT") -> {regular, "TIF", "image/tiff"};
revt("FFIT") -> {regular, "TIFF", "image/tiff"};
revt("OMT") -> {regular, "TMO", "application/vnd.tmobile-livetv"};
revt("TNERROT") -> {regular, "TORRENT", "application/x-bittorrent"};
revt("LPT") -> {regular, "TPL", "application/vnd.groove-tool-template"};
revt("TPT") -> {regular, "TPT", "application/vnd.trid.tpt"};
revt("RT") -> {regular, "TR", "text/troff"};
revt("ART") -> {regular, "TRA", "application/vnd.trueapp"};
revt("MRT") -> {regular, "TRM", "application/x-msterminal"};
revt("ST") -> {regular, "TS", "video/mp2t"};
revt("DST") -> {regular, "TSD", "application/timestamped-data"};
revt("VST") -> {regular, "TSV", "text/tab-separated-values"};
revt("CTT") -> {regular, "TTC", "application/x-font-ttf"};
revt("FTT") -> {regular, "TTF", "application/x-font-ttf"};
revt("LTT") -> {regular, "TTL", "text/turtle"};
revt("DWT") -> {regular, "TWD", "application/vnd.simtech-mindmapper"};
revt("SDWT") -> {regular, "TWDS", "application/vnd.simtech-mindmapper"};
revt("DXT") -> {regular, "TXD", "application/vnd.genomatix.tuxedo"};
revt("FXT") -> {regular, "TXF", "application/vnd.mobius.txf"};
revt("TXT") -> {regular, "TXT", "text/plain"};
revt("23U") -> {regular, "U32", "application/x-authorware-bin"};
revt("BEDU") -> {regular, "UDEB", "application/x-debian-package"};
revt("DFU") -> {regular, "UFD", "application/vnd.ufdl"};
revt("LDFU") -> {regular, "UFDL", "application/vnd.ufdl"};
revt("JMU") -> {regular, "UMJ", "application/vnd.umajin"};
revt("BEWYTINU") -> {regular, "UNITYWEB", "application/vnd.unity"};
revt("LMOU") -> {regular, "UOML", "application/vnd.uoml+xml"};
revt("IRU") -> {regular, "URI", "text/uri-list"};
revt("SIRU") -> {regular, "URIS", "text/uri-list"};
revt("SLRU") -> {regular, "URLS", "text/uri-list"};
revt("RATSU") -> {regular, "USTAR", "application/x-ustar"};
revt("ZTU") -> {regular, "UTZ", "application/vnd.uiq.theme"};
revt("UU") -> {regular, "UU", "text/x-uuencode"};
revt("AVU") -> {regular, "UVA", "audio/vnd.dece.audio"};
revt("DVU") -> {regular, "UVD", "application/vnd.dece.data"};
revt("FVU") -> {regular, "UVF", "application/vnd.dece.data"};
revt("GVU") -> {regular, "UVG", "image/vnd.dece.graphic"};
revt("HVU") -> {regular, "UVH", "video/vnd.dece.hd"};
revt("IVU") -> {regular, "UVI", "image/vnd.dece.graphic"};
revt("MVU") -> {regular, "UVM", "video/vnd.dece.mobile"};
revt("PVU") -> {regular, "UVP", "video/vnd.dece.pd"};
revt("SVU") -> {regular, "UVS", "video/vnd.dece.sd"};
revt("TVU") -> {regular, "UVT", "application/vnd.dece.ttml+xml"};
revt("UVU") -> {regular, "UVU", "video/vnd.uvvu.mp4"};
revt("VVU") -> {regular, "UVV", "video/vnd.dece.video"};
revt("AVVU") -> {regular, "UVVA", "audio/vnd.dece.audio"};
revt("DVVU") -> {regular, "UVVD", "application/vnd.dece.data"};
revt("FVVU") -> {regular, "UVVF", "application/vnd.dece.data"};
revt("GVVU") -> {regular, "UVVG", "image/vnd.dece.graphic"};
revt("HVVU") -> {regular, "UVVH", "video/vnd.dece.hd"};
revt("IVVU") -> {regular, "UVVI", "image/vnd.dece.graphic"};
revt("MVVU") -> {regular, "UVVM", "video/vnd.dece.mobile"};
revt("PVVU") -> {regular, "UVVP", "video/vnd.dece.pd"};
revt("SVVU") -> {regular, "UVVS", "video/vnd.dece.sd"};
revt("TVVU") -> {regular, "UVVT", "application/vnd.dece.ttml+xml"};
revt("UVVU") -> {regular, "UVVU", "video/vnd.uvvu.mp4"};
revt("VVVU") -> {regular, "UVVV", "video/vnd.dece.video"};
revt("XVVU") -> {regular, "UVVX", "application/vnd.dece.unspecified"};
revt("XVU") -> {regular, "UVX", "application/vnd.dece.unspecified"};
revt("DCV") -> {regular, "VCD", "application/x-cdlink"};
revt("FCV") -> {regular, "VCF", "text/x-vcard"};
revt("GCV") -> {regular, "VCG", "application/vnd.groove-vcard"};
revt("SCV") -> {regular, "VCS", "text/x-vcalendar"};
revt("XCV") -> {regular, "VCX", "application/vnd.vcx"};
revt("SIV") -> {regular, "VIS", "application/vnd.visionary"};
revt("VIV") -> {regular, "VIV", "video/vnd.vivo"};
revt("ROV") -> {regular, "VOR", "application/vnd.stardivision.writer"};
revt("XOV") -> {regular, "VOX", "application/x-authorware-bin"};
revt("LMRV") -> {regular, "VRML", "model/vrml"};
revt("DSV") -> {regular, "VSD", "application/vnd.visio"};
revt("FSV") -> {regular, "VSF", "application/vnd.vsf"};
revt("SSV") -> {regular, "VSS", "application/vnd.visio"};
revt("TSV") -> {regular, "VST", "application/vnd.visio"};
revt("WSV") -> {regular, "VSW", "application/vnd.visio"};
revt("UTV") -> {regular, "VTU", "model/vnd.vtu"};
revt("LMXV") -> {regular, "VXML", "application/voicexml+xml"};
revt("D3W") -> {regular, "W3D", "application/x-director"};
revt("DAW") -> {regular, "WAD", "application/x-doom"};
revt("VAW") -> {regular, "WAV", "audio/x-wav"};
revt("XAW") -> {regular, "WAX", "audio/x-ms-wax"};
revt("PMBW") -> {regular, "WBMP", "image/vnd.wap.wbmp"};
revt("SBW") -> {regular, "WBS", "application/vnd.criticaltools.wbs+xml"};
revt("LMXBW") -> {regular, "WBXML", "application/vnd.wap.wbxml"};
revt("MCW") -> {regular, "WCM", "application/vnd.ms-works"};
revt("BDW") -> {regular, "WDB", "application/vnd.ms-works"};
revt("ABEW") -> {regular, "WEBA", "audio/webm"};
revt("MBEW") -> {regular, "WEBM", "video/webm"};
revt("PBEW") -> {regular, "WEBP", "image/webp"};
revt("GW") -> {regular, "WG", "application/vnd.pmi.widget"};
revt("TGW") -> {regular, "WGT", "application/widget"};
revt("SKW") -> {regular, "WKS", "application/vnd.ms-works"};
revt("MW") -> {regular, "WM", "video/x-ms-wm"};
revt("AMW") -> {regular, "WMA", "audio/x-ms-wma"};
revt("DMW") -> {regular, "WMD", "application/x-ms-wmd"};
revt("FMW") -> {regular, "WMF", "application/x-msmetafile"};
revt("LMW") -> {regular, "WML", "text/vnd.wap.wml"};
revt("CLMW") -> {regular, "WMLC", "application/vnd.wap.wmlc"};
revt("SLMW") -> {regular, "WMLS", "text/vnd.wap.wmlscript"};
revt("CSLMW") -> {regular, "WMLSC", "application/vnd.wap.wmlscriptc"};
revt("VMW") -> {regular, "WMV", "video/x-ms-wmv"};
revt("XMW") -> {regular, "WMX", "video/x-ms-wmx"};
revt("ZMW") -> {regular, "WMZ", "application/x-ms-wmz"};
revt("FFOW") -> {regular, "WOFF", "application/x-font-woff"};
revt("DPW") -> {regular, "WPD", "application/vnd.wordperfect"};
revt("LPW") -> {regular, "WPL", "application/vnd.ms-wpl"};
revt("SPW") -> {regular, "WPS", "application/vnd.ms-works"};
revt("DQW") -> {regular, "WQD", "application/vnd.wqd"};
revt("IRW") -> {regular, "WRI", "application/x-mswrite"};
revt("LRW") -> {regular, "WRL", "model/vrml"};
revt("LDSW") -> {regular, "WSDL", "application/wsdl+xml"};
revt("YCILOPSW") -> {regular, "WSPOLICY", "application/wspolicy+xml"};
revt("BTW") -> {regular, "WTB", "application/vnd.webturbo"};
revt("XVW") -> {regular, "WVX", "video/x-ms-wvx"};
revt("23X") -> {regular, "X32", "application/x-authorware-bin"};
revt("D3X") -> {regular, "X3D", "application/vnd.hzn-3d-crossword"};
revt("PAX") -> {regular, "XAP", "application/x-silverlight-app"};
revt("RAX") -> {regular, "XAR", "application/vnd.xara"};
revt("PABX") -> {regular, "XBAP", "application/x-ms-xbap"};
revt("DBX") -> {regular, "XBD", "application/vnd.fujixerox.docuworks.binder"};
revt("MBX") -> {regular, "XBM", "image/x-xbitmap"};
revt("FDX") -> {regular, "XDF", "application/xcap-diff+xml"};
revt("MDX") -> {regular, "XDM", "application/vnd.syncml.dm+xml"};
revt("PDX") -> {regular, "XDP", "application/vnd.adobe.xdp+xml"};
revt("CSSDX") -> {regular, "XDSSC", "application/dssc+xml"};
revt("WDX") -> {regular, "XDW", "application/vnd.fujixerox.docuworks"};
revt("CNEX") -> {regular, "XENC", "application/xenc+xml"};
revt("REX") -> {regular, "XER", "application/patch-ops-error+xml"};
revt("FDFX") -> {regular, "XFDF", "application/vnd.adobe.xfdf"};
revt("LDFX") -> {regular, "XFDL", "application/vnd.xfdl"};
revt("THX") -> {regular, "XHT", "application/xhtml+xml"};
revt("LMTHX") -> {regular, "XHTML", "application/xhtml+xml"};
revt("LMVHX") -> {regular, "XHVML", "application/xv+xml"};
revt("FIX") -> {regular, "XIF", "image/vnd.xiff"};
revt("ALX") -> {regular, "XLA", "application/vnd.ms-excel"};
revt("MALX") -> {regular, "XLAM", "application/vnd.ms-excel.addin.macroenabled.12"};
revt("CLX") -> {regular, "XLC", "application/vnd.ms-excel"};
revt("MLX") -> {regular, "XLM", "application/vnd.ms-excel"};
revt("SLX") -> {regular, "XLS", "application/vnd.ms-excel"};
revt("BSLX") -> {regular, "XLSB", "application/vnd.ms-excel.sheet.binary.macroenabled.12"};
revt("MSLX") -> {regular, "XLSM", "application/vnd.ms-excel.sheet.macroenabled.12"};
revt("XSLX") -> {regular, "XLSX", "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"};
revt("TLX") -> {regular, "XLT", "application/vnd.ms-excel"};
revt("MTLX") -> {regular, "XLTM", "application/vnd.ms-excel.template.macroenabled.12"};
revt("XTLX") -> {regular, "XLTX", "application/vnd.openxmlformats-officedocument.spreadsheetml.template"};
revt("WLX") -> {regular, "XLW", "application/vnd.ms-excel"};
revt("LMX") -> {regular, "XML", "text/xml"};
revt("OX") -> {regular, "XO", "application/vnd.olpc-sugar"};
revt("POX") -> {regular, "XOP", "application/xop+xml"};
revt("IPX") -> {regular, "XPI", "application/x-xpinstall"};
revt("MPX") -> {regular, "XPM", "image/x-xpixmap"};
revt("RPX") -> {regular, "XPR", "application/vnd.is-xpr"};
revt("SPX") -> {regular, "XPS", "application/vnd.ms-xpsdocument"};
revt("WPX") -> {regular, "XPW", "application/vnd.intercon.formnet"};
revt("XPX") -> {regular, "XPX", "application/vnd.intercon.formnet"};
revt("LSX") -> {regular, "XSL", "text/xml"};
revt("TLSX") -> {regular, "XSLT", "application/xslt+xml"};
revt("MSX") -> {regular, "XSM", "application/vnd.syncml+xml"};
revt("FPSX") -> {regular, "XSPF", "application/xspf+xml"};
revt("LUX") -> {regular, "XUL", "application/vnd.mozilla.xul+xml"};
revt("MVX") -> {regular, "XVM", "application/xv+xml"};
revt("LMVX") -> {regular, "XVML", "application/xv+xml"};
revt("DWX") -> {regular, "XWD", "image/x-xwindowdump"};
revt("ZYX") -> {regular, "XYZ", "chemical/x-xyz"};
revt("GNAY") -> {regular, "YANG", "application/yang"};
revt("NIY") -> {regular, "YIN", "application/yin+xml"};
revt("ZAZ") -> {regular, "ZAZ", "application/vnd.zzazz.deck+xml"};
revt("PIZ") -> {regular, "ZIP", "application/zip"};
revt("RIZ") -> {regular, "ZIR", "application/vnd.zul"};
revt("ZRIZ") -> {regular, "ZIRZ", "application/vnd.zul"};
revt("MMZ") -> {regular, "ZMM", "application/vnd.handheld-entertainment+xml"};
revt("baa") -> {regular, "aab", "application/x-authorware-bin"};
revt("caa") -> {regular, "aac", "audio/x-aac"};
revt("maa") -> {regular, "aam", "application/x-authorware-map"};
revt("saa") -> {regular, "aas", "application/x-authorware-seg"};
revt("wba") -> {regular, "abw", "application/x-abiword"};
revt("ca") -> {regular, "ac", "application/pkix-attr-cert"};
revt("cca") -> {regular, "acc", "application/vnd.americandynamics.acc"};
revt("eca") -> {regular, "ace", "application/x-ace-compressed"};
revt("uca") -> {regular, "acu", "application/vnd.acucobol"};
revt("ctuca") -> {regular, "acutc", "application/vnd.acucorp"};
revt("pda") -> {regular, "adp", "audio/adpcm"};
revt("pea") -> {regular, "aep", "application/vnd.audiograph"};
revt("mfa") -> {regular, "afm", "application/x-font-type1"};
revt("pfa") -> {regular, "afp", "application/vnd.ibm.modcap"};
revt("daeha") -> {regular, "ahead", "application/vnd.ahead.space"};
revt("ia") -> {regular, "ai", "application/postscript"};
revt("fia") -> {regular, "aif", "audio/x-aiff"};
revt("cfia") -> {regular, "aifc", "audio/x-aiff"};
revt("ffia") -> {regular, "aiff", "audio/x-aiff"};
revt("ria") -> {regular, "air", "application/vnd.adobe.air-application-installer-package+zip"};
revt("tia") -> {regular, "ait", "application/vnd.dvb.ait"};
revt("ima") -> {regular, "ami", "application/vnd.amiga.ami"};
revt("kpa") -> {regular, "apk", "application/vnd.android.package-archive"};
revt("noitacilppa") -> {regular, "application", "application/x-ms-application"};
revt("rpa") -> {regular, "apr", "application/vnd.lotus-approach"};
revt("csa") -> {regular, "asc", "application/pgp-signature"};
revt("fsa") -> {regular, "asf", "video/x-ms-asf"};
revt("msa") -> {regular, "asm", "text/x-asm"};
revt("osa") -> {regular, "aso", "application/vnd.accpac.simply.aso"};
revt("xsa") -> {regular, "asx", "video/x-ms-asf"};
revt("cta") -> {regular, "atc", "application/vnd.acucorp"};
revt("mota") -> {regular, "atom", "application/atom+xml"};
revt("tacmota") -> {regular, "atomcat", "application/atomcat+xml"};
revt("cvsmota") -> {regular, "atomsvc", "application/atomsvc+xml"};
revt("xta") -> {regular, "atx", "application/vnd.antix.game-component"};
revt("ua") -> {regular, "au", "audio/basic"};
revt("iva") -> {regular, "avi", "video/x-msvideo"};
revt("wa") -> {regular, "aw", "application/applixware"};
revt("fza") -> {regular, "azf", "application/vnd.airzip.filesecure.azf"};
revt("sza") -> {regular, "azs", "application/vnd.airzip.filesecure.azs"};
revt("wza") -> {regular, "azw", "application/vnd.amazon.ebook"};
revt("tab") -> {regular, "bat", "application/x-msdownload"};
revt("oipcb") -> {regular, "bcpio", "application/x-bcpio"};
revt("fdb") -> {regular, "bdf", "application/x-font-bdf"};
revt("mdb") -> {regular, "bdm", "application/vnd.syncml.dm+wbxml"};
revt("deb") -> {regular, "bed", "application/vnd.realvnc.bed"};
revt("2hb") -> {regular, "bh2", "application/vnd.fujitsu.oasysprs"};
revt("nib") -> {regular, "bin", "application/octet-stream"};
revt("imb") -> {regular, "bmi", "application/vnd.bmi"};
revt("pmb") -> {regular, "bmp", "image/bmp"};
revt("koob") -> {regular, "book", "application/vnd.framemaker"};
revt("xob") -> {regular, "box", "application/vnd.previewsystems.box"};
revt("zob") -> {regular, "boz", "application/x-bzip2"};
revt("kpb") -> {regular, "bpk", "application/octet-stream"};
revt("fitb") -> {regular, "btif", "image/prs.btif"};
revt("zb") -> {regular, "bz", "application/x-bzip"};
revt("2zb") -> {regular, "bz2", "application/x-bzip2"};
revt("c") -> {regular, "c", "text/x-c"};
revt("cma11c") -> {regular, "c11amc", "application/vnd.cluetrust.cartomobile-config"};
revt("zma11c") -> {regular, "c11amz", "application/vnd.cluetrust.cartomobile-config-pkg"};
revt("d4c") -> {regular, "c4d", "application/vnd.clonk.c4group"};
revt("f4c") -> {regular, "c4f", "application/vnd.clonk.c4group"};
revt("g4c") -> {regular, "c4g", "application/vnd.clonk.c4group"};
revt("p4c") -> {regular, "c4p", "application/vnd.clonk.c4group"};
revt("u4c") -> {regular, "c4u", "application/vnd.clonk.c4group"};
revt("bac") -> {regular, "cab", "application/vnd.ms-cab-compressed"};
revt("rac") -> {regular, "car", "application/vnd.curl.car"};
revt("tac") -> {regular, "cat", "application/vnd.ms-pki.seccat"};
revt("cc") -> {regular, "cc", "text/x-c"};
revt("tcc") -> {regular, "cct", "application/x-director"};
revt("lmxcc") -> {regular, "ccxml", "application/ccxml+xml"};
revt("gsmcbdc") -> {regular, "cdbcmsg", "application/vnd.contact.cmsg"};
revt("fdc") -> {regular, "cdf", "application/x-netcdf"};
revt("yekdc") -> {regular, "cdkey", "application/vnd.mediastation.cdkey"};
revt("aimdc") -> {regular, "cdmia", "application/cdmi-capability"};
revt("cimdc") -> {regular, "cdmic", "application/cdmi-container"};
revt("dimdc") -> {regular, "cdmid", "application/cdmi-domain"};
revt("oimdc") -> {regular, "cdmio", "application/cdmi-object"};
revt("qimdc") -> {regular, "cdmiq", "application/cdmi-queue"};
revt("xdc") -> {regular, "cdx", "chemical/x-cdx"};
revt("lmxdc") -> {regular, "cdxml", "application/vnd.chemdraw+xml"};
revt("ydc") -> {regular, "cdy", "application/vnd.cinderella"};
revt("rec") -> {regular, "cer", "application/pkix-cert"};
revt("mgc") -> {regular, "cgm", "image/cgm"};
revt("tahc") -> {regular, "chat", "application/x-chat"};
revt("mhc") -> {regular, "chm", "application/vnd.ms-htmlhelp"};
revt("trhc") -> {regular, "chrt", "application/x-kchart"};
revt("fic") -> {regular, "cif", "chemical/x-cif"};
revt("iic") -> {regular, "cii", "application/vnd.anser-web-certificate-issue-initiation"};
revt("lic") -> {regular, "cil", "application/vnd.ms-artgalry"};
revt("alc") -> {regular, "cla", "application/vnd.claymore"};
revt("ssalc") -> {regular, "class", "application/java-vm"};
revt("kklc") -> {regular, "clkk", "application/vnd.crick.clicker.keyboard"};
revt("pklc") -> {regular, "clkp", "application/vnd.crick.clicker.palette"};
revt("tklc") -> {regular, "clkt", "application/vnd.crick.clicker.template"};
revt("wklc") -> {regular, "clkw", "application/vnd.crick.clicker.wordbank"};
revt("xklc") -> {regular, "clkx", "application/vnd.crick.clicker"};
revt("plc") -> {regular, "clp", "application/x-msclip"};
revt("cmc") -> {regular, "cmc", "application/vnd.cosmocaller"};
revt("fdmc") -> {regular, "cmdf", "chemical/x-cmdf"};
revt("lmc") -> {regular, "cml", "chemical/x-cml"};
revt("pmc") -> {regular, "cmp", "application/vnd.yellowriver-custom-menu"};
revt("xmc") -> {regular, "cmx", "image/x-cmx"};
revt("doc") -> {regular, "cod", "application/vnd.rim.cod"};
revt("moc") -> {regular, "com", "application/x-msdownload"};
revt("fnoc") -> {regular, "conf", "text/plain"};
revt("oipc") -> {regular, "cpio", "application/x-cpio"};
revt("ppc") -> {regular, "cpp", "text/x-c"};
revt("tpc") -> {regular, "cpt", "application/mac-compactpro"};
revt("drc") -> {regular, "crd", "application/x-mscardfile"};
revt("lrc") -> {regular, "crl", "application/pkix-crl"};
revt("trc") -> {regular, "crt", "application/x-x509-ca-cert"};
revt("etonotpyrc") -> {regular, "cryptonote", "application/vnd.rig.cryptonote"};
revt("hsc") -> {regular, "csh", "application/x-csh"};
revt("lmsc") -> {regular, "csml", "chemical/x-csml"};
revt("psc") -> {regular, "csp", "application/vnd.commonspace"};
revt("ssc") -> {regular, "css", "text/css"};
revt("tsc") -> {regular, "cst", "application/x-director"};
revt("vsc") -> {regular, "csv", "text/csv"};
revt("uc") -> {regular, "cu", "application/cu-seeme"};
revt("lruc") -> {regular, "curl", "text/vnd.curl"};
revt("wwc") -> {regular, "cww", "application/prs.cww"};
revt("txc") -> {regular, "cxt", "application/x-director"};
revt("xxc") -> {regular, "cxx", "text/x-c"};
revt("ead") -> {regular, "dae", "model/vnd.collada+xml"};
revt("fad") -> {regular, "daf", "application/vnd.mobius.daf"};
revt("sselatad") -> {regular, "dataless", "application/vnd.fdsn.seed"};
revt("tnuomvad") -> {regular, "davmount", "application/davmount+xml"};
revt("rcd") -> {regular, "dcr", "application/x-director"};
revt("lrucd") -> {regular, "dcurl", "text/vnd.curl.dcurl"};
revt("2dd") -> {regular, "dd2", "application/vnd.oma.dd2+xml"};
revt("ddd") -> {regular, "ddd", "application/vnd.fujixerox.ddd"};
revt("bed") -> {regular, "deb", "application/x-debian-package"};
revt("fed") -> {regular, "def", "text/plain"};
revt("yolped") -> {regular, "deploy", "application/octet-stream"};
revt("red") -> {regular, "der", "application/x-x509-ca-cert"};
revt("cafd") -> {regular, "dfac", "application/vnd.dreamfactory"};
revt("cid") -> {regular, "dic", "text/x-c"};
revt("rid") -> {regular, "dir", "application/x-director"};
revt("sid") -> {regular, "dis", "application/vnd.mobius.dis"};
revt("tsid") -> {regular, "dist", "application/octet-stream"};
revt("ztsid") -> {regular, "distz", "application/octet-stream"};
revt("vjd") -> {regular, "djv", "image/vnd.djvu"};
revt("uvjd") -> {regular, "djvu", "image/vnd.djvu"};
revt("lld") -> {regular, "dll", "application/x-msdownload"};
revt("gmd") -> {regular, "dmg", "application/octet-stream"};
revt("smd") -> {regular, "dms", "application/octet-stream"};
revt("and") -> {regular, "dna", "application/vnd.dna"};
revt("cod") -> {regular, "doc", "application/msword"};
revt("mcod") -> {regular, "docm", "application/vnd.ms-word.document.macroenabled.12"};
revt("xcod") -> {regular, "docx", "application/vnd.openxmlformats-officedocument.wordprocessingml.document"};
revt("tod") -> {regular, "dot", "application/msword"};
revt("mtod") -> {regular, "dotm", "application/vnd.ms-word.template.macroenabled.12"};
revt("xtod") -> {regular, "dotx", "application/vnd.openxmlformats-officedocument.wordprocessingml.template"};
revt("pd") -> {regular, "dp", "application/vnd.osgi.dp"};
revt("gpd") -> {regular, "dpg", "application/vnd.dpgraph"};
revt("ard") -> {regular, "dra", "audio/vnd.dra"};
revt("csd") -> {regular, "dsc", "text/prs.lines.tag"};
revt("cssd") -> {regular, "dssc", "application/dssc+der"};
revt("btd") -> {regular, "dtb", "application/x-dtbook+xml"};
revt("dtd") -> {regular, "dtd", "application/xml-dtd"};
revt("std") -> {regular, "dts", "audio/vnd.dts"};
revt("dhstd") -> {regular, "dtshd", "audio/vnd.dts.hd"};
revt("pmud") -> {regular, "dump", "application/octet-stream"};
revt("ivd") -> {regular, "dvi", "application/x-dvi"};
revt("fwd") -> {regular, "dwf", "model/vnd.dwf"};
revt("gwd") -> {regular, "dwg", "image/vnd.dwg"};
revt("fxd") -> {regular, "dxf", "image/vnd.dxf"};
revt("pxd") -> {regular, "dxp", "application/vnd.spotfire.dxp"};
revt("rxd") -> {regular, "dxr", "application/x-director"};
revt("0084plece") -> {regular, "ecelp4800", "audio/vnd.nuera.ecelp4800"};
revt("0747plece") -> {regular, "ecelp7470", "audio/vnd.nuera.ecelp7470"};
revt("0069plece") -> {regular, "ecelp9600", "audio/vnd.nuera.ecelp9600"};
revt("amce") -> {regular, "ecma", "application/ecmascript"};
revt("mde") -> {regular, "edm", "application/vnd.novadigm.edm"};
revt("xde") -> {regular, "edx", "application/vnd.novadigm.edx"};
revt("fife") -> {regular, "efif", "application/vnd.picsel"};
revt("6ie") -> {regular, "ei6", "application/vnd.pg.osasli"};
revt("cle") -> {regular, "elc", "application/octet-stream"};
revt("lme") -> {regular, "eml", "message/rfc822"};
revt("amme") -> {regular, "emma", "application/emma+xml"};
revt("loe") -> {regular, "eol", "audio/vnd.digital-winds"};
revt("toe") -> {regular, "eot", "application/vnd.ms-fontobject"};
revt("spe") -> {regular, "eps", "application/postscript"};
revt("bupe") -> {regular, "epub", "application/epub+zip"};
revt("3se") -> {regular, "es3", "application/vnd.eszigno3+xml"};
revt("fse") -> {regular, "esf", "application/vnd.epson.esf"};
revt("3te") -> {regular, "et3", "application/vnd.eszigno3+xml"};
revt("xte") -> {regular, "etx", "text/x-setext"};
revt("exe") -> {regular, "exe", "application/x-msdownload"};
revt("ixe") -> {regular, "exi", "application/exi"};
revt("txe") -> {regular, "ext", "application/vnd.novadigm.ext"};
revt("ze") -> {regular, "ez", "application/andrew-inset"};
revt("2ze") -> {regular, "ez2", "application/vnd.ezpix-album"};
revt("3ze") -> {regular, "ez3", "application/vnd.ezpix-package"};
revt("f") -> {regular, "f", "text/x-fortran"};
revt("v4f") -> {regular, "f4v", "video/x-f4v"};
revt("77f") -> {regular, "f77", "text/x-fortran"};
revt("09f") -> {regular, "f90", "text/x-fortran"};
revt("sbf") -> {regular, "fbs", "image/vnd.fastbidsheet"};
revt("scf") -> {regular, "fcs", "application/vnd.isac.fcs"};
revt("fdf") -> {regular, "fdf", "application/vnd.fdf"};
revt("hcnual_ef") -> {regular, "fe_launch", "application/vnd.denovo.fcselayout-link"};
revt("5gf") -> {regular, "fg5", "application/vnd.fujitsu.oasysgp"};
revt("dgf") -> {regular, "fgd", "application/x-director"};
revt("hf") -> {regular, "fh", "image/x-freehand"};
revt("4hf") -> {regular, "fh4", "image/x-freehand"};
revt("5hf") -> {regular, "fh5", "image/x-freehand"};
revt("7hf") -> {regular, "fh7", "image/x-freehand"};
revt("chf") -> {regular, "fhc", "image/x-freehand"};
revt("gif") -> {regular, "fig", "application/x-xfig"};
revt("ilf") -> {regular, "fli", "video/x-fli"};
revt("olf") -> {regular, "flo", "application/vnd.micrografx.flo"};
revt("vlf") -> {regular, "flv", "video/x-flv"};
revt("wlf") -> {regular, "flw", "application/vnd.kde.kivio"};
revt("xlf") -> {regular, "flx", "text/vnd.fmi.flexstor"};
revt("ylf") -> {regular, "fly", "text/vnd.fly"};
revt("mf") -> {regular, "fm", "application/vnd.framemaker"};
revt("cnf") -> {regular, "fnc", "application/vnd.frogans.fnc"};
revt("rof") -> {regular, "for", "text/x-fortran"};
revt("xpf") -> {regular, "fpx", "image/vnd.fpx"};
revt("emarf") -> {regular, "frame", "application/vnd.framemaker"};
revt("csf") -> {regular, "fsc", "application/vnd.fsc.weblaunch"};
revt("tsf") -> {regular, "fst", "image/vnd.fst"};
revt("ctf") -> {regular, "ftc", "application/vnd.fluxtime.clip"};
revt("itf") -> {regular, "fti", "application/vnd.anser-web-funds-transfer-initiation"};
revt("tvf") -> {regular, "fvt", "video/vnd.fvt"};
revt("pxf") -> {regular, "fxp", "application/vnd.adobe.fxp"};
revt("lpxf") -> {regular, "fxpl", "application/vnd.adobe.fxp"};
revt("szf") -> {regular, "fzs", "application/vnd.fuzzysheet"};
revt("w2g") -> {regular, "g2w", "application/vnd.geoplan"};
revt("3g") -> {regular, "g3", "image/g3fax"};
revt("w3g") -> {regular, "g3w", "application/vnd.geospace"};
revt("cag") -> {regular, "gac", "application/vnd.groove-account"};
revt("ldg") -> {regular, "gdl", "model/vnd.gdl"};
revt("oeg") -> {regular, "geo", "application/vnd.dynageo"};
revt("xeg") -> {regular, "gex", "application/vnd.geometry-explorer"};
revt("bgg") -> {regular, "ggb", "application/vnd.geogebra.file"};
revt("tgg") -> {regular, "ggt", "application/vnd.geogebra.tool"};
revt("fhg") -> {regular, "ghf", "application/vnd.groove-help"};
revt("fig") -> {regular, "gif", "image/gif"};
revt("mig") -> {regular, "gim", "application/vnd.groove-identity-message"};
revt("xmg") -> {regular, "gmx", "application/vnd.gmx"};
revt("ciremung") -> {regular, "gnumeric", "application/x-gnumeric"};
revt("hpg") -> {regular, "gph", "application/vnd.flographit"};
revt("fqg") -> {regular, "gqf", "application/vnd.grafeq"};
revt("sqg") -> {regular, "gqs", "application/vnd.grafeq"};
revt("marg") -> {regular, "gram", "application/srgs"};
revt("erg") -> {regular, "gre", "application/vnd.geometry-explorer"};
revt("vrg") -> {regular, "grv", "application/vnd.groove-injector"};
revt("lmxrg") -> {regular, "grxml", "application/srgs+xml"};
revt("fsg") -> {regular, "gsf", "application/x-font-ghostscript"};
revt("ratg") -> {regular, "gtar", "application/x-gtar"};
revt("mtg") -> {regular, "gtm", "application/vnd.groove-tool-message"};
revt("wtg") -> {regular, "gtw", "model/vnd.gtw"};
revt("vg") -> {regular, "gv", "text/vnd.graphviz"};
revt("txg") -> {regular, "gxt", "application/vnd.geonext"};
revt("zg") -> {regular, "gz", "application/x-gzip"};
revt("h") -> {regular, "h", "text/x-c"};
revt("162h") -> {regular, "h261", "video/h261"};
revt("362h") -> {regular, "h263", "video/h263"};
revt("462h") -> {regular, "h264", "video/h264"};
revt("lah") -> {regular, "hal", "application/vnd.hal+xml"};
revt("icbh") -> {regular, "hbci", "application/vnd.hbci"};
revt("fdh") -> {regular, "hdf", "application/x-hdf"};
revt("hh") -> {regular, "hh", "text/x-c"};
revt("plh") -> {regular, "hlp", "application/winhlp"};
revt("lgph") -> {regular, "hpgl", "application/vnd.hp-hpgl"};
revt("diph") -> {regular, "hpid", "application/vnd.hp-hpid"};
revt("sph") -> {regular, "hps", "application/vnd.hp-hps"};
revt("xqh") -> {regular, "hqx", "application/mac-binhex40"};
revt("ekth") -> {regular, "htke", "application/vnd.kenameaapp"};
revt("mth") -> {regular, "htm", "text/html"};
revt("lmth") -> {regular, "html", "text/html"};
revt("dvh") -> {regular, "hvd", "application/vnd.yamaha.hv-dic"};
revt("pvh") -> {regular, "hvp", "application/vnd.yamaha.hv-voice"};
revt("svh") -> {regular, "hvs", "application/vnd.yamaha.hv-script"};
revt("g2i") -> {regular, "i2g", "application/vnd.intergeo"};
revt("cci") -> {regular, "icc", "application/vnd.iccprofile"};
revt("eci") -> {regular, "ice", "x-conference/x-cooltalk"};
revt("mci") -> {regular, "icm", "application/vnd.iccprofile"};
revt("oci") -> {regular, "ico", "image/x-icon"};
revt("sci") -> {regular, "ics", "text/calendar"};
revt("fei") -> {regular, "ief", "image/ief"};
revt("bfi") -> {regular, "ifb", "text/calendar"};
revt("mfi") -> {regular, "ifm", "application/vnd.shana.informed.formdata"};
revt("segi") -> {regular, "iges", "model/iges"};
revt("lgi") -> {regular, "igl", "application/vnd.igloader"};
revt("mgi") -> {regular, "igm", "application/vnd.insors.igm"};
revt("sgi") -> {regular, "igs", "model/iges"};
revt("xgi") -> {regular, "igx", "application/vnd.micrografx.igx"};
revt("fii") -> {regular, "iif", "application/vnd.shana.informed.interchange"};
revt("pmi") -> {regular, "imp", "application/vnd.accpac.simply.imp"};
revt("smi") -> {regular, "ims", "application/vnd.ms-ims"};
revt("ni") -> {regular, "in", "text/plain"};
revt("xifpi") -> {regular, "ipfix", "application/ipfix"};
revt("kpi") -> {regular, "ipk", "application/vnd.shana.informed.package"};
revt("mri") -> {regular, "irm", "application/vnd.ibm.rights-management"};
revt("pri") -> {regular, "irp", "application/vnd.irepository.package+xml"};
revt("osi") -> {regular, "iso", "application/octet-stream"};
revt("pti") -> {regular, "itp", "application/vnd.shana.informed.formtemplate"};
revt("pvi") -> {regular, "ivp", "application/vnd.immervision-ivp"};
revt("uvi") -> {regular, "ivu", "application/vnd.immervision-ivu"};
revt("daj") -> {regular, "jad", "text/vnd.sun.j2me.app-descriptor"};
revt("maj") -> {regular, "jam", "application/vnd.jam"};
revt("raj") -> {regular, "jar", "application/java-archive"};
revt("avaj") -> {regular, "java", "text/x-java-source"};
revt("psij") -> {regular, "jisp", "application/vnd.jisp"};
revt("tlj") -> {regular, "jlt", "application/vnd.hp-jlyt"};
revt("plnj") -> {regular, "jnlp", "application/x-java-jnlp-file"};
revt("adoj") -> {regular, "joda", "application/vnd.joost.joda-archive"};
revt("epj") -> {regular, "jpe", "image/jpeg"};
revt("gepj") -> {regular, "jpeg", "image/jpeg"};
revt("gpj") -> {regular, "jpg", "image/jpeg"};
revt("mgpj") -> {regular, "jpgm", "video/jpm"};
revt("vgpj") -> {regular, "jpgv", "video/jpeg"};
revt("mpj") -> {regular, "jpm", "video/jpm"};
revt("sj") -> {regular, "js", "application/x-javascript"};
revt("nosj") -> {regular, "json", "application/json"};
revt("rak") -> {regular, "kar", "audio/midi"};
revt("nobrak") -> {regular, "karbon", "application/vnd.kde.karbon"};
revt("ofk") -> {regular, "kfo", "application/vnd.kde.kformula"};
revt("aik") -> {regular, "kia", "application/vnd.kidspiration"};
revt("lik") -> {regular, "kil", "application/x-killustrator"};
revt("lmk") -> {regular, "kml", "application/vnd.google-earth.kml+xml"};
revt("zmk") -> {regular, "kmz", "application/vnd.google-earth.kmz"};
revt("enk") -> {regular, "kne", "application/vnd.kinar"};
revt("pnk") -> {regular, "knp", "application/vnd.kinar"};
revt("nok") -> {regular, "kon", "application/vnd.kde.kontour"};
revt("rpk") -> {regular, "kpr", "application/x-kpresenter"};
revt("tpk") -> {regular, "kpt", "application/x-kpresenter"};
revt("psk") -> {regular, "ksp", "application/x-kspread"};
revt("rtk") -> {regular, "ktr", "application/vnd.kahootz"};
revt("xtk") -> {regular, "ktx", "image/ktx"};
revt("ztk") -> {regular, "ktz", "application/vnd.kahootz"};
revt("dwk") -> {regular, "kwd", "application/x-kword"};
revt("twk") -> {regular, "kwt", "application/x-kword"};
revt("lmxsal") -> {regular, "lasxml", "application/vnd.las.las+xml"};
revt("xetal") -> {regular, "latex", "application/x-latex"};
revt("dbl") -> {regular, "lbd", "application/vnd.llamagraphics.life-balance.desktop"};
revt("ebl") -> {regular, "lbe", "application/vnd.llamagraphics.life-balance.exchange+xml"};
revt("sel") -> {regular, "les", "application/vnd.hhe.lesson-player"};
revt("ahl") -> {regular, "lha", "application/octet-stream"};
revt("66knil") -> {regular, "link66", "application/vnd.route66.link66+xml"};
revt("tsil") -> {regular, "list", "text/plain"};
revt("0283tsil") -> {regular, "list3820", "application/vnd.ibm.modcap"};
revt("pfatsil") -> {regular, "listafp", "application/vnd.ibm.modcap"};
revt("gol") -> {regular, "log", "text/plain"};
revt("lmxtsol") -> {regular, "lostxml", "application/lost+xml"};
revt("frl") -> {regular, "lrf", "application/octet-stream"};
revt("mrl") -> {regular, "lrm", "application/vnd.ms-lrm"};
revt("ftl") -> {regular, "ltf", "application/vnd.frogans.ltf"};
revt("pvl") -> {regular, "lvp", "audio/vnd.lucent.voice"};
revt("pwl") -> {regular, "lwp", "application/vnd.lotus-wordpro"};
revt("hzl") -> {regular, "lzh", "application/octet-stream"};
revt("31m") -> {regular, "m13", "application/x-msmediaview"};
revt("41m") -> {regular, "m14", "application/x-msmediaview"};
revt("v1m") -> {regular, "m1v", "video/mpeg"};
revt("12m") -> {regular, "m21", "application/mp21"};
revt("a2m") -> {regular, "m2a", "audio/mpeg"};
revt("v2m") -> {regular, "m2v", "video/mpeg"};
revt("a3m") -> {regular, "m3a", "audio/mpeg"};
revt("u3m") -> {regular, "m3u", "audio/x-mpegurl"};
revt("8u3m") -> {regular, "m3u8", "application/vnd.apple.mpegurl"};
revt("u4m") -> {regular, "m4u", "video/vnd.mpegurl"};
revt("v4m") -> {regular, "m4v", "video/x-m4v"};
revt("am") -> {regular, "ma", "application/mathematica"};
revt("sdam") -> {regular, "mads", "application/mads+xml"};
revt("gam") -> {regular, "mag", "application/vnd.ecowin.chart"};
revt("rekam") -> {regular, "maker", "application/vnd.framemaker"};
revt("nam") -> {regular, "man", "text/troff"};
revt("lmhtam") -> {regular, "mathml", "application/mathml+xml"};
revt("bm") -> {regular, "mb", "application/mathematica"};
revt("kbm") -> {regular, "mbk", "application/vnd.mobius.mbk"};
revt("xobm") -> {regular, "mbox", "application/mbox"};
revt("1cm") -> {regular, "mc1", "application/vnd.medcalcdata"};
revt("dcm") -> {regular, "mcd", "application/vnd.mcd"};
revt("lrucm") -> {regular, "mcurl", "text/vnd.curl.mcurl"};
revt("bdm") -> {regular, "mdb", "application/x-msaccess"};
revt("idm") -> {regular, "mdi", "image/vnd.ms-modi"};
revt("em") -> {regular, "me", "text/troff"};
revt("hsem") -> {regular, "mesh", "model/mesh"};
revt("4atem") -> {regular, "meta4", "application/metalink4+xml"};
revt("stem") -> {regular, "mets", "application/mets+xml"};
revt("mfm") -> {regular, "mfm", "application/vnd.mfmp"};
revt("pgm") -> {regular, "mgp", "application/vnd.osgeo.mapguide.package"};
revt("zgm") -> {regular, "mgz", "application/vnd.proteus.magazine"};
revt("dim") -> {regular, "mid", "audio/midi"};
revt("idim") -> {regular, "midi", "audio/midi"};
revt("fim") -> {regular, "mif", "application/vnd.mif"};
revt("emim") -> {regular, "mime", "message/rfc822"};
revt("2jm") -> {regular, "mj2", "video/mj2"};
revt("2pjm") -> {regular, "mjp2", "video/mj2"};
revt("plm") -> {regular, "mlp", "application/vnd.dolby.mlp"};
revt("dmm") -> {regular, "mmd", "application/vnd.chipnuts.karaoke-mmd"};
revt("fmm") -> {regular, "mmf", "application/vnd.smaf"};
revt("rmm") -> {regular, "mmr", "image/vnd.fujixerox.edmics-mmr"};
revt("ynm") -> {regular, "mny", "application/x-msmoney"};
revt("ibom") -> {regular, "mobi", "application/x-mobipocket-ebook"};
revt("sdom") -> {regular, "mods", "application/mods+xml"};
revt("vom") -> {regular, "mov", "video/quicktime"};
revt("eivom") -> {regular, "movie", "video/x-sgi-movie"};
revt("2pm") -> {regular, "mp2", "audio/mpeg"};
revt("12pm") -> {regular, "mp21", "application/mp21"};
revt("a2pm") -> {regular, "mp2a", "audio/mpeg"};
revt("3pm") -> {regular, "mp3", "audio/mpeg"};
revt("4pm") -> {regular, "mp4", "video/mp4"};
revt("a4pm") -> {regular, "mp4a", "audio/mp4"};
revt("s4pm") -> {regular, "mp4s", "application/mp4"};
revt("v4pm") -> {regular, "mp4v", "video/mp4"};
revt("cpm") -> {regular, "mpc", "application/vnd.mophun.certificate"};
revt("epm") -> {regular, "mpe", "video/mpeg"};
revt("gepm") -> {regular, "mpeg", "video/mpeg"};
revt("gpm") -> {regular, "mpg", "video/mpeg"};
revt("4gpm") -> {regular, "mpg4", "video/mp4"};
revt("agpm") -> {regular, "mpga", "audio/mpeg"};
revt("gkpm") -> {regular, "mpkg", "application/vnd.apple.installer+xml"};
revt("mpm") -> {regular, "mpm", "application/vnd.blueice.multipass"};
revt("npm") -> {regular, "mpn", "application/vnd.mophun.application"};
revt("ppm") -> {regular, "mpp", "application/vnd.ms-project"};
revt("tpm") -> {regular, "mpt", "application/vnd.ms-project"};
revt("ypm") -> {regular, "mpy", "application/vnd.ibm.minipay"};
revt("yqm") -> {regular, "mqy", "application/vnd.mobius.mqy"};
revt("crm") -> {regular, "mrc", "application/marc"};
revt("xcrm") -> {regular, "mrcx", "application/marcxml+xml"};
revt("sm") -> {regular, "ms", "text/troff"};
revt("lmcsm") -> {regular, "mscml", "application/mediaservercontrol+xml"};
revt("deesm") -> {regular, "mseed", "application/vnd.fdsn.mseed"};
revt("qesm") -> {regular, "mseq", "application/vnd.mseq"};
revt("fsm") -> {regular, "msf", "application/vnd.epson.msf"};
revt("hsm") -> {regular, "msh", "model/mesh"};
revt("ism") -> {regular, "msi", "application/x-msdownload"};
revt("lsm") -> {regular, "msl", "application/vnd.mobius.msl"};
revt("ytsm") -> {regular, "msty", "application/vnd.muvee.style"};
revt("stm") -> {regular, "mts", "model/vnd.mts"};
revt("sum") -> {regular, "mus", "application/vnd.musician"};
revt("lmxcisum") -> {regular, "musicxml", "application/vnd.recordare.musicxml+xml"};
revt("bvm") -> {regular, "mvb", "application/x-msmediaview"};
revt("fwm") -> {regular, "mwf", "application/vnd.mfer"};
revt("fxm") -> {regular, "mxf", "application/mxf"};
revt("lxm") -> {regular, "mxl", "application/vnd.recordare.musicxml"};
revt("lmxm") -> {regular, "mxml", "application/xv+xml"};
revt("sxm") -> {regular, "mxs", "application/vnd.triscape.mxs"};
revt("uxm") -> {regular, "mxu", "video/vnd.mpegurl"};
revt("egag-n") -> {regular, "n-gage", "application/vnd.nokia.n-gage.symbian.install"};
revt("3n") -> {regular, "n3", "text/n3"};
revt("bn") -> {regular, "nb", "application/mathematica"};
revt("pbn") -> {regular, "nbp", "application/vnd.wolfram.player"};
revt("cn") -> {regular, "nc", "application/x-netcdf"};
revt("xcn") -> {regular, "ncx", "application/x-dtbncx+xml"};
revt("tadgn") -> {regular, "ngdat", "application/vnd.nokia.n-gage.data"};
revt("uln") -> {regular, "nlu", "application/vnd.neurolanguage.nlu"};
revt("lmn") -> {regular, "nml", "application/vnd.enliven"};
revt("dnn") -> {regular, "nnd", "application/vnd.noblenet-directory"};
revt("snn") -> {regular, "nns", "application/vnd.noblenet-sealer"};
revt("wnn") -> {regular, "nnw", "application/vnd.noblenet-web"};
revt("xpn") -> {regular, "npx", "image/vnd.net-fpx"};
revt("fsn") -> {regular, "nsf", "application/vnd.lotus-notes"};
revt("2ao") -> {regular, "oa2", "application/vnd.fujitsu.oasys2"};
revt("3ao") -> {regular, "oa3", "application/vnd.fujitsu.oasys3"};
revt("sao") -> {regular, "oas", "application/vnd.fujitsu.oasys"};
revt("dbo") -> {regular, "obd", "application/x-msbinder"};
revt("ado") -> {regular, "oda", "application/oda"};
revt("bdo") -> {regular, "odb", "application/vnd.oasis.opendocument.database"};
revt("cdo") -> {regular, "odc", "application/vnd.oasis.opendocument.chart"};
revt("fdo") -> {regular, "odf", "application/vnd.oasis.opendocument.formula"};
revt("tfdo") -> {regular, "odft", "application/vnd.oasis.opendocument.formula-template"};
revt("gdo") -> {regular, "odg", "application/vnd.oasis.opendocument.graphics"};
revt("ido") -> {regular, "odi", "application/vnd.oasis.opendocument.image"};
revt("pdo") -> {regular, "odp", "application/vnd.oasis.opendocument.presentation"};
revt("sdo") -> {regular, "ods", "application/vnd.oasis.opendocument.spreadsheet"};
revt("tdo") -> {regular, "odt", "application/vnd.oasis.opendocument.text"};
revt("ago") -> {regular, "oga", "audio/ogg"};
revt("ggo") -> {regular, "ogg", "audio/ogg"};
revt("vgo") -> {regular, "ogv", "video/ogg"};
revt("xgo") -> {regular, "ogx", "application/ogg"};
revt("gkpeno") -> {regular, "onepkg", "application/onenote"};
revt("pmteno") -> {regular, "onetmp", "application/onenote"};
revt("coteno") -> {regular, "onetoc", "application/onenote"};
revt("2coteno") -> {regular, "onetoc2", "application/onenote"};
revt("fpo") -> {regular, "opf", "application/oebps-package+xml"};
revt("crpo") -> {regular, "oprc", "application/vnd.palm"};
revt("gro") -> {regular, "org", "application/vnd.lotus-organizer"};
revt("fso") -> {regular, "osf", "application/vnd.yamaha.openscoreformat"};
revt("gvpfso") -> {regular, "osfpvg", "application/vnd.yamaha.openscoreformat.osfpvg+xml"};
revt("cto") -> {regular, "otc", "application/vnd.oasis.opendocument.chart-template"};
revt("fto") -> {regular, "otf", "application/x-font-otf"};
revt("gto") -> {regular, "otg", "application/vnd.oasis.opendocument.graphics-template"};
revt("hto") -> {regular, "oth", "application/vnd.oasis.opendocument.text-web"};
revt("ito") -> {regular, "oti", "application/vnd.oasis.opendocument.image-template"};
revt("mto") -> {regular, "otm", "application/vnd.oasis.opendocument.text-master"};
revt("pto") -> {regular, "otp", "application/vnd.oasis.opendocument.presentation-template"};
revt("sto") -> {regular, "ots", "application/vnd.oasis.opendocument.spreadsheet-template"};
revt("tto") -> {regular, "ott", "application/vnd.oasis.opendocument.text-template"};
revt("txo") -> {regular, "oxt", "application/vnd.openofficeorg.extension"};
revt("p") -> {regular, "p", "text/x-pascal"};
revt("01p") -> {regular, "p10", "application/pkcs10"};
revt("21p") -> {regular, "p12", "application/x-pkcs12"};
revt("b7p") -> {regular, "p7b", "application/x-pkcs7-certificates"};
revt("c7p") -> {regular, "p7c", "application/pkcs7-mime"};
revt("m7p") -> {regular, "p7m", "application/pkcs7-mime"};
revt("r7p") -> {regular, "p7r", "application/x-pkcs7-certreqresp"};
revt("s7p") -> {regular, "p7s", "application/pkcs7-signature"};
revt("8p") -> {regular, "p8", "application/pkcs8"};
revt("cap") -> {regular, "pac", "application/x-ns-proxy-autoconfig"};
revt("sap") -> {regular, "pas", "text/x-pascal"};
revt("wap") -> {regular, "paw", "application/vnd.pawaafile"};
revt("dbp") -> {regular, "pbd", "application/vnd.powerbuilder6"};
revt("mbp") -> {regular, "pbm", "image/x-portable-bitmap"};
revt("fcp") -> {regular, "pcf", "application/x-font-pcf"};
revt("lcp") -> {regular, "pcl", "application/vnd.hp-pcl"};
revt("lxlcp") -> {regular, "pclxl", "application/vnd.hp-pclxl"};
revt("tcp") -> {regular, "pct", "image/x-pict"};
revt("lrucp") -> {regular, "pcurl", "application/vnd.curl.pcurl"};
revt("xcp") -> {regular, "pcx", "image/x-pcx"};
revt("bdp") -> {regular, "pdb", "application/vnd.palm"};
revt("fdp") -> {regular, "pdf", "application/pdf"};
revt("afp") -> {regular, "pfa", "application/x-font-type1"};
revt("bfp") -> {regular, "pfb", "application/x-font-type1"};
revt("mfp") -> {regular, "pfm", "application/x-font-type1"};
revt("rfp") -> {regular, "pfr", "application/font-tdpfr"};
revt("xfp") -> {regular, "pfx", "application/x-pkcs12"};
revt("mgp") -> {regular, "pgm", "image/x-portable-graymap"};
revt("ngp") -> {regular, "pgn", "application/x-chess-pgn"};
revt("pgp") -> {regular, "pgp", "application/pgp-encrypted"};
revt("cip") -> {regular, "pic", "image/x-pict"};
revt("gkp") -> {regular, "pkg", "application/octet-stream"};
revt("ikp") -> {regular, "pki", "application/pkixcmp"};
revt("htapikp") -> {regular, "pkipath", "application/pkix-pkipath"};
revt("blp") -> {regular, "plb", "application/vnd.3gpp.pic-bw-large"};
revt("clp") -> {regular, "plc", "application/vnd.mobius.plc"};
revt("flp") -> {regular, "plf", "application/vnd.pocketlearn"};
revt("slp") -> {regular, "pls", "application/pls+xml"};
revt("lmp") -> {regular, "pml", "application/vnd.ctc-posml"};
revt("gnp") -> {regular, "png", "image/png"};
revt("mnp") -> {regular, "pnm", "image/x-portable-anymap"};
revt("gkptrop") -> {regular, "portpkg", "application/vnd.macports.portpkg"};
revt("top") -> {regular, "pot", "application/vnd.ms-powerpoint"};
revt("mtop") -> {regular, "potm", "application/vnd.ms-powerpoint.template.macroenabled.12"};
revt("xtop") -> {regular, "potx", "application/vnd.openxmlformats-officedocument.presentationml.template"};
revt("mapp") -> {regular, "ppam", "application/vnd.ms-powerpoint.addin.macroenabled.12"};
revt("dpp") -> {regular, "ppd", "application/vnd.cups-ppd"};
revt("mpp") -> {regular, "ppm", "image/x-portable-pixmap"};
revt("spp") -> {regular, "pps", "application/vnd.ms-powerpoint"};
revt("mspp") -> {regular, "ppsm", "application/vnd.ms-powerpoint.slideshow.macroenabled.12"};
revt("xspp") -> {regular, "ppsx", "application/vnd.openxmlformats-officedocument.presentationml.slideshow"};
revt("tpp") -> {regular, "ppt", "application/vnd.ms-powerpoint"};
revt("mtpp") -> {regular, "pptm", "application/vnd.ms-powerpoint.presentation.macroenabled.12"};
revt("xtpp") -> {regular, "pptx", "application/vnd.openxmlformats-officedocument.presentationml.presentation"};
revt("aqp") -> {regular, "pqa", "application/vnd.palm"};
revt("crp") -> {regular, "prc", "application/x-mobipocket-ebook"};
revt("erp") -> {regular, "pre", "application/vnd.lotus-freelance"};
revt("frp") -> {regular, "prf", "application/pics-rules"};
revt("sp") -> {regular, "ps", "application/postscript"};
revt("bsp") -> {regular, "psb", "application/vnd.3gpp.pic-bw-small"};
revt("dsp") -> {regular, "psd", "image/vnd.adobe.photoshop"};
revt("fsp") -> {regular, "psf", "application/x-font-linux-psf"};
revt("lmxcksp") -> {regular, "pskcxml", "application/pskc+xml"};
revt("ditp") -> {regular, "ptid", "application/vnd.pvi.ptid1"};
revt("bup") -> {regular, "pub", "application/x-mspublisher"};
revt("bvp") -> {regular, "pvb", "application/vnd.3gpp.pic-bw-var"};
revt("nwp") -> {regular, "pwn", "application/vnd.3m.post-it-notes"};
revt("ayp") -> {regular, "pya", "audio/vnd.ms-playready.media.pya"};
revt("vyp") -> {regular, "pyv", "video/vnd.ms-playready.media.pyv"};
revt("maq") -> {regular, "qam", "application/vnd.epson.quickanime"};
revt("obq") -> {regular, "qbo", "application/vnd.intu.qbo"};
revt("xfq") -> {regular, "qfx", "application/vnd.intu.qfx"};
revt("spq") -> {regular, "qps", "application/vnd.publishare-delta-tree"};
revt("tq") -> {regular, "qt", "video/quicktime"};
revt("dwq") -> {regular, "qwd", "application/vnd.quark.quarkxpress"};
revt("twq") -> {regular, "qwt", "application/vnd.quark.quarkxpress"};
revt("bxq") -> {regular, "qxb", "application/vnd.quark.quarkxpress"};
revt("dxq") -> {regular, "qxd", "application/vnd.quark.quarkxpress"};
revt("lxq") -> {regular, "qxl", "application/vnd.quark.quarkxpress"};
revt("txq") -> {regular, "qxt", "application/vnd.quark.quarkxpress"};
revt("ar") -> {regular, "ra", "audio/x-realaudio"};
revt("mar") -> {regular, "ram", "audio/x-pn-realaudio"};
revt("rar") -> {regular, "rar", "application/x-rar-compressed"};
revt("sar") -> {regular, "ras", "image/x-cmu-raster"};
revt("eliforpcr") -> {regular, "rcprofile", "application/vnd.ipunplugged.rcprofile"};
revt("fdr") -> {regular, "rdf", "application/rdf+xml"};
revt("zdr") -> {regular, "rdz", "application/vnd.data-vision.rdz"};
revt("per") -> {regular, "rep", "application/vnd.businessobjects"};
revt("ser") -> {regular, "res", "application/x-dtbresource+xml"};
revt("bgr") -> {regular, "rgb", "image/x-rgb"};
revt("fir") -> {regular, "rif", "application/reginfo+xml"};
revt("pir") -> {regular, "rip", "audio/vnd.rip"};
revt("lr") -> {regular, "rl", "application/resource-lists+xml"};
revt("clr") -> {regular, "rlc", "image/vnd.fujixerox.edmics-rlc"};
revt("dlr") -> {regular, "rld", "application/resource-lists-diff+xml"};
revt("mr") -> {regular, "rm", "application/vnd.rn-realmedia"};
revt("imr") -> {regular, "rmi", "audio/midi"};
revt("pmr") -> {regular, "rmp", "audio/x-pn-realaudio-plugin"};
revt("smr") -> {regular, "rms", "application/vnd.jcp.javame.midlet-rms"};
revt("cnr") -> {regular, "rnc", "application/relax-ng-compact-syntax"};
revt("ffor") -> {regular, "roff", "text/troff"};
revt("9pr") -> {regular, "rp9", "application/vnd.cloanto.rp9"};
revt("mpr") -> {regular, "rpm", "application/x-rpm"};
revt("sspr") -> {regular, "rpss", "application/vnd.nokia.radio-presets"};
revt("tspr") -> {regular, "rpst", "application/vnd.nokia.radio-preset"};
revt("qr") -> {regular, "rq", "application/sparql-query"};
revt("sr") -> {regular, "rs", "application/rls-services+xml"};
revt("dsr") -> {regular, "rsd", "application/rsd+xml"};
revt("ssr") -> {regular, "rss", "application/rss+xml"};
revt("ftr") -> {regular, "rtf", "text/rtf"};
revt("xtr") -> {regular, "rtx", "text/richtext"};
revt("s") -> {regular, "s", "text/x-asm"};
revt("fas") -> {regular, "saf", "application/vnd.yamaha.smaf-audio"};
revt("lmbs") -> {regular, "sbml", "application/sbml+xml"};
revt("cs") -> {regular, "sc", "application/vnd.ibm.secure-container"};
revt("dcs") -> {regular, "scd", "application/x-msschedule"};
revt("mcs") -> {regular, "scm", "application/vnd.lotus-screencam"};
revt("qcs") -> {regular, "scq", "application/scvp-cv-request"};
revt("scs") -> {regular, "scs", "application/scvp-cv-response"};
revt("lrucs") -> {regular, "scurl", "text/vnd.curl.scurl"};
revt("ads") -> {regular, "sda", "application/vnd.stardivision.draw"};
revt("cds") -> {regular, "sdc", "application/vnd.stardivision.calc"};
revt("dds") -> {regular, "sdd", "application/vnd.stardivision.impress"};
revt("dkds") -> {regular, "sdkd", "application/vnd.solent.sdkm+xml"};
revt("mkds") -> {regular, "sdkm", "application/vnd.solent.sdkm+xml"};
revt("pds") -> {regular, "sdp", "application/sdp"};
revt("wds") -> {regular, "sdw", "application/vnd.stardivision.writer"};
revt("ees") -> {regular, "see", "application/vnd.seemail"};
revt("dees") -> {regular, "seed", "application/vnd.fdsn.seed"};
revt("ames") -> {regular, "sema", "application/vnd.sema"};
revt("dmes") -> {regular, "semd", "application/vnd.semd"};
revt("fmes") -> {regular, "semf", "application/vnd.semf"};
revt("res") -> {regular, "ser", "application/java-serialized-object"};
revt("yaptes") -> {regular, "setpay", "application/set-payment-initiation"};
revt("gertes") -> {regular, "setreg", "application/set-registration-initiation"};
revt("xtsdh-dfs") -> {regular, "sfd-hdstx", "application/vnd.hydrostatix.sof-data"};
revt("sfs") -> {regular, "sfs", "application/vnd.spotfire.sfs"};
revt("lgs") -> {regular, "sgl", "application/vnd.stardivision.writer-global"};
revt("mgs") -> {regular, "sgm", "text/sgml"};
revt("lmgs") -> {regular, "sgml", "text/sgml"};
revt("hs") -> {regular, "sh", "application/x-sh"};
revt("rahs") -> {regular, "shar", "application/x-shar"};
revt("fhs") -> {regular, "shf", "application/shf+xml"};
revt("is") -> {regular, "si", "text/vnd.wap.si"};
revt("cis") -> {regular, "sic", "application/vnd.wap.sic"};
revt("gis") -> {regular, "sig", "application/pgp-signature"};
revt("olis") -> {regular, "silo", "model/mesh"};
revt("sis") -> {regular, "sis", "application/vnd.symbian.install"};
revt("xsis") -> {regular, "sisx", "application/vnd.symbian.install"};
revt("tis") -> {regular, "sit", "application/x-stuffit"};
revt("xtis") -> {regular, "sitx", "application/x-stuffitx"};
revt("dks") -> {regular, "skd", "application/x-koan"};
revt("mks") -> {regular, "skm", "application/x-koan"};
revt("pks") -> {regular, "skp", "application/x-koan"};
revt("tks") -> {regular, "skt", "application/x-koan"};
revt("ls") -> {regular, "sl", "text/vnd.wap.sl"};
revt("cls") -> {regular, "slc", "application/vnd.wap.slc"};
revt("mdls") -> {regular, "sldm", "application/vnd.ms-powerpoint.slide.macroenabled.12"};
revt("xdls") -> {regular, "sldx", "application/vnd.openxmlformats-officedocument.presentationml.slide"};
revt("tls") -> {regular, "slt", "application/vnd.epson.salt"};
revt("ms") -> {regular, "sm", "application/vnd.stepmania.stepchart"};
revt("fms") -> {regular, "smf", "application/vnd.stardivision.math"};
revt("ims") -> {regular, "smi", "application/smil+xml"};
revt("lims") -> {regular, "smil", "application/smil+xml"};
revt("dns") -> {regular, "snd", "audio/basic"};
revt("fns") -> {regular, "snf", "application/x-font-snf"};
revt("os") -> {regular, "so", "application/octet-stream"};
revt("cps") -> {regular, "spc", "application/x-pkcs7-certificates"};
revt("fps") -> {regular, "spf", "application/vnd.yamaha.smaf-phrase"};
revt("lps") -> {regular, "spl", "application/x-futuresplash"};
revt("tops") -> {regular, "spot", "text/vnd.in3d.spot"};
revt("pps") -> {regular, "spp", "application/scvp-vp-response"};
revt("qps") -> {regular, "spq", "application/scvp-vp-request"};
revt("xps") -> {regular, "spx", "audio/ogg"};
revt("crs") -> {regular, "src", "application/x-wais-source"};
revt("urs") -> {regular, "sru", "application/sru+xml"};
revt("xrs") -> {regular, "srx", "application/sparql-results+xml"};
revt("ess") -> {regular, "sse", "application/vnd.kodak-descriptor"};
revt("fss") -> {regular, "ssf", "application/vnd.epson.ssf"};
revt("lmss") -> {regular, "ssml", "application/ssml+xml"};
revt("ts") -> {regular, "st", "application/vnd.sailingtracker.track"};
revt("cts") -> {regular, "stc", "application/vnd.sun.xml.calc.template"};
revt("dts") -> {regular, "std", "application/vnd.sun.xml.draw.template"};
revt("fts") -> {regular, "stf", "application/vnd.wt.stf"};
revt("its") -> {regular, "sti", "application/vnd.sun.xml.impress.template"};
revt("kts") -> {regular, "stk", "application/hyperstudio"};
revt("lts") -> {regular, "stl", "application/vnd.ms-pki.stl"};
revt("rts") -> {regular, "str", "application/vnd.pg.format"};
revt("wts") -> {regular, "stw", "application/vnd.sun.xml.writer.template"};
revt("bus") -> {regular, "sub", "image/vnd.dvb.subtitle"};
revt("sus") -> {regular, "sus", "application/vnd.sus-calendar"};
revt("psus") -> {regular, "susp", "application/vnd.sus-calendar"};
revt("oipc4vs") -> {regular, "sv4cpio", "application/x-sv4cpio"};
revt("crc4vs") -> {regular, "sv4crc", "application/x-sv4crc"};
revt("cvs") -> {regular, "svc", "application/vnd.dvb.service"};
revt("dvs") -> {regular, "svd", "application/vnd.svd"};
revt("gvs") -> {regular, "svg", "image/svg+xml"};
revt("zgvs") -> {regular, "svgz", "image/svg+xml"};
revt("aws") -> {regular, "swa", "application/x-director"};
revt("fws") -> {regular, "swf", "application/x-shockwave-flash"};
revt("iws") -> {regular, "swi", "application/vnd.aristanetworks.swi"};
revt("cxs") -> {regular, "sxc", "application/vnd.sun.xml.calc"};
revt("dxs") -> {regular, "sxd", "application/vnd.sun.xml.draw"};
revt("gxs") -> {regular, "sxg", "application/vnd.sun.xml.writer.global"};
revt("ixs") -> {regular, "sxi", "application/vnd.sun.xml.impress"};
revt("mxs") -> {regular, "sxm", "application/vnd.sun.xml.math"};
revt("wxs") -> {regular, "sxw", "application/vnd.sun.xml.writer"};
revt("t") -> {regular, "t", "text/troff"};
revt("oat") -> {regular, "tao", "application/vnd.tao.intent-module-archive"};
revt("rat") -> {regular, "tar", "application/x-tar"};
revt("pact") -> {regular, "tcap", "application/vnd.3gpp2.tcap"};
revt("lct") -> {regular, "tcl", "application/x-tcl"};
revt("rehcaet") -> {regular, "teacher", "application/vnd.smart.teacher"};
revt("iet") -> {regular, "tei", "application/tei+xml"};
revt("suprociet") -> {regular, "teicorpus", "application/tei+xml"};
revt("xet") -> {regular, "tex", "application/x-tex"};
revt("ixet") -> {regular, "texi", "application/x-texinfo"};
revt("ofnixet") -> {regular, "texinfo", "application/x-texinfo"};
revt("txet") -> {regular, "text", "text/plain"};
revt("ift") -> {regular, "tfi", "application/thraud+xml"};
revt("mft") -> {regular, "tfm", "application/x-tex-tfm"};
revt("zgt") -> {regular, "tgz", "application/x-gzip"};
revt("xmht") -> {regular, "thmx", "application/vnd.ms-officetheme"};
revt("fit") -> {regular, "tif", "image/tiff"};
revt("ffit") -> {regular, "tiff", "image/tiff"};
revt("omt") -> {regular, "tmo", "application/vnd.tmobile-livetv"};
revt("tnerrot") -> {regular, "torrent", "application/x-bittorrent"};
revt("lpt") -> {regular, "tpl", "application/vnd.groove-tool-template"};
revt("tpt") -> {regular, "tpt", "application/vnd.trid.tpt"};
revt("rt") -> {regular, "tr", "text/troff"};
revt("art") -> {regular, "tra", "application/vnd.trueapp"};
revt("mrt") -> {regular, "trm", "application/x-msterminal"};
revt("st") -> {regular, "ts", "video/mp2t"};
revt("dst") -> {regular, "tsd", "application/timestamped-data"};
revt("vst") -> {regular, "tsv", "text/tab-separated-values"};
revt("ctt") -> {regular, "ttc", "application/x-font-ttf"};
revt("ftt") -> {regular, "ttf", "application/x-font-ttf"};
revt("ltt") -> {regular, "ttl", "text/turtle"};
revt("dwt") -> {regular, "twd", "application/vnd.simtech-mindmapper"};
revt("sdwt") -> {regular, "twds", "application/vnd.simtech-mindmapper"};
revt("dxt") -> {regular, "txd", "application/vnd.genomatix.tuxedo"};
revt("fxt") -> {regular, "txf", "application/vnd.mobius.txf"};
revt("txt") -> {regular, "txt", "text/plain"};
revt("23u") -> {regular, "u32", "application/x-authorware-bin"};
revt("bedu") -> {regular, "udeb", "application/x-debian-package"};
revt("dfu") -> {regular, "ufd", "application/vnd.ufdl"};
revt("ldfu") -> {regular, "ufdl", "application/vnd.ufdl"};
revt("jmu") -> {regular, "umj", "application/vnd.umajin"};
revt("bewytinu") -> {regular, "unityweb", "application/vnd.unity"};
revt("lmou") -> {regular, "uoml", "application/vnd.uoml+xml"};
revt("iru") -> {regular, "uri", "text/uri-list"};
revt("siru") -> {regular, "uris", "text/uri-list"};
revt("slru") -> {regular, "urls", "text/uri-list"};
revt("ratsu") -> {regular, "ustar", "application/x-ustar"};
revt("ztu") -> {regular, "utz", "application/vnd.uiq.theme"};
revt("uu") -> {regular, "uu", "text/x-uuencode"};
revt("avu") -> {regular, "uva", "audio/vnd.dece.audio"};
revt("dvu") -> {regular, "uvd", "application/vnd.dece.data"};
revt("fvu") -> {regular, "uvf", "application/vnd.dece.data"};
revt("gvu") -> {regular, "uvg", "image/vnd.dece.graphic"};
revt("hvu") -> {regular, "uvh", "video/vnd.dece.hd"};
revt("ivu") -> {regular, "uvi", "image/vnd.dece.graphic"};
revt("mvu") -> {regular, "uvm", "video/vnd.dece.mobile"};
revt("pvu") -> {regular, "uvp", "video/vnd.dece.pd"};
revt("svu") -> {regular, "uvs", "video/vnd.dece.sd"};
revt("tvu") -> {regular, "uvt", "application/vnd.dece.ttml+xml"};
revt("uvu") -> {regular, "uvu", "video/vnd.uvvu.mp4"};
revt("vvu") -> {regular, "uvv", "video/vnd.dece.video"};
revt("avvu") -> {regular, "uvva", "audio/vnd.dece.audio"};
revt("dvvu") -> {regular, "uvvd", "application/vnd.dece.data"};
revt("fvvu") -> {regular, "uvvf", "application/vnd.dece.data"};
revt("gvvu") -> {regular, "uvvg", "image/vnd.dece.graphic"};
revt("hvvu") -> {regular, "uvvh", "video/vnd.dece.hd"};
revt("ivvu") -> {regular, "uvvi", "image/vnd.dece.graphic"};
revt("mvvu") -> {regular, "uvvm", "video/vnd.dece.mobile"};
revt("pvvu") -> {regular, "uvvp", "video/vnd.dece.pd"};
revt("svvu") -> {regular, "uvvs", "video/vnd.dece.sd"};
revt("tvvu") -> {regular, "uvvt", "application/vnd.dece.ttml+xml"};
revt("uvvu") -> {regular, "uvvu", "video/vnd.uvvu.mp4"};
revt("vvvu") -> {regular, "uvvv", "video/vnd.dece.video"};
revt("xvvu") -> {regular, "uvvx", "application/vnd.dece.unspecified"};
revt("xvu") -> {regular, "uvx", "application/vnd.dece.unspecified"};
revt("dcv") -> {regular, "vcd", "application/x-cdlink"};
revt("fcv") -> {regular, "vcf", "text/x-vcard"};
revt("gcv") -> {regular, "vcg", "application/vnd.groove-vcard"};
revt("scv") -> {regular, "vcs", "text/x-vcalendar"};
revt("xcv") -> {regular, "vcx", "application/vnd.vcx"};
revt("siv") -> {regular, "vis", "application/vnd.visionary"};
revt("viv") -> {regular, "viv", "video/vnd.vivo"};
revt("rov") -> {regular, "vor", "application/vnd.stardivision.writer"};
revt("xov") -> {regular, "vox", "application/x-authorware-bin"};
revt("lmrv") -> {regular, "vrml", "model/vrml"};
revt("dsv") -> {regular, "vsd", "application/vnd.visio"};
revt("fsv") -> {regular, "vsf", "application/vnd.vsf"};
revt("ssv") -> {regular, "vss", "application/vnd.visio"};
revt("tsv") -> {regular, "vst", "application/vnd.visio"};
revt("wsv") -> {regular, "vsw", "application/vnd.visio"};
revt("utv") -> {regular, "vtu", "model/vnd.vtu"};
revt("lmxv") -> {regular, "vxml", "application/voicexml+xml"};
revt("d3w") -> {regular, "w3d", "application/x-director"};
revt("daw") -> {regular, "wad", "application/x-doom"};
revt("vaw") -> {regular, "wav", "audio/x-wav"};
revt("xaw") -> {regular, "wax", "audio/x-ms-wax"};
revt("pmbw") -> {regular, "wbmp", "image/vnd.wap.wbmp"};
revt("sbw") -> {regular, "wbs", "application/vnd.criticaltools.wbs+xml"};
revt("lmxbw") -> {regular, "wbxml", "application/vnd.wap.wbxml"};
revt("mcw") -> {regular, "wcm", "application/vnd.ms-works"};
revt("bdw") -> {regular, "wdb", "application/vnd.ms-works"};
revt("abew") -> {regular, "weba", "audio/webm"};
revt("mbew") -> {regular, "webm", "video/webm"};
revt("pbew") -> {regular, "webp", "image/webp"};
revt("gw") -> {regular, "wg", "application/vnd.pmi.widget"};
revt("tgw") -> {regular, "wgt", "application/widget"};
revt("skw") -> {regular, "wks", "application/vnd.ms-works"};
revt("mw") -> {regular, "wm", "video/x-ms-wm"};
revt("amw") -> {regular, "wma", "audio/x-ms-wma"};
revt("dmw") -> {regular, "wmd", "application/x-ms-wmd"};
revt("fmw") -> {regular, "wmf", "application/x-msmetafile"};
revt("lmw") -> {regular, "wml", "text/vnd.wap.wml"};
revt("clmw") -> {regular, "wmlc", "application/vnd.wap.wmlc"};
revt("slmw") -> {regular, "wmls", "text/vnd.wap.wmlscript"};
revt("cslmw") -> {regular, "wmlsc", "application/vnd.wap.wmlscriptc"};
revt("vmw") -> {regular, "wmv", "video/x-ms-wmv"};
revt("xmw") -> {regular, "wmx", "video/x-ms-wmx"};
revt("zmw") -> {regular, "wmz", "application/x-ms-wmz"};
revt("ffow") -> {regular, "woff", "application/x-font-woff"};
revt("dpw") -> {regular, "wpd", "application/vnd.wordperfect"};
revt("lpw") -> {regular, "wpl", "application/vnd.ms-wpl"};
revt("spw") -> {regular, "wps", "application/vnd.ms-works"};
revt("dqw") -> {regular, "wqd", "application/vnd.wqd"};
revt("irw") -> {regular, "wri", "application/x-mswrite"};
revt("lrw") -> {regular, "wrl", "model/vrml"};
revt("ldsw") -> {regular, "wsdl", "application/wsdl+xml"};
revt("ycilopsw") -> {regular, "wspolicy", "application/wspolicy+xml"};
revt("btw") -> {regular, "wtb", "application/vnd.webturbo"};
revt("xvw") -> {regular, "wvx", "video/x-ms-wvx"};
revt("23x") -> {regular, "x32", "application/x-authorware-bin"};
revt("d3x") -> {regular, "x3d", "application/vnd.hzn-3d-crossword"};
revt("pax") -> {regular, "xap", "application/x-silverlight-app"};
revt("rax") -> {regular, "xar", "application/vnd.xara"};
revt("pabx") -> {regular, "xbap", "application/x-ms-xbap"};
revt("dbx") -> {regular, "xbd", "application/vnd.fujixerox.docuworks.binder"};
revt("mbx") -> {regular, "xbm", "image/x-xbitmap"};
revt("fdx") -> {regular, "xdf", "application/xcap-diff+xml"};
revt("mdx") -> {regular, "xdm", "application/vnd.syncml.dm+xml"};
revt("pdx") -> {regular, "xdp", "application/vnd.adobe.xdp+xml"};
revt("cssdx") -> {regular, "xdssc", "application/dssc+xml"};
revt("wdx") -> {regular, "xdw", "application/vnd.fujixerox.docuworks"};
revt("cnex") -> {regular, "xenc", "application/xenc+xml"};
revt("rex") -> {regular, "xer", "application/patch-ops-error+xml"};
revt("fdfx") -> {regular, "xfdf", "application/vnd.adobe.xfdf"};
revt("ldfx") -> {regular, "xfdl", "application/vnd.xfdl"};
revt("thx") -> {regular, "xht", "application/xhtml+xml"};
revt("lmthx") -> {regular, "xhtml", "application/xhtml+xml"};
revt("lmvhx") -> {regular, "xhvml", "application/xv+xml"};
revt("fix") -> {regular, "xif", "image/vnd.xiff"};
revt("alx") -> {regular, "xla", "application/vnd.ms-excel"};
revt("malx") -> {regular, "xlam", "application/vnd.ms-excel.addin.macroenabled.12"};
revt("clx") -> {regular, "xlc", "application/vnd.ms-excel"};
revt("mlx") -> {regular, "xlm", "application/vnd.ms-excel"};
revt("slx") -> {regular, "xls", "application/vnd.ms-excel"};
revt("bslx") -> {regular, "xlsb", "application/vnd.ms-excel.sheet.binary.macroenabled.12"};
revt("mslx") -> {regular, "xlsm", "application/vnd.ms-excel.sheet.macroenabled.12"};
revt("xslx") -> {regular, "xlsx", "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"};
revt("tlx") -> {regular, "xlt", "application/vnd.ms-excel"};
revt("mtlx") -> {regular, "xltm", "application/vnd.ms-excel.template.macroenabled.12"};
revt("xtlx") -> {regular, "xltx", "application/vnd.openxmlformats-officedocument.spreadsheetml.template"};
revt("wlx") -> {regular, "xlw", "application/vnd.ms-excel"};
revt("lmx") -> {regular, "xml", "text/xml"};
revt("ox") -> {regular, "xo", "application/vnd.olpc-sugar"};
revt("pox") -> {regular, "xop", "application/xop+xml"};
revt("ipx") -> {regular, "xpi", "application/x-xpinstall"};
revt("mpx") -> {regular, "xpm", "image/x-xpixmap"};
revt("rpx") -> {regular, "xpr", "application/vnd.is-xpr"};
revt("spx") -> {regular, "xps", "application/vnd.ms-xpsdocument"};
revt("wpx") -> {regular, "xpw", "application/vnd.intercon.formnet"};
revt("xpx") -> {regular, "xpx", "application/vnd.intercon.formnet"};
revt("lsx") -> {regular, "xsl", "text/xml"};
revt("tlsx") -> {regular, "xslt", "application/xslt+xml"};
revt("msx") -> {regular, "xsm", "application/vnd.syncml+xml"};
revt("fpsx") -> {regular, "xspf", "application/xspf+xml"};
revt("lux") -> {regular, "xul", "application/vnd.mozilla.xul+xml"};
revt("mvx") -> {regular, "xvm", "application/xv+xml"};
revt("lmvx") -> {regular, "xvml", "application/xv+xml"};
revt("dwx") -> {regular, "xwd", "image/x-xwindowdump"};
revt("zyx") -> {regular, "xyz", "chemical/x-xyz"};
revt("gnay") -> {regular, "yang", "application/yang"};
revt("niy") -> {regular, "yin", "application/yin+xml"};
revt("zaz") -> {regular, "zaz", "application/vnd.zzazz.deck+xml"};
revt("piz") -> {regular, "zip", "application/zip"};
revt("riz") -> {regular, "zir", "application/vnd.zul"};
revt("zriz") -> {regular, "zirz", "application/vnd.zul"};
revt("mmz") -> {regular, "zmm", "application/vnd.handheld-entertainment+xml"};
revt(Ext) -> {regular, Ext,
                               "text/plain"}.


